2018-03-25 10:36 +0100  Bruno Postle  <bruno@postle.net>  (f5ac8cc3aa91 [tip])

	* configure.ac:
	Update version to 2.9.20

2018-03-25 10:35 +0100  Bruno Postle  <bruno@postle.net>  (e5632a455634)

	* bootstrap:
	Support latest automake

2018-03-25 10:34 +0100  Bruno Postle  <bruno@postle.net>  (0a71a9f8a45a)

	* tests/simpleTiff16/temp.txt: deleted file.
	* tests/simpleTiff16/Makefile.am, tests/simpleTiff16/temp.txt:
	Don't ship test output file

2018-03-23 17:19 +0100  tmodes  <tmodes@users.sf.net>  (5b23ce4acaf4)

	* PaniniGeneral.c:
	Fixes inverse transformation of Panini General

2018-03-11 08:30 +0100  tmodes  <tmodes@users.sf.net>  (f220884e22e3)

	* math.c:
	Triplane: Check more return codes instead of ignoring it

2018-03-11 08:30 +0100  tmodes  <tmodes@users.sf.net>  (1eaaec6809a2)

	* math.c, queryfeature.c:
	Biplane: Added new parameter for rounded corner

2018-03-05 17:26 +0100  tmodes  <tmodes@users.sf.net>  (1a3e1f817145)

	* math.c:
	Fixes image->pano transformation for triplane projection

2018-03-05 17:26 +0100  tmodes  <tmodes@users.sf.net>  (793506b19f1f)

	* CMakeLists.txt:
	Add debug postfix for debug libraries

2018-02-07 17:54 +0100  tmodes  <tmodes@users.sf.net>  (3ad2089ab924)

	* CMakeLists.txt:
	Windows: Make building shared library (DLL) default

2017-09-29 16:49 +0200  tmodes  <tmodes@users.sf.net>  (977a50b2a634)

	* file.c:
	Recognize also jpeg file extension [1681022]

2017-09-29 16:48 +0200  tmodes  <tmodes@users.sf.net>  (e3808b4f9a78)

	* CMakeLists.txt:
	Fixes compilation with Mingw Mingw has already getopt, no need for
	our file

2017-01-02 18:34 +0100  tmodes  <tmodes@users.sf.net>  (20434c36b266)

	* tools/panoinfo.c:
	Fixes path separator for cross compiling for Windows

2016-12-30 13:21 +0100  tmodes  <tmodes@users.sf.net>  (9fb6fd19947a)

	* math.c:
	Don't take shortcut in setup_panini_general This breaks calculation
	of ppg->distance parameter which is needed in stack calculations.
	This fixes hang during line control points calculations [1016258]

2016-12-30 13:19 +0100  tmodes  <tmodes@users.sf.net>  (83e0c78ad594)

	* math.c:
	Updates for MSVC 2015

2016-09-17 16:12 +0200  tmodes  <tmodes@users.sf.net>  (9d16f4a39c36)

	* math.c:
	Comment out double assignment

2015-12-06 13:06 +0100  tmodes  <tmodes@users.sf.net>  (d1ca12b2146b)

	* pt_stdint.h:
	Fix for MSVC 2015

2014-04-23 00:31 +0100  Bruno Postle  <bruno@postle.net>  (7339b1014e88)

	* ChangeLog.hg:
	update changelog

2014-02-12 17:57 +0100  tmodes  <tmodes>  (071273ed3a44)

	* math.c:
	Fixes condition introduced in last commit (Matthew Petroff)

2014-02-12 14:38 +1100  tduell  <tduell>  (5db9915fc7d0)

	* math.c:
	use default atanh function for MSVC 2012+ (Matthew Petroff)

2014-01-06 23:00 +0000  Bruno Postle  <bruno@postle.net>  (bced6574df70)

	* ChangeLog.hg:
	update ChangeLog

2014-01-04 01:58 +0000  Bruno Postle  <bruno@postle.net>  (d33c9a9ed0f9)

	* tests/simpleTiff2psd/Makefile.am,
	tests/simpleTiff2psd/reference/Makefile.am,
	tests/simpleTiff2psd/tests/Makefile.am: new file.
	* Makefile.am, configure.ac, tests/Makefile.am,
	tests/simpleTiff16/Makefile.am, tests/simpleTiff2psd/Makefile.am,
	tests/simpleTiff2psd/reference/Makefile.am,
	tests/simpleTiff2psd/tests/Makefile.am, tools/Makefile.am:
	Add lots of missing files to the autotools 'dist' target

2014-01-04 01:57 +0000  Bruno Postle  <bruno@postle.net>  (cfadac620dd6)

	* .hgignore:
	add some patterns to .hgignore

2014-01-04 01:06 +0000  Bruno Postle  <bruno@postle.net>  (81edd9d85242)

	* CMakeLists.txt:
	CPACK_SET_DESTDIR needs to be ON for package_source target

2014-01-04 00:48 +0000  Bruno Postle  <bruno@postle.net>  (8764c3cdc139)

	* CMakeLists.txt:
	files that shouldn't be packaged by cpack

2014-01-03 11:48 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (b6bb69bb754f)

	* CMakeLists.txt:
	Cmake build: Adapt the build to make rpm-packaging easier.

	We had to find the correct library-directory to install our data.
	This should work for all platforms.

	In collaboration with Terry Duell (working on creating rpm-package
	for fedora Linux).

2014-01-01 08:52 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (c967f865cfc3)

	* CMakeLists.txt, FindGnuTar.cmake:
	Cmake build: Usage of FindPackageHandleStandardArgs corrected.

2013-12-31 10:49 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (a32c832b554b)

	* CMakeLists.txt, excludes:
	Cmake build: Adapted the output of 'make dist' to appear the same as
	would come from 'hg archive {build-dir}/libpano13-2.9.19.tar -p
	libpano13-2.9.19 --exclude ".hg*"'

2013-12-30 23:57 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (f68ddd79ed4b)

	* excludes: new file.
	* excludes:
	This file is missing in previous commit.

	Its content specifies files names, which should not be part of the
	source tar.

2013-12-30 23:54 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (5b660b010aa8)

	* FindGnuTar.cmake: new file.
	* CMakeLists.txt, FindGnuTar.cmake:
	Cmake build: Added a new way to get source-tar, if there is a gnu
	tar available

2013-12-24 13:52 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (dc6694ef78a7)

	* CMakeLists.txt:
	Honor the configured installation prefix also in created packages

2013-12-24 13:22 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (12f629da7d77)

	* CpackDescription.txt: new file.
	* CMakeLists.txt, CpackDescription.txt, man/CMakeLists.txt,
	tools/CMakeLists.txt:
	Package creation revised.

	1. Removed option DISABLE_DPKG; For debian packaging always try to
	determine package dependencies 2. Renamed 'HAVE_JAVA' variable to
	'SUPPORT_JAVA_PROGRAMS' option. 3. Added COMPONENT keywords to
	install commands. ATM this has no effect. Preparing for later use
	with component-aware package generators like RPM.

2013-12-23 12:28 +1100  tduell  <tduell@iinet.net.au>  (b0f579114b63)

	* CMakeLists.txt:
	Backed out changeset: eb7322988b38

2013-12-23 08:36 +1100  tduell  <tduell@iinet.net.au>  (eb7322988b38)

	* CMakeLists.txt:
	Fixes CMakeLists.txt for Unix/Linux, to find Java, and set lib dir
	to /usr/lib or /usr/lib64, as appropriate

2013-12-22 09:06 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (0a6e4330f822)

	* tools/CMakeLists.txt:
	Added panoinfo to list of commands for unix too

2013-12-21 17:27 +0100  tmodes  <tmodes>  (85654befbd91)

	* parser.c:
	Correctly restore locale if parsing of script file fails [686482]

2013-12-21 16:27 +0100  tmodes  <tmodes>  (032bc7cc62e6)

	* ColourBrightness.c, ColourBrightness.h, PTDialogs.c, PTcommon.c,
	PTcommon.h, Triangulate.c, ZComb.c, ZComb.h, adjust.c, adjust.h,
	correct.c, dump.c, file.c, file.h, filter.c, filter.h, filter.r,
	fourier.c, javastub.c, math.c, metadata.c, metadata.h, multilayer.c,
	pan.c, panorama.h, parser.c, perspect.c, ppm.c, ptfeather.c,
	ptfeather.h, ptstitch.c, ptstitch.h, pttiff.h, remap.c, resample.c,
	sys_X11.c, sys_X11.h, sys_ansi.c, sys_ansi.h, sys_common.c,
	sys_compat.h, sys_compat_unix.c, sys_compat_win.c, sys_mac.c,
	sys_mac.h, sys_win.c, sys_win.h, tiff.c, tools/PTAInterpolate.c,
	tools/PTblender.c, tools/PTcrop.c, tools/PTinfo.c, tools/PTmasker.c,
	tools/PTmender.c, tools/PTmender.h, tools/PToptimizer.c,
	tools/PTroller.c, tools/PTtiff2psd.c, tools/PTtiffdump.c,
	tools/PTuncrop.c, tools/panoinfo.c, tools/panoinfo_unix.c,
	version.h:
	Fixes copy and paste error in licence

2013-12-21 16:23 +0100  tmodes  <tmodes>  (4f56474cc8a0)

	* PTcommon.c, tiff.c:
	Fixes initialization of some variables (Patch by Andreas Metzler)

	Fixes sporadic testsuite error [734867]

2013-12-21 16:20 +0100  tmodes  <tmodes>  (f666a3664d02)

	* PTcommon.c, tools/panoinfo_unix.c:
	Fixes 2 typos (spotted by Andreas Metzler)

2013-12-20 14:25 +1100  tduell  <tduell@iinet.net.au>  (35b5485f7e7a)

	* man/PTmasker.pod:
	Fix PTmasker.pod

2013-12-20 14:06 +1100  tduell  <tduell@iinet.net.au>  (37986ffdd87f)

	* CMakeLists.txt:
	Some fixes to CMakeLists.txt for binary package name and source
	package name

2013-12-19 12:30 +1100  tduell  <tduell@iinet.net.au>  (6e9c7581a433)

	* CMakeLists.txt:
	Remove hg version and "hg" from cpack source package name to avoid
	issues with Fedora rpmbuild

2013-12-19 12:28 +1100  tduell  <tduell@iinet.net.au>  (af17614b0443)

	* bootstrap:
	Update bootstrap to allow use of automake 1.13

2013-12-18 14:59 +0100  Kornel Benko  <kornelbenko@users.sourceforge.net>  (21822d49c404)

	* Debian/postinst: new file.
	* CMakeLists.txt, Debian/postinst:
	Enhanced creation of dependences for debian build

	1.) The creation now honors libraries created in the same build. 2.)
	Also added call to ldconfig to make the installed libraries known to
	the system

2013-12-16 22:41 +0000  Bruno Postle  <bruno@postle.net>  (0dd1fabfc868)

	* ChangeLog.hg:
	Update ChangeLog

2013-12-16 22:35 +0000  Bruno Postle  <bruno@postle.net>  (777f5eb48962)

	* COPYING, ColourBrightness.c, ColourBrightness.h, PTDialogs.c,
	PTcommon.c, PTcommon.h, Triangulate.c, ZComb.c, ZComb.h, adjust.c,
	adjust.h, correct.c, dump.c, file.c, file.h, filter.c, filter.h,
	filter.r, fourier.c, javastub.c, math.c, metadata.c, metadata.h,
	multilayer.c, pan.c, panorama.h, parser.c, perspect.c, ppm.c,
	ptfeather.c, ptfeather.h, ptstitch.c, ptstitch.h, pttiff.h, remap.c,
	resample.c, sys_X11.c, sys_X11.h, sys_ansi.c, sys_ansi.h,
	sys_common.c, sys_compat.h, sys_compat_unix.c, sys_compat_win.c,
	sys_mac.c, sys_mac.h, sys_win.c, sys_win.h, tiff.c,
	tools/PTAInterpolate.c, tools/PTblender.c, tools/PTcrop.c,
	tools/PTinfo.c, tools/PTmasker.c, tools/PTmender.c,
	tools/PTmender.h, tools/PToptimizer.c, tools/PTroller.c,
	tools/PTtiff2psd.c, tools/PTtiffdump.c, tools/PTuncrop.c,
	tools/panoinfo.c, tools/panoinfo_unix.c, version.h:
	Fixed the FSF address to make an rpmlint error go away...

2013-12-16 21:03 +0000  Bruno Postle  <bruno@postle.net>  (3c558c23fbc0)

	* CMakeLists.txt, Makefile.am:
	Increment the soname from 2.0.0 to 3.0.0 due to ABI change

2013-12-08 11:18 +0100  tmodes  <tmodes>  (5f73aa3334ae)

	* file.c, fourier.c:
	Fixes sign of some pointers

2013-12-08 11:17 +0100  tmodes  <tmodes>  (92a290290d3a)

	* parser.c:
	Add missing variables to format string

2013-12-08 11:17 +0100  tmodes  <tmodes>  (cba530fd3127)

	* pt_stdint.h:
	Fixes /* in comment

2013-12-08 11:16 +0100  tmodes  <tmodes>  (8fdc2b13c2c7)

	* correct.c:
	Don't include \0 in format string

2013-12-08 11:16 +0100  tmodes  <tmodes>  (839d2ea0602c)

	* ColourBrightness.c, PTcommon.c, file.c, math.c, parser.c, png.c,
	ptfeather.c, resample.c, rgbe.c, seamer_.c, tiff.c:
	Removed unused variables

2013-12-08 11:14 +0100  tmodes  <tmodes>  (84521eb90c05)

	* tools/compat_win32/getopt.c:
	[Mingw] Fix a compiler warning by implizit include of necessary
	header

2013-12-08 10:11 +0100  tmodes  <tmodes>  (30f4cb70d93c)

	* tiff.c:
	Correct check for invalid resolutions in TIF files (spotted by dcb
	[1256972])

2013-10-12 09:08 +0200  thomas  <thomas@Virtual>  (36d7541b8384)

	* PTcommon.c, parser.c, ppm.c, resample.c:
	Fixes formating sequence for x86_64 [1184375] Patch by Stefan Peter

2013-10-12 09:07 +0200  thomas  <thomas@Virtual>  (0a44cbd60ac8)

	* tests/simpleTiff2psd/reference/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_2_layer.psd:
	Update psd references for 2.9.19

2013-10-12 09:06 +0200  thomas  <thomas@Virtual>  (879f75a8eae7)

	* tests/CMakeLists.txt, tests/simpleTiff2psd/CMakeLists.txt:
	[CMake]: Copy necessary files for test

2013-05-14 19:44 +0100  Bruno Postle  <bruno@postle.net>  (ce361a3cfb97)

	* sys_compat_unix.c:
	Fix to build on OS X 10.6/10.8 (Matthieu Desile)

2013-05-13 20:37 +0100  Bruno Postle  <bruno@postle.net>  (d3703d445473)

	* README, README.linux, README.windows:
	Fix some really out-of-date README text

2013-04-12 18:56 +0200  tmodes  <tmodes>  (04c52cae988a)

	* math.c:
	Fixes wrong calculation in triplane_erect

2013-03-21 10:42 +1100  tduell  <tduell@iinet.net.au>  (8ccb62eb329a)

	* Makefile.am:
	fix for removed .def files

2013-03-17 18:55 +0100  tmodes  <tmodes>  (3b87e44598ea)

	* libpano13.def, pano13vc.def: deleted file.
	* CMakeLists.txt, ColourBrightness.h, PTcommon.h, ZComb.h, file.h,
	filter.h, libpano13.def, pano13vc.def, panorama.h, ptfeather.h,
	ptstitch.h, pttiff.h, queryfeature.h, tools/PToptimizer.c:
	[Windows] Use __declspec(dllexport) instead of modul definition file

	Functions exported via modul definition file can't be compared with
	function points (needed by nona gpu). Function pointers works for
	functions exported with __declspec(dllexport).

2013-03-17 08:08 +0100  tmodes  <tmodes>  (4b93725a1f29)

	* PTcommon.c, adjust.c, correct.c, dump.c, filter.h, math.c,
	panorama.h, parser.c:
	Moved test parameter 0 and 1 to Tpy and Tpr

2013-03-17 08:06 +0100  tmodes  <tmodes>  (253c1bcde35e)

	* configure.ac, version.h:
	Bump version number

2013-03-17 08:06 +0100  tmodes  <tmodes>  (c2a40aad1b51)

	* bootstrap:
	Update bootstrap for automake 1.12 (Patch by Terry Duell) [11561269]

2013-03-16 08:38 +0100  tmodes  <tmodes>  (b1e1204fe014)

	* math.c:
	Fixes for architectural projection
	* correctly report success of transformation
	* check if values are in valid ranges

2013-03-16 08:19 +0100  tmodes  <tmodes>  (8bf958d04557)

	* math.c:
	Removed unused variables

2013-03-16 07:45 +0100  tmodes  <tmodes>  (531cd379005d)

	* adjust.c, filter.h, math.c, panorama.h, parser.c, queryfeature.c:
	Added Hammer projection

2013-03-03 08:32 +0100  tmodes  <tmodes>  (6e390e07eac5)

	* math.c:
	Prevent division by zero [791473]

2013-03-03 08:31 +0100  tmodes  <tmodes>  (1b78f71b2c32)

	* CMakeLists.txt:
	Fixes a typo in version string

2013-03-03 08:30 +0100  tmodes  <tmodes>  (c251644f9866)

	* CMakeLists.txt, ColourBrightness.c, sys_compat_win.c:
	Fixes compilation with MinGW compiler

2013-03-02 13:18 +0100  tmodes  <tmodes>  (489ef38b776c)

	* CMakeLists.txt:
	Use mercurial instead of subversion in CMake build

2013-03-02 13:14 +0100  tmodes  <tmodes>  (e4a5489e244d)

	* filter.h, panorama.h, parser.c:
	Fixes some typos

2013-01-31 18:14 +0100  tmodes  <tmodes>  (1299ba47658f)

	* panorama.h, tiff.c:
	Unified use of path length Check also length before copying
	[1057012]

2013-01-12 10:21 +0100  tmodes  <tmodes>  (b2f10b688fd6)

	* adjust.c:
	Modified scale calculation for orthographic images

	This takes into account the issue that the image could also contain
	a thin black border around the (circular) image.

2012-12-28 13:39 +0100  tmodes  <tmodes>  (376cc090f008)

	* math.c:
	Fixes bug in orthographic projection

	Orthographic projection is limited to fov of 180 degree Higher
	values were not correctly cropped, instead these coordinates were
	mirrored inside

2012-11-19 22:37 -0400  Jim Watters  <jwatters@photocreations.ca>  (e63acb0227b7)

	* adjust.c:
	Fix a bug when cropping images that go outside the image boundry.
	mp->horizontal & mp->vertical would otherwise get extrordinary
	large.

2012-09-18 19:51 +0200  tmodes  <tmodes>  (c9f63bc558e9)

	* PTcommon.c, panorama.h:
	Use unsigned int for PTRect Otherwise crop is not correctly
	calculated

2012-09-18 19:10 +0200  tmodes  <tmodes>  (bb55bfdfa33e)

	* sys_compat_unix.c, sys_compat_win.c: new file.
	* CMakeLists.txt, Makefile.am, pano13vc.def, pt_stdint.h, sys_ansi.c,
	sys_compat.h, sys_compat_unix.c, sys_compat_win.c, sys_win.c,
	sys_win.h, tools/CMakeLists.txt:
	Update build system to compile on Windows again

	Added option to CMake build to allow building static or shared
	version on Windows

2012-09-17 22:55 +0100  Bruno Postle  <bruno@postle.net>  (17b9409b0fcc)

	* adjust.c:
	Fix "unsupported Panorama Format" error Bug #1049994 (Thomas Modes)

2012-09-17 22:55 +0100  Bruno Postle  <bruno@postle.net>  (a1660991bf10)

	* math.c:
	Fix Inverse transformation from output projection to Thoby input
	image is wrong Bug #891912 reported by Timothee Groleau (Thomas
	Modes)

2012-03-02 23:19 +0000  Bruno Postle  <bruno@postle.net>  (0c73d8794377)

	* LocalDefs.props, libpano.vcxproj, sys_compat.h,
	tests/panoAutomatePSDtest.pl, tests/simpleTiff2psd/CMakeLists.txt,
	tests/simpleTiff2psd/reference/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_2_layer.psd,
	tests/tiff2psdTest.bat, tools/PTAInterpolate.vcxproj,
	tools/PTOptimizer.vcxproj, tools/PTblender.vcxproj,
	tools/PTcrop.vcxproj, tools/PTinfo.vcxproj, tools/PTmasker.vcxproj,
	tools/PTmender.vcxproj, tools/PTroller.vcxproj,
	tools/PTtiff2psd.vcxproj, tools/PTtiffdump.vcxproj,
	tools/PTuncrop.vcxproj: new file.
	* .hgignore, CMakeLists.txt, ChangeLog, png.c, pteditor.c,
	tests/CMakeLists.txt:
	merged PSD branch

2012-01-11 10:27 +1100  Terry Duell  <tduell@iinet.net.au>  (20a9b820aba0)

	* dump.c, pteditor.c, ptpicker.c:
	Fix outstanding pt_int32 problems

2011-05-31 09:54 +0200  Kornel Benko  <kornelbenko@users.sourceforge.net>  (bd103552abef)

	* CMakeLists.txt:
	1.) Make it compilable on ubuntu 11.4 using '-DHUGIN_BASE_DIR=path
	to hugin sources' Define SYSTEM_LIB_DIRS for use of hugins
	CMakeModules Define 'HUGIN_SHARED', because of it's use 2.) Add
	dependences creation on debian systems

2011-03-21 21:36 +0000  Bruno Postle  <bruno@postle.net>  (da48158224d6)

	* ChangeLog.hg:
	Update changelog

2011-03-21 21:30 +0000  Bruno Postle  <bruno@postle.net>  (f819fe70b239)

	* CMakeLists.txt, man/CMakeLists.txt, tests/CMakeLists.txt,
	tests/simpleStitch/CMakeLists.txt,
	tests/simpleTiff16/CMakeLists.txt, tools/CMakeLists.txt:
	Fixes for cmake after switching from gpl.txt to COPYING, Bug #739612
	(Thomas Modes)

2011-03-16 19:16 +0000  Bruno Postle  <bruno@postle.net>  (34d8f7279b7d)

	* ChangeLog.hg:
	Update ChangeLog.hg for default branch

2011-03-06 23:07 +0000  Bruno Postle  <bruno@postle.net>  (9fc682e73eb1)

	* tests/simpleStitch/Makefile.am, tests/simpleTiff16/Makefile.am:
	Rename "clean" target to "clean-local" in Makefile.am. This way the
	specified target supplements automake's clean target instead of
	replacing it. Without this change the respective code is not invoked
	for distclean, but only for clean. Also delete temp.txt, which is
	generated by testsuite. (Andreas Metzler)

2011-03-06 22:52 +0000  Bruno Postle  <bruno@postle.net>  (f6a5d6cfbbba)

	* COPYING, INSTALL: new file.
	* gpl.txt: deleted file.
	* COPYING, INSTALL, Makefile.am, gpl.txt:
	Don't rely on autotools for COPYING and INSTALL (Andreas Metzler)

2011-03-05 23:04 +0000  Bruno Postle  <bruno@postle.net>  (6fea63273310)

	* ChangeLog.hg: new file.
	* ChangeLog.svn: deleted file.
	* ChangeLog.hg, ChangeLog.svn, Makefile.am:
	Switch ChangeLog generator from svn to hg

2011-03-05 22:34 +0000  Bruno Postle  <bruno@postle.net>  (661831b81ffb)

	* png.c:
	Fix build with libpng-1.5 Bug #719076 (Thomas Klausner)

2011-03-04 01:15 -0800  dmg  <dmg@uvic.ca>  (95e1c5da422e)

	* .hgignore, ChangeLog:
	Sorted files to .hgignore

2011-03-04 01:15 -0800  dmg  <dmg@uvic.ca>  (2ae987ad64a2)

	* .hgignore, ChangeLog:
	Added files to .hgignore

2011-03-03 21:53 -0800  dmg  <dmg@uvic.ca>  (8c929483d775 <PhotoshopPSB>)

	* ChangeLog, tools/PTtiff2psd.c:
	added jim to credits of PTtiff2psd

2011-03-03 20:43 -0800  dmg  <dmg@uvic.ca>  (6d05236f8495 <PhotoshopPSB>)

	* ChangeLog:
	Added test cases for PTtiff2psd

2011-03-03 20:43 -0800  dmg  <dmg@uvic.ca>  (dd2b0f7313d0 <PhotoshopPSB>)

	* tests/panoAutomatePSDtest.pl, tests/simpleTiff2psd/CMakeLists.txt,
	tests/simpleTiff2psd/reference/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_2_layer.psd: new
	file.
	* tests/tiff2psdSimple/reference/crop.psb,
	tests/tiff2psdSimple/reference/crop.psd,
	tests/tiff2psdSimple/reference/uncrop.psb,
	tests/tiff2psdSimple/reference/uncrop.psd: deleted file.
	* .hgignore, ChangeLog, file.c, tests/CMakeLists.txt,
	tests/panoAutomatePSDtest.pl, tests/simpleTiff2psd/CMakeLists.txt,
	tests/simpleTiff2psd/reference/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/reference/simpleTiff16-16-_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_crop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleStitch_uncrop_2_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_1_layer.psd,
	tests/simpleTiff2psd/tests/simpleTiff16-16-_uncrop_2_layer.psd,
	tests/tiff2psdSimple/reference/crop.psb,
	tests/tiff2psdSimple/reference/crop.psd,
	tests/tiff2psdSimple/reference/uncrop.psb,
	tests/tiff2psdSimple/reference/uncrop.psd:
	Added test cases for PTtiff2psd

2011-03-03 16:36 -0800  dmg  <dmg@uvic.ca>  (d61239410f3d <PhotoshopPSB>)

	* sys_compat.h: new file.
	* sys_compat.h:
	I forgot to add sys_compat.h

2011-03-03 16:30 -0800  dmg  <dmg@uvic.ca>  (0ed11c91c143 <PhotoshopPSB>)

	* CMakeLists.txt, ChangeLog, file.c, sys_ansi.c, sys_win.c:
	Refactored system dependent code

2011-03-03 14:54 -0400  Jim Watters  <Jim Watters>  (a2fdc9b8616d <PhotoshopPSB>)

	* file.c:
	Fix timezone in PSDPICTResource

	%z and %Z in strftime produces a alpha string need a numeric string.
	Fix some sign unsign warnings

2011-03-03 01:30 -0800  dmg  <dmg@uvic.ca>  (61011fb1ba7b)

	* CMakeLists.txt, ChangeLog, Makefile.am:
	cherry picked 721 from PhotoshopPSB to default

2011-03-03 01:24 -0800  dmg  <dmg@uvic.ca>  (e881eb9a4ba0 <PhotoshopPSB>)

	* CMakeLists.txt, ChangeLog, Makefile.am:
	Added TAGS file creation, undid removal of hugin-related paths.

2011-03-03 00:44 -0800  dmg  <dmg@uvic.ca>  (5ce79b438819 <PhotoshopPSB>)

	* file.c:
	Ported code to write name of writing program

2011-03-03 00:21 -0800  dmg  <dmg@uvic.ca>  (d284d6621bff <PhotoshopPSB>)

	* tests/tiff2psdSimple/reference/crop.psb,
	tests/tiff2psdSimple/reference/crop.psd,
	tests/tiff2psdSimple/reference/uncrop.psb,
	tests/tiff2psdSimple/reference/uncrop.psd: new file.
	* tests/tiff2psdSimple/crop.psb, tests/tiff2psdSimple/crop.psd,
	tests/tiff2psdSimple/uncrop.psb, tests/tiff2psdSimple/uncrop.psd:
	deleted file.
	* tests/tiff2psdSimple/crop.psb, tests/tiff2psdSimple/crop.psd,
	tests/tiff2psdSimple/reference/crop.psb,
	tests/tiff2psdSimple/reference/crop.psd,
	tests/tiff2psdSimple/reference/uncrop.psb,
	tests/tiff2psdSimple/reference/uncrop.psd,
	tests/tiff2psdSimple/uncrop.psb, tests/tiff2psdSimple/uncrop.psd:
	moved test files for PSD

2011-03-03 00:15 -0800  dmg  <dmg@uvic.ca>  (8fbc76a7f4b9 <PhotoshopPSB>)

	* .hgignore, ChangeLog, PTcommon.c, PTcommon.h, ZComb.c, adjust.c,
	correct.c, file.c, filter.c, filter.h, png.c, resample.c, tiff.c:
	removed unnecessary and duplicated data types

2011-03-02 23:12 -0800  dmg  <dmg@uvic.ca>  (0a87dbc64f24)

	* .hgignore:
	Added more files to ignore to .hgignore

2011-03-02 23:11 -0800  dmg  <dmg@uvic.ca>  (02384dd66427)

	* .hgignore:
	Added more files to ignore to .hgignore

2011-03-02 23:05 -0800  dmg  <dmg@uvic.ca>  (70b2afd42405)

	* .hgignore:
	Added some files to ignore to .hgignore

2011-03-02 22:59 -0800  dmg  <dmg@uvic.ca>  (7d932f0d1221)

	* panorama.h:
	width and height should always be unsigned

2011-03-02 22:49 -0800  dmg  <dmg@uvic.ca>  (0a526edf75cc)

	* ChangeLog, PTcommon.c, adjust.c, file.c, filter.c, filter.h,
	fourier.c, morpher.c, panorama.h, panotypes.h, parser.c, perspect.c,
	resample.c, rgbe.c, rgbe.h, tests/CMakeLists.txt, tiff.c:
	Removed the use of pt_int* data types, which are redundant and not
	consistently used

2011-03-02 22:03 -0800  dmg  <dmg@uvic.ca>  (4000b5187221)

	* CMakeLists.txt, ChangeLog, PTcommon.c, filter.h, panorama.h,
	panotypes.h, pt_stdint.h, rgbe.c, rgbe.h, sys_ansi.c, sys_common.c:
	Fixed compiler warnings and cleanup some conditional compilation
	code

2011-03-02 19:45 -0800  dmg  <dmg@uvic.ca>  (a70ba2fe3c7f)

	* Renamed libpano to default

2011-03-02 18:59 -0400  Jim Watters  <Jim Watters>  (daf735d8ec66 <PhotoshopPSB>)

	* file.c:
	correct some Linux errors and warnings.

2011-03-02 15:22 -0400  Jim Watters  <Jim Watters>  (7dea16af1053 <PhotoshopPSB>)

	* file.c:
	Clean up, untabulate, and beautify code

2011-03-02 00:17 -0400  Jim Watters  <Jim Watters>  (755c1fbd4838 <PhotoshopPSB>)

	* PTcommon.h, file.c, tools/PTtiff2psd.c:
	Add panoCreateLayeredPSD

	Create a PSD file from a bunch of tiffs in one go without inserting
	each layer one at a time.

2011-02-25 22:38 -0400  Jim Watters  <Jim Watters>  (19c2bd9d5040 <PhotoshopPSB>)

	* file.c:
	Simplify the calculation of layer length

2011-02-25 21:56 -0400  Jim Watters  <Jim Watters>  (15df50fc3f7a <PhotoshopPSB>)

	* PTcommon.c:
	O(n2)

2011-02-24 16:34 -0400  Jim Watters  <Jim Watters>  (28033bba0b8f <PhotoshopPSB>)

	* PTcommon.c:
	By default PANO_TEST_INVERSE should be commented out

2011-02-24 16:25 -0400  Jim Watters  <Jim Watters>  (6545685cd438 <PhotoshopPSB>)

	* PTcommon.c:
	untablify and beautify code

2011-02-24 14:41 -0400  Jim Watters  <Jim Watters>  (1c9ce5934fb1 <PhotoshopPSB>)

	* tests/tiff2psdTest.bat: new file.
	* tests/tiff2psdSimple/crop.psb, tests/tiff2psdSimple/crop.psd,
	tests/tiff2psdSimple/uncrop.psb, tests/tiff2psdSimple/uncrop.psd,
	tests/tiff2psdTest.bat:
	Update test images with new PICT record for PTtiff2PSD

2011-02-23 22:45 -0400  Jim Watters  <Jim Watters>  (1a989de7c490 <PhotoshopPSB>)

	* file.c:
	Merge

2011-02-23 17:56 -0400  Jim Watters  <Jim Watters>  (00a141ab7ffb <PhotoshopPSB>)

	* file.c:
	Update PICT Resource

	Added more info to the PICT resource

2011-02-23 14:25 -0400  Jim Watters  <Jim Watters>  (3d46baa67f1e <PhotoshopPSB>)

	* file.c:
	Fix PICT Resource

	PICT now displays correctly with Photoshop and Exiftool

2011-02-19 23:41 -0400  Jim Watters  <Jim Watters>  (5d9db2abdb38 <PhotoshopPSB>)

	* file.c, filter.c, filter.h:
	Update panoWritexxx functions to return bool

	use change in location of write to get length of section.

2011-02-20 13:25 -0800  dmg  <dmg@uvic.ca>  (774168101e71 <libpano>)

	* ChangeLog, sys_ansi.c, tools/panoinfo_unix.c:
	removed compiler warnings. Patch submited by Guillaume Rousse.

2011-02-19 23:53 -0800  dmg  <dmg@uvic.ca>  (61f66c836feb <PhotoshopPSB>)

	* ChangeLog, file.c:
	Fixed a small error that stopped compilation under Linux.

2011-02-19 16:05 -0400  Jim Watters  <Jim Watters>  (b1595e6c58fc <PhotoshopPSB>)

	* tests/tiff2psdSimple/crop.psb, tests/tiff2psdSimple/uncrop.psb: new
	file.
	* tests/tiff2psdSimple/crop.psb, tests/tiff2psdSimple/uncrop.psb:
	Add reference PSB files for testing PTtiff2PSD

2011-02-19 15:54 -0400  Jim Watters  <Jim Watters>  (bf73d5f0e9fa <PhotoshopPSB>)

	* tests/tiff2psdSimple/crop.psd, tests/tiff2psdSimple/uncrop.psd: new
	file.
	* tests/tiff2psdSimple/crop.psd, tests/tiff2psdSimple/uncrop.psd:
	Add reference PSD files for testing PTtiff2PSD

2011-02-19 15:40 -0400  Jim Watters  <Jim Watters>  (080786b030d4 <PhotoshopPSB>)

	* file.c:
	opps panoReadxxxx returns bool not length

2011-02-17 18:31 -0400  Jim Watters  <Jim Watters>  (6742691b9336 <PhotoshopPSB>)

	* file.c, filter.c, filter.h:
	switch from READ and WRITE macros to functions.

	switch from READ and WRITE macros to functions. Simplified code by
	adding functions panoReadINT32or64 and panoWriteINT32or64 for read
	and write 4 or 8 byte varibles for the use of PSD or PSB.

2011-02-14 23:22 -0400  Jim Watters  <Jim Watters>  (cb926d40214e <PhotoshopPSB>)

	* filter.c, filter.h:
	Add functions panoWriteINT32or64 and panoReadINT32or64

2011-02-14 23:04 -0400  Jim Watters  <Jim Watters>  (9e9d800230f9 <PhotoshopPSB>)

	* .hgignore:
	Add .ipch to ignor list

2011-02-14 23:02 -0400  Jim Watters  <Jim Watters>  (a7bcbe2d5c2d <PhotoshopPSB>)

	* filter.c, filter.h:
	update panowrite functions to return count

2011-02-14 22:06 -0400  Jim Watters  <Jim Watters>  (46f909a2a815 <PhotoshopPSB>)

	* file.c:
	remove cast

2011-02-14 21:06 -0400  Jim Watters  <Jim Watters>  (704614dd55ae <PhotoshopPSB>)

	* PTcommon.c, file.c, filter.c, filter.h, pano13vc.def,
	tools/PTtiff2psd.c:
	New versions of files that now should end with LF only

2011-02-14 20:43 -0400  Jim Watters  <Jim Watters>  (9c9ced6c091f <PhotoshopPSB>)

	* .hgeol: new file.
	* .hgeol:
	Windows users should use the EOL extension

	Windows users need EOL to control how End of Line characters are
	translated to and from repository.

2011-02-14 20:43 -0400  Jim Watters  <Jim Watters>  (2a01f904d1c3 <PhotoshopPSB>)

	* .hgignore: new file.
	* .hgignore:
	Add a list of files to ignor when doing commit

2011-02-14 20:01 -0400  Jim Watters  <jwatters@photocreations.ca>  (364327cfaf40 <libpano>)

	* .hgignore: new file.
	* .hgignore:
	Add a list of files to ignor when doing commit

2011-02-14 20:00 -0400  Jim Watters  <jwatters@photocreations.ca>  (9fa455003f7d <libpano>)

	* .hgeol: new file.
	* .hgeol:
	Windows users should use the EOL extension

	Windows users need EOL to control how End of Line characters are
	translated to and from repository.

2011-02-13 01:32 -0400  Jim Watters  <Jim Watters>  (9b9b3887cddf <PhotoshopPSB>)

	* file.c:
	Use 8byte sizes all the time.

2011-02-13 01:31 -0400  Jim Watters  <Jim Watters>  (879cca2dae52 <PhotoshopPSB>)

	* tools/PTAInterpolate.vcxproj, tools/PTOptimizer.vcxproj,
	tools/PTblender.vcxproj, tools/PTcrop.vcxproj, tools/PTinfo.vcxproj,
	tools/PTmasker.vcxproj, tools/PTmender.vcxproj,
	tools/PTroller.vcxproj, tools/PTtiff2psd.vcxproj,
	tools/PTtiffdump.vcxproj, tools/PTuncrop.vcxproj:
	Update Location of 64bit libs

2011-02-12 21:41 -0400  Jim Watters  <Jim Watters>  (127413a4755c <PhotoshopPSB>)

	* tools/PTAInterpolate.vcxproj, tools/PTOptimizer.vcxproj,
	tools/PTblender.vcxproj, tools/PTcrop.vcxproj, tools/PTinfo.vcxproj,
	tools/PTmasker.vcxproj, tools/PTmender.vcxproj,
	tools/PTroller.vcxproj, tools/PTtiff2psd.vcxproj,
	tools/PTtiffdump.vcxproj, tools/PTuncrop.vcxproj:
	Add Local definitions LocalDefs to 64bit projects

2011-02-12 21:23 -0400  Jim Watters  <Jim Watters>  (d9bf0412f5f1 <PhotoshopPSB>)

	* PTcommon.c, file.c, file.h, filter.h, tiff.c:
	update PSD functins to write PSB format too

2011-02-12 21:22 -0400  Jim Watters  <Jim Watters>  (b22ddb573e0b <PhotoshopPSB>)

	* tools/PTAInterpolate.vcxproj, tools/PTOptimizer.vcxproj,
	tools/PTblender.vcxproj, tools/PTcrop.vcxproj, tools/PTinfo.vcxproj,
	tools/PTmasker.vcxproj, tools/PTmender.vcxproj,
	tools/PTroller.vcxproj, tools/PTtiff2psd.c,
	tools/PTtiff2psd.vcxproj, tools/PTtiffdump.vcxproj,
	tools/PTuncrop.vcxproj:
	Make projects multicore friendly by using differnt folders for temp
	files that may conflict.

2011-02-10 16:49 -0400  Jim Watters  <Jim Watters>  (52cf096d848b <PhotoshopPSB>)

	* LocalDefs.props: new file.
	* LocalDefs.props:
	Update to VS 2010

2011-02-10 16:49 -0400  Jim Watters  <Jim Watters>  (c2996d3c00aa <PhotoshopPSB>)

	* libpano.vcxproj, tools/PTAInterpolate.vcxproj,
	tools/PTOptimizer.vcxproj, tools/PTblender.vcxproj,
	tools/PTcrop.vcxproj, tools/PTinfo.vcxproj, tools/PTmasker.vcxproj,
	tools/PTmender.vcxproj, tools/PTroller.vcxproj,
	tools/PTtiff2psd.vcxproj, tools/PTtiffdump.vcxproj,
	tools/PTuncrop.vcxproj: new file.
	* libpano.sln, libpano.vcxproj, tools/PTAInterpolate.vcxproj,
	tools/PTOptimizer.vcxproj, tools/PTblender.vcxproj,
	tools/PTcrop.vcxproj, tools/PTinfo.vcxproj, tools/PTmasker.vcxproj,
	tools/PTmender.vcxproj, tools/PTroller.vcxproj,
	tools/PTtiff2psd.vcxproj, tools/PTtiffdump.vcxproj,
	tools/PTuncrop.vcxproj:
	Update to VS 2010

2011-02-10 16:46 -0400  Jim Watters  <Jim Watters>  (611e65b1791f <PhotoshopPSB>)

	* PTcommon.c, file.c, file.h, filter.c, filter.h, pano13vc.def,
	tools/PTtiff2psd.c:
	First sweep of the Photoshop PSD code at add PSB.

	Enable PSD functions to be also capable of PSB read and write.
	Builds with a couple resize warnings that need to be corrected.
	Completely untested.

2011-02-09 22:59 +0000  Bruno Postle  <bruno@postle.net>  (c9df9403f9b7 <libpano>)

	* Makefile.am, doc/Makefile.am, man/Makefile.am:
	Add some more files to the tarball

2011-01-20 20:24 +0000  dangelo  <dangelo>  (89e2ee12bfea <libpano>)

	* ChangeLog, parser.c:
	removed debug printf

2011-01-19 23:34 +0000  brunopostle  <brunopostle>  (236dcc1b4e42 <libpano>)

	* ChangeLog.svn:
	Update ChangeLog

2011-01-19 23:31 +0000  brunopostle  <brunopostle>  (4ff42dc33ebf <libpano>)

	* man/PTAInterpolate.1, man/PTblender.1, man/PTcrop.1, man/PTinfo.1,
	man/PTmasker.1, man/PTmender.1, man/PToptimizer.1, man/PTroller.1,
	man/PTtiff2psd.1, man/PTtiffdump.1, man/PTuncrop.1, man/panoinfo.1:
	Update version string

2011-01-19 23:16 +0000  brunopostle  <brunopostle>  (81996a5178a6 <libpano>)

	* configure.ac:
	Build on GNU hurd (Andreas Metzler)

2011-01-11 20:38 +0000  jim0watters  <jim0watters>  (ee8e1221d5c4 <libpano>)

	* ChangeLog, pano13.rc:
	Update version description to indicate if build is 32 or 64 bit

2011-01-11 20:08 +0000  jim0watters  <jim0watters>  (9e35fdbf73b6 <libpano>)

	* ChangeLog, adjust.c:
	Update SetStitchDefaults to include psdOpacity and psdBlendingMode

2011-01-11 19:56 +0000  jim0watters  <jim0watters>  (f2248674847c <libpano>)

	* ChangeLog, version.h:
	Update version description to indicate if build is 32 or 64 bit

2011-01-07 03:42 +0000  dmg  <dmg>  (06b9b3d28121 <libpano>)

	* ChangeLog, PTcommon.c:
	Thoby should crop as a ciruclar fisheye

2011-01-06 19:28 +0000  dmg  <dmg>  (e62120574872 <libpano>)

	* ChangeLog, configure.ac, version.h:
	upgraded version to 2.9.18

2011-01-05 21:54 +0000  dmg  <dmg>  (5b0b16916422 <libpano>)

	* ChangeLog, dump.c, queryfeature.c:
	patch by T. Modes to add thoby to queryfeatures

2011-01-05 20:12 +0000  dmg  <dmg>  (e9fbaf2dcb25 <libpano>)

	* ChangeLog, parser.c:
	removed code I shouldnnot have committed

2011-01-05 18:59 +0000  dmg  <dmg>  (eef10551f656 <libpano>)

	* ChangeLog:
	updated changelog

2011-01-05 18:57 +0000  dmg  <dmg>  (885f8a3f740b <libpano>)

	* debian/README.source, debian/TODO, debian/changelog, debian/compat,
	debian/control, debian/copyright, debian/libpano13-2.install,
	debian/libpano13-bin.docs, debian/libpano13-bin.install,
	debian/libpano13-dev.install,
	debian/patches/10_workaround_libtool_link_as_needed_bug,
	debian/patches/20_bumpsoname.diff, debian/patches/series,
	debian/rules, debian/watch: deleted file.
	* debian/README.source, debian/TODO, debian/changelog, debian/compat,
	debian/control, debian/copyright, debian/libpano13-2.install,
	debian/libpano13-bin.docs, debian/libpano13-bin.install,
	debian/libpano13-dev.install,
	debian/patches/10_workaround_libtool_link_as_needed_bug,
	debian/patches/20_bumpsoname.diff, debian/patches/series,
	debian/rules, debian/watch:
	removed bogus code I added in my previous commit

2011-01-05 18:41 +0000  dmg  <dmg>  (6ae2704f7540 <libpano>)

	* dump.h: new file.
	* dump.h:
	added thoby projection for Nikkor 10.5, part 2

2011-01-05 12:20 +0000  dmg  <dmg>  (47685987af4a <libpano>)

	* debian/README.source, debian/TODO, debian/changelog, debian/compat,
	debian/control, debian/copyright, debian/libpano13-2.install,
	debian/libpano13-bin.docs, debian/libpano13-bin.install,
	debian/libpano13-dev.install,
	debian/patches/10_workaround_libtool_link_as_needed_bug,
	debian/patches/20_bumpsoname.diff, debian/patches/series,
	debian/rules, debian/watch, dump.c: new file.
	* CMakeLists.txt, ChangeLog, PTcommon.c, adjust.c,
	debian/README.source, debian/TODO, debian/changelog, debian/compat,
	debian/control, debian/copyright, debian/libpano13-2.install,
	debian/libpano13-bin.docs, debian/libpano13-bin.install,
	debian/libpano13-dev.install,
	debian/patches/10_workaround_libtool_link_as_needed_bug,
	debian/patches/20_bumpsoname.diff, debian/patches/series,
	debian/rules, debian/watch, doc/stitch.txt, dump.c, filter.h,
	math.c, panorama.h, parser.c:
	added thoby projection for Nikkor 10.5

2010-12-07 00:43 +0000  yuv  <yuv>  (fa87ef0ac229 <libpano>)

	* filter.c:
	https://bugs.launchpad.net/hugin/+bug/678763 (Rogier Wolff)

2010-10-13 21:02 +0000  brunopostle  <brunopostle>  (1053cad37cc8 <libpano>)

	* bootstrap:
	Support libtool 2.4 #3086186 (ftrvxmtrx)

2010-10-06 19:31 +0000  brunopostle  <brunopostle>  (8ce2b450c7f1 <libpano>)

	* PTcommon.c, tools/PTblender.c, tools/PTinfo.c, tools/PTmasker.c,
	tools/PTmender.c, tools/PTroller.c, tools/PTtiff2psd.c,
	tools/PTtiffdump.c:
	Fix powerpc command-line tools endless loop #3082342, debian #599092
	(Andreas Metzler)

2010-09-10 23:00 +0000  brunopostle  <brunopostle>  (44a295a39467 <libpano>)

	* doc/Optimize.txt, doc/stitch.txt:
	Fix docs...

2010-09-09 22:07 +0000  brunopostle  <brunopostle>  (c576eb4bff54 <libpano>)

	* ChangeLog.svn:
	Update ChangeLog for rc2

2010-09-09 22:02 +0000  brunopostle  <brunopostle>  (cadbf4d4699c <libpano>)

	* tools/PTAInterpolate.vcproj, tools/PTOptimizer.vcproj,
	tools/PTblender.vcproj, tools/PTcrop.vcproj, tools/PTinfo.vcproj,
	tools/PTmasker.vcproj, tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj:
	Changes to visual C project files to find 64bit wxwidgets (Aron
	Helser)

2010-09-07 20:53 +0000  brunopostle  <brunopostle>  (013a6439adc1 <libpano>)

	* tools/Makefile.am:
	Add some more MSVC files to the tarball (Aron Helser)

2010-09-07 20:52 +0000  brunopostle  <brunopostle>  (fc97a3611be1 <libpano>)

	* optimize.c:
	Fix for building with MSVC 2010 Express (Aron Helser)

2010-09-01 21:35 +0000  brunopostle  <brunopostle>  (43d234abea3b <libpano>)

	* ChangeLog.svn:
	Update ChangeLog for rc1

2010-07-24 21:25 +0000  brunopostle  <brunopostle>  (7c32fb3a0143 <libpano>)

	* optimize.c:
	Fix for build on Solaris (Robert Campbell)

2010-07-24 21:23 +0000  brunopostle  <brunopostle>  (3293a42c34cb <libpano>)

	* Makefile.am, configure.ac, tools/Makefile.am:
	Fixes for building on Solaris (Robert Campbell) Note this is for
	autotools not cmake

2010-07-06 23:23 +0000  brunopostle  <brunopostle>  (38b45f5aa081 <libpano>)

	* Makefile.am, tools/Makefile.am:
	Add some visual c related files to the tarball (Aron Helser)

2010-05-19 19:13 +0000  brunopostle  <brunopostle>  (62c765c7ccf0 <libpano>)

	* ChangeLog.svn:
	Update ChangeLog.svn

2010-05-03 12:26 +0000  tksharpless  <tksharpless>  (7dc08f0e941a <libpano>)

	* math.c:
	fix uninitialized variable bug in setup_panini_general.

2010-04-27 16:50 +0000  dmg  <dmg>  (536a6e65c5af <libpano>)

	* ChangeLog, jpeg.c:
	2010-04-27 dmg <dmg@uvic.ca>

	* jpeg.c: Removed dependency from file which was braking build for
	some Windows people. The change seems to be harmless under Linux.
	Reported by Volker Grabsch.

2010-04-24 22:42 +0000  brunopostle  <brunopostle>  (d4c9be802b60 <libpano>)

	* ChangeLog.svn:
	Update ChangeLog.svn

2010-04-24 22:35 +0000  brunopostle  <brunopostle>  (21287ba0fb59 <libpano>)

	* Makefile.am, tests/Makefile.am, tests/simpleTiff16/Makefile.am:
	Add some files to tarball

2010-04-11 10:46 +0000  kornelbenko  <kornelbenko>  (045aabed30c1 <libpano>)

	* CMakeLists.txt:
	Cannot install non-existant file

2010-04-10 21:29 +0000  brunopostle  <brunopostle>  (8cbe2a7cf7bc <libpano>)

	* adjust.c:
	Comment-out some debug verbosity

2010-04-05 17:08 +0000  dmg  <dmg>  (e88656eba2df <libpano>)

	* tests/compareImages.pl: new file.
	* tests/compareImages.pl:
	Added compare images

2010-03-29 03:31 +0000  dmg  <dmg>  (ac5aafd20d47 <libpano>)

	* TODO.org: new file.
	* TODO: deleted file.
	* ChangeLog, TODO, TODO.org, adjust.c, filter.h, math.c, panorama.h,
	parser.c:
	we now have equisolid and stereographic input lenses

2010-02-16 20:11 +0000  tksharpless  <tksharpless>  (91449a6f0bca <libpano>)

	* PaniniGeneral.c, math.c:
	Improved soft squeeze (PaniniGeneral.c)

2010-01-30 15:39 +0000  brunopostle  <brunopostle>  (181a27fe773e <libpano>)

	* ChangeLog.svn:
	Update SVN ChangeLog

2010-01-30 14:53 +0000  brunopostle  <brunopostle>  (f38e274ddd58 <libpano>)

	* man/PTAInterpolate.1: new file.
	* man/PTAInterpolate.1, man/PTblender.1, man/PTcrop.1, man/PTinfo.1,
	man/PTmasker.1, man/PTmender.1, man/PToptimizer.1, man/PTroller.1,
	man/PTtiff2psd.1, man/PTtiffdump.1, man/PTuncrop.1, man/panoinfo.1:
	Update man pages

2010-01-30 14:49 +0000  brunopostle  <brunopostle>  (20a76af6e206 <libpano>)

	* doc/Makefile.am:
	Put .txt files in the tarball

2010-01-30 07:29 +0000  dmg  <dmg>  (5305fc7241e8 <libpano>)

	* ChangeLog, configure.ac, version.h:
	bumped version

2010-01-30 06:59 +0000  dmg  <dmg>  (fd1fb558a559 <libpano>)

	* ChangeLog:
	Avoid processing of T[xyz] code when values are zero

2010-01-30 06:52 +0000  dmg  <dmg>  (315c5fe4ecf9 <libpano>)

	* ChangeLog, parser.c:
	Avoid processing of T[xyz] code when values are zero

2010-01-23 13:04 +0000  tksharpless  <tksharpless>  (747f9d77f4b3 <libpano>)

	* PaniniGeneral.c:
	general Panini forward and reverse hard squeeze are now proper
	inverses (some small numerical discrepancies when d is near 1 need
	investigation).

2010-01-19 19:20 +0000  tksharpless  <tksharpless>  (22ab738996ad <libpano>)

	* PaniniGeneral.c:
	Fixed 2 bugs in the forward squeeze code. Further thanks to T Modes.

2010-01-19 15:35 +0000  tksharpless  <tksharpless>  (15259531ab7e <libpano>)

	* libpano.vcproj, queryfeature.c:
	Add PaniniGeneral files to libpano.vcproj (the "Watters" VC project)
	Add code for biplane and triplane dynamic fovs to queryfeature.c
	Thanks to Thomas Modes for both patches

2010-01-18 05:53 +0000  kornelbenko  <kornelbenko>  (3a7492960624 <libpano>)

	* CMakeLists.txt:
	Removed LICENSE.LGPL form CMakeLists.txt

2010-01-18 02:14 +0000  tksharpless  <tksharpless>  (d17898373a4a <libpano>)

	* PaniniGeneral.c, PaniniGeneral.h:
	Changed PaniniGeneral license to BSD 3-clause

2010-01-18 01:13 +0000  dmg  <dmg>  (c017ac7f89e9 <libpano>)

	* ChangeLog, Makefile.am, configure.ac, version.h:
	Bumped version one notch and added PaniniGeneral.h

2010-01-17 23:26 +0000  dmg  <dmg>  (dd3e46f78396 <libpano>)

	* LICENSE.LGPL: deleted file.
	* ChangeLog, LICENSE.LGPL, Makefile.am:
	Removed LICENSE.LGPL and updated Makefile.am for new panini files

2010-01-17 10:07 +0000  tksharpless  <tksharpless>  (041d4cc2f1d2 <libpano>)

	* ColourBrightness.c, math.c, panorama.h, queryfeature.c:
	Default projection parameters and dynamic FOV limits API fixes
	Define htons() macro in ColourBrightness.c only for MSVC compiles

2010-01-16 16:09 +0000  tksharpless  <tksharpless>  (42529d2ed356 <libpano>)

	* CMakeLists.txt:
	Install documentation expected by hugin Windows install script

2010-01-16 15:27 +0000  tksharpless  <tksharpless>  (3a9e0bbfb556 <libpano>)

	* CMakeLists.txt:
	Make the default install directory on Windows libpano13/ in the
	hugin SDK root

2010-01-16 14:15 +0000  tksharpless  <tksharpless>  (849a3b565033 <libpano>)

	* LICENSE.LGPL: new file.
	* CMakeLists.txt, LICENSE.LGPL:
	Add general panini sources to CMakeLists.txt Add LGPL license text
	for PaniniGeneral

2010-01-16 14:03 +0000  tksharpless  <tksharpless>  (324658b1d803 <libpano>)

	* PaniniGeneral.c, PaniniGeneral.h: new file.
	* ColourBrightness.c, PaniniGeneral.c, PaniniGeneral.h, filter.h,
	math.c, panorama.h, queryfeature.c, sys_win.h:
	Add the reference implementation of General Pannini:
	PaniniGeneral.c, PaniniGeneral.h Add function to query dynamic FOV
	limits Make sys_win.h not assume a DLL build define htons macro in
	ColourBrightness.c if undefined

2010-01-13 19:40 +0000  tksharpless  <tksharpless>  (56c6bed99eae <libpano>)

	* LocalDefs.vsprops: new file.
	* LocalDefs.vsprops, libpano.sln, libpano.vcproj,
	tools/PTAInterpolate.vcproj, tools/PTOptimizer.vcproj,
	tools/PTblender.vcproj, tools/PTcrop.vcproj, tools/PTinfo.vcproj,
	tools/PTmasker.vcproj, tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.c,
	tools/PTtiffdump.vcproj, tools/PTuncrop.vcproj:
	MSVC projects updated 1) add property sheet LocalDefs.vsprops to
	define local environment symbols for all projects. Can be edited in
	MSVC to suit your system. Only one there now is WXWIDGETS_HOME. 2)
	exclude PTAinterpolate from builds, as it references writeProject()
	in ptpicker.c, which is already excluded from libpano. 3) correct
	puntuation in the linker properties for PTuncrop.

2010-01-12 22:15 +0000  tksharpless  <tksharpless>  (faf650f3e504 <libpano>)

	* math.c, queryfeature.c:
	Final adjustments to panini_general projection: Corrected the
	transverse straightening (hard) squeeze. Rescaled squeeze params to
	-100:100 with soft squeeze < 0 and hard squeeze > 0. Renamed params
	"Cmpr, Tops, Bots".

2010-01-11 17:54 +0000  tksharpless  <tksharpless>  (cc3ca5f06406 <libpano>)

	* adjust.c, filter.h, math.c:
	add squeezes to panini_general. and supporting changes to adjust.c &
	filter.h

2010-01-11 16:57 +0000  tksharpless  <tksharpless>  (b58e96463f9c <libpano>)

	* math.c, queryfeature.c:
	Limit actual hFOV for panini_general to max feasible

2010-01-10 01:35 +0000  dmg  <dmg>  (6decaa7b5c52 <libpano>)

	* ChangeLog, queryfeature.c:
	fixed the problem with the assert in query feature

2010-01-09 14:24 +0000  dangelo  <dangelo>  (8867fd970e04 <libpano>)

	* queryfeature.c:
	fix assert in queryfeature on 64 bit machines (again...)

2010-01-08 17:47 +0000  tksharpless  <tksharpless>  (12b82579ddda <libpano>)

	* queryfeature.c:
	Added info for panini_general

2010-01-08 09:21 +0000  dmg  <dmg>  (9152cceeb77d <libpano>)

	* ChangeLog, math.c:
	review of general panini code committed by Tom few days ago

2010-01-06 20:09 +0000  tksharpless  <tksharpless>  (ff65c201a018 <libpano>)

	* adjust.c:
	Added defensive fix for panini_general FOV in another place. Now
	panini_general is usable from hugin (slow preview window only - fast
	still displays garbage, though pano is ok).

2010-01-06 19:02 +0000  tksharpless  <tksharpless>  (815daa11e6de <libpano>)

	* adjust.c:
	Removed some debug code, reinstated a workaround fix for problems
	that can produce negative FOV when the requested FOV exceeds the max
	feasible one. Better FOV control should obviate this; however the
	fix need not be removed.

2010-01-06 18:34 +0000  tksharpless  <tksharpless>  (8b3d310fe90f <libpano>)

	* adjust.c, math.c, parser.c, queryfeature.c:
	First working version of panini_general projection. Tested only with
	PTmender, not yet under hugin.

2010-01-05 22:14 +0000  jim0watters  <jim0watters>  (26c4fac008dd <libpano>)

	* libpano.sln, libpano.vcproj, tools/PTAInterpolate.vcproj,
	tools/PTOptimizer.vcproj, tools/PTblender.vcproj,
	tools/PTcrop.vcproj, tools/PTinfo.vcproj, tools/PTmasker.vcproj,
	tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj:
	Update the Visual Studio projects and solutions Resolved issue of
	libpano always recompiling all files even when no source files
	changed. Resolved issue of builds use the same names for temporary
	files, this causes a file in use error on a multicore machines. Add
	pano13.lib as a dependency in the tool projects

2010-01-03 18:19 +0000  dmg  <dmg>  (536822ec145c <libpano>)

	* ChangeLog, parser.c:
	Updated changelog and comments

2010-01-03 18:00 +0000  dangelo  <dangelo>  (4eed6870a129 <libpano>)

	* parser.c:
	Only use Tr(XYZ) if the are nonzero.

2010-01-01 21:47 +0000  dmg  <dmg>  (c1ea6e56d025 <libpano>)

	* queryfeature.c:
	fixed minor errors in the panini general

2010-01-01 21:45 +0000  dmg  <dmg>  (eb6fca89fc9c <libpano>)

	* ChangeLog, math.c, queryfeature.c:
	fixed minor errors in the panini general

2010-01-01 12:16 +0000  dangelo  <dangelo>  (b0367295883b <libpano>)

	* queryfeature.c:
	fix queryfeature to work on 64 bit systems.

2009-12-27 22:24 +0000  brunopostle  <brunopostle>  (712610a35be2 <libpano>)

	* tools/Makefile.am:
	Put tools/compat_win32/ files in tarball

2009-12-27 17:50 +0000  dmg  <dmg>  (86e5f59f3d65 <libpano>)

	* ChangeLog, math.c, queryfeature.c, tools/panoinfo_unix.c:
	Added name of projection, which I forgot to do yesterday. Added
	assertion that verifies I donot forget in the future

2009-12-27 10:06 +0000  dmg  <dmg>  (14cc45d08095 <libpano>)

	* PTcommon.c:
	Oops. Forgot to remove my debugging statemetn

2009-12-27 10:04 +0000  dmg  <dmg>  (16dae8484d64 <libpano>)

	* ChangeLog, PTcommon.c, adjust.c, filter.h, math.c, panorama.h,
	parser.c, queryfeature.c:
	Implemented general panini. Math provided by Tom Sharpless

2009-11-14 03:42 +0000  jim0watters  <jim0watters>  (e78e40846020 <libpano>)

	* sys_ansi.c, sys_ansi.h, sys_win.c:
	build dynamic lib as CMD version.

2009-11-12 04:12 +0000  dmg  <dmg>  (ab0eb129daaa <libpano>)

	* libpano.sln, libpano.vcproj, libpano13.def, math.c, pano13vc.def,
	tools/PTAInterpolate.vcproj, tools/PTOptimizer.vcproj,
	tools/PTblender.vcproj, tools/PTcrop.vcproj, tools/PTinfo.vcproj,
	tools/PTmasker.vcproj, tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj:
	rebased changes from Jim, except ansi_sys.c

2009-11-10 22:45 +0000  dmg  <dmg>  (322508a51d71 <libpano>)

	* tools/PTblender.c:
	Went too far in revert, reverting revert of 1120

2009-11-10 22:33 +0000  dmg  <dmg>  (5136a545ef1b <libpano>)

	* tools/mpremap.c, tools/mpremap.rc, tools/mpremap.vcproj,
	tools/mpremap/Copying.html, tools/mpremap/Examples/fisheye.mpg,
	tools/mpremap/Examples/panorama.jpg,
	tools/mpremap/Examples/perspect.mpg,
	tools/mpremap/Examples/script_fisheye2cylinder,
	tools/mpremap/Examples/script_fisheye2rectilinear,
	tools/mpremap/Examples/script_panorama2grid,
	tools/mpremap/Examples/script_panorama2movie,
	tools/mpremap/Examples/script_perspect_movie,
	tools/mpremap/MPRemap.jar, tools/mpremap/MPRemap.pdf,
	tools/mpremap/java/MPRemap.java, tools/mpremap/java/MainClass,
	tools/mpremap/java/Makefile, tools/mpremap/java/Options.java,
	tools/mpremap/java/classes, tools/mpremap/java/help/Mpremap_ffmpeg,
	tools/mpremap/java/help/Mpremap_file,
	tools/mpremap/java/help/Mpremap_general,
	tools/mpremap/java/help/Mpremap_mpremap,
	tools/mpremap/java/help/ffmpeg_1, tools/mpremap/java/help/ffmpeg_2,
	tools/mpremap/java/help/ffmpeg_3, tools/mpremap/java/help/mpremap,
	tools/mpremap/java/help/mpremap_script,
	tools/mpremap/java/pttext.java, tools/mpremap/java/ptyesno.java,
	tools/ppmstream.c, tools/ppmstream.h, tools/preprocess.c,
	tools/spline.c, tools/string2.c, tools/string2.h: deleted file.
	* ChangeLog, libpano.sln, libpano.vcproj, libpano13.def, math.c,
	pano13vc.def, sys_ansi.c, sys_ansi.h, tools/PTAInterpolate.vcproj,
	tools/PTOptimizer.vcproj, tools/PTblender.c, tools/PTblender.vcproj,
	tools/PTcrop.vcproj, tools/PTinfo.vcproj, tools/PTmasker.vcproj,
	tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj, tools/mpremap.c, tools/mpremap.rc,
	tools/mpremap.vcproj, tools/mpremap/Copying.html,
	tools/mpremap/Examples/fisheye.mpg,
	tools/mpremap/Examples/panorama.jpg,
	tools/mpremap/Examples/perspect.mpg,
	tools/mpremap/Examples/script_fisheye2cylinder,
	tools/mpremap/Examples/script_fisheye2rectilinear,
	tools/mpremap/Examples/script_panorama2grid,
	tools/mpremap/Examples/script_panorama2movie,
	tools/mpremap/Examples/script_perspect_movie,
	tools/mpremap/MPRemap.jar, tools/mpremap/MPRemap.pdf,
	tools/mpremap/java/MPRemap.java, tools/mpremap/java/MainClass,
	tools/mpremap/java/Makefile, tools/mpremap/java/Options.java,
	tools/mpremap/java/classes, tools/mpremap/java/help/Mpremap_ffmpeg,
	tools/mpremap/java/help/Mpremap_file,
	tools/mpremap/java/help/Mpremap_general,
	tools/mpremap/java/help/Mpremap_mpremap,
	tools/mpremap/java/help/ffmpeg_1, tools/mpremap/java/help/ffmpeg_2,
	tools/mpremap/java/help/ffmpeg_3, tools/mpremap/java/help/mpremap,
	tools/mpremap/java/help/mpremap_script,
	tools/mpremap/java/pttext.java, tools/mpremap/java/ptyesno.java,
	tools/ppmstream.c, tools/ppmstream.h, tools/preprocess.c,
	tools/spline.c, tools/string2.c, tools/string2.h:
	reverting to revisions 1118 due to compilation errors

2009-11-08 03:09 +0000  jim0watters  <jim0watters>  (aa925ae78d5a <libpano>)

	* libpano.sln, libpano.vcproj, tools/PTAInterpolate.vcproj,
	tools/PTOptimizer.vcproj, tools/PTblender.vcproj,
	tools/PTcrop.vcproj, tools/PTinfo.vcproj, tools/PTmasker.vcproj,
	tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj, tools/mpremap.vcproj:
	Updated Visual Studio Solution and Project files for building
	libpano and all the tools.

2009-11-08 03:05 +0000  jim0watters  <jim0watters>  (a9257738e43f <libpano>)

	* libpano13.def, pano13vc.def, sys_ansi.c, sys_ansi.h:
	Allow building the CMD and GUI versions of pano13.dll

2009-11-08 01:00 +0000  jim0watters  <jim0watters>  (493eaa27aab6 <libpano>)

	* math.c:
	Fix function not returning value

2009-11-08 00:59 +0000  jim0watters  <jim0watters>  (3e569613b538 <libpano>)

	* tools/ppmstream.c:
	Fix CR/NL in file

2009-11-07 18:38 +0000  jim0watters  <jim0watters>  (e85b53af3671 <libpano>)

	* ChangeLog:
	Add an updated version of Helmut Dersch's Moving Panoramas Remap for
	libPano13 http://webuser.fh-
	furtwangen.de/~dersch/mp/MotionPanoramas.html

2009-11-07 18:21 +0000  jim0watters  <jim0watters>  (a2b0f933c029 <libpano>)

	* tools/mpremap.c, tools/mpremap.rc, tools/mpremap.vcproj,
	tools/mpremap/Copying.html, tools/mpremap/Examples/fisheye.mpg,
	tools/mpremap/Examples/panorama.jpg,
	tools/mpremap/Examples/perspect.mpg,
	tools/mpremap/Examples/script_fisheye2cylinder,
	tools/mpremap/Examples/script_fisheye2rectilinear,
	tools/mpremap/Examples/script_panorama2grid,
	tools/mpremap/Examples/script_panorama2movie,
	tools/mpremap/Examples/script_perspect_movie,
	tools/mpremap/MPRemap.jar, tools/mpremap/MPRemap.pdf,
	tools/mpremap/java/MPRemap.java, tools/mpremap/java/MainClass,
	tools/mpremap/java/Makefile, tools/mpremap/java/Options.java,
	tools/mpremap/java/classes, tools/mpremap/java/help/Mpremap_ffmpeg,
	tools/mpremap/java/help/Mpremap_file,
	tools/mpremap/java/help/Mpremap_general,
	tools/mpremap/java/help/Mpremap_mpremap,
	tools/mpremap/java/help/ffmpeg_1, tools/mpremap/java/help/ffmpeg_2,
	tools/mpremap/java/help/ffmpeg_3, tools/mpremap/java/help/mpremap,
	tools/mpremap/java/help/mpremap_script,
	tools/mpremap/java/pttext.java, tools/mpremap/java/ptyesno.java,
	tools/ppmstream.c, tools/ppmstream.h, tools/preprocess.c,
	tools/spline.c, tools/string2.c, tools/string2.h: new file.
	* tools/mpremap.c, tools/mpremap.rc, tools/mpremap.vcproj,
	tools/mpremap/Copying.html, tools/mpremap/Examples/fisheye.mpg,
	tools/mpremap/Examples/panorama.jpg,
	tools/mpremap/Examples/perspect.mpg,
	tools/mpremap/Examples/script_fisheye2cylinder,
	tools/mpremap/Examples/script_fisheye2rectilinear,
	tools/mpremap/Examples/script_panorama2grid,
	tools/mpremap/Examples/script_panorama2movie,
	tools/mpremap/Examples/script_perspect_movie,
	tools/mpremap/MPRemap.jar, tools/mpremap/MPRemap.pdf,
	tools/mpremap/java/MPRemap.java, tools/mpremap/java/MainClass,
	tools/mpremap/java/Makefile, tools/mpremap/java/Options.java,
	tools/mpremap/java/classes, tools/mpremap/java/help/Mpremap_ffmpeg,
	tools/mpremap/java/help/Mpremap_file,
	tools/mpremap/java/help/Mpremap_general,
	tools/mpremap/java/help/Mpremap_mpremap,
	tools/mpremap/java/help/ffmpeg_1, tools/mpremap/java/help/ffmpeg_2,
	tools/mpremap/java/help/ffmpeg_3, tools/mpremap/java/help/mpremap,
	tools/mpremap/java/help/mpremap_script,
	tools/mpremap/java/pttext.java, tools/mpremap/java/ptyesno.java,
	tools/ppmstream.c, tools/ppmstream.h, tools/preprocess.c,
	tools/spline.c, tools/string2.c, tools/string2.h:
	Add an updated version of Helmut Dersch's Moving Panoramas Remap for
	libPano13 http://webuser.fh-
	furtwangen.de/~dersch/mp/MotionPanoramas.html

2009-10-24 21:43 +0000  jim0watters  <jim0watters>  (078aa8b18f46 <libpano>)

	* tools/PTblender.c:
	Fix double free. Set default Prefix to match on screen help

2009-10-23 22:49 +0000  brunopostle  <brunopostle>  (27d6a463a423 <libpano>)

	* queryfeature.c:
	Fix last commit intended to restrict only orthographic to 180
	degrees

2009-10-23 21:28 +0000  brunopostle  <brunopostle>  (fd6d0920d0cd <libpano>)

	* queryfeature.c:
	Orthographic can only display up to 180 degrees

2009-10-23 17:50 +0000  dmg  <dmg>  (a2ffbe89c4fb <libpano>)

	* ColourBrightness.c:
	reverting last commit

2009-10-23 11:56 +0000  kornelbenko  <kornelbenko>  (481b06418bdf <libpano>)

	* ColourBrightness.c:
	Created own version of htons() to get rid of otherwise needed extra
	library. Problem only on WIN32 system.

2009-10-23 11:53 +0000  kornelbenko  <kornelbenko>  (ab6996a1768e <libpano>)

	* CMakeLists.txt:
	For WINN32: Added tools/compat_win32/getopt.c to variable win_c.
	getopt.o is now part of libpano13. Needed by tools.

2009-10-14 09:11 +0000  dmg  <dmg>  (c353230a7557 <libpano>)

	* ChangeLog, PTcommon.c, adjust.c, filter.h:
	this commit should have been few weeks ago... fixes incorrect
	normalization of angles in tilt

2009-10-12 17:12 +0000  dangelo  <dangelo>  (9d195ea608b5 <libpano>)

	* math.c:
	replaced M_PI with PI in math.c

2009-10-11 22:07 +0000  jim0watters  <jim0watters>  (bc8c22bb4f84 <libpano>)

	* correct.c:
	Fix issue where using correct might think nothing was being
	corrected and set success to false.

2009-10-11 21:48 +0000  dangelo  <dangelo>  (4e6ef8661e9c <libpano>)

	* parser.c:
	fixed a typo

2009-10-11 21:45 +0000  dangelo  <dangelo>  (432593b76a16 <libpano>)

	* ChangeLog, filter.h, math.c:
	Use Te0 as plane_yaw and Te1 as plane_pitch. This allows
	specification of the plane that is used in the translation mosaic
	(TrX, TrY, TrZ) mode. Not sure if the code is bug free, though. It
	mostly worked as expected but didn't work nicely for the nadir
	usecase in my limited tests.

2009-10-11 08:30 +0000  kornelbenko  <kornelbenko>  (174d6dc698cf <libpano>)

	* tests/CMakeLists.txt:
	Prefer find_package() to find_program() if possible

2009-10-08 13:23 +0000  kornelbenko  <kornelbenko>  (3977dc68721e <libpano>)

	* PTcommon.c:
	compile fix

2009-10-08 03:36 +0000  jim0watters  <jim0watters>  (cd17762205e5 <libpano>)

	* tiff.c:
	revert recent change. trying to fix memory leak ended up
	deallocating twice.

2009-10-08 03:30 +0000  jim0watters  <jim0watters>  (26fe9ddbff5c <libpano>)

	* ColourBrightness.c, tiff.c:
	Fixed many possible memory leaks.

2009-10-08 02:51 +0000  jim0watters  <jim0watters>  (344932128371 <libpano>)

	* ChangeLog, PTcommon.h, tools/PTmender.c:
	Move function to PTCommon where it belongs. Fix many possible memory
	leaks detected by CppCheck

2009-10-08 02:48 +0000  jim0watters  <jim0watters>  (117fcbcb8ddf <libpano>)

	* ColourBrightness.c, PTcommon.c, file.c, hdrfile.c, parser.c,
	ptstitch.c, pttiff.h, tiff.c, tools/PTblender.c, tools/PTmasker.c,
	tools/PTmender.h, tools/PTroller.c:
	ColourBrightness.c, file.c, hdrfile.c, main.c, parser.c, PTcommon.c,
	ptstitch.c, tiff.c pttiff.h : Fixed many possible memory leaks with
	libpano. PTblender.c, PTmasker.c, PTmender.h, PTroller.c: Fixed many
	possible memory leaks for the tools.

2009-10-04 22:42 +0000  brunopostle  <brunopostle>  (a185bcf661ce <libpano>)

	* ChangeLog.svn:
	update changelog

2009-09-28 18:13 +0000  kornelbenko  <kornelbenko>  (e0514f04b1cd <libpano>)

	* CMakeLists.txt, tools/CMakeLists.txt:
	Use the correct target to add dependencies and also to create
	executables.

	On windows, bind with tha static target/library, on other platforms
	with the shared target.

2009-09-28 10:37 +0000  kornelbenko  <kornelbenko>  (1ee8b4c8ada2 <libpano>)

	* tools/PTblender.c, tools/PTinfo.c, tools/PTmasker.c,
	tools/PTmender.c, tools/PTroller.c, tools/PTtiff2psd.c:
	Remove unneded include. It broke compilation on windows. (Suggestion
	from Daniel M. German)

2009-09-28 06:40 +0000  kornelbenko  <kornelbenko>  (3c29ea50f509 <libpano>)

	* CMakeLists.txt:
	Added version to created source package

2009-09-28 05:13 +0000  kornelbenko  <kornelbenko>  (cc576430397c <libpano>)

	* CMakeLists.txt:
	Remove the use of HuginMacros on windows. Apparently not needed.

2009-09-28 02:42 +0000  jim0watters  <jim0watters>  (92b3adebec41 <libpano>)

	* adjust.c:
	Fix build error with MSVC

2009-09-27 20:51 +0000  kornelbenko  <kornelbenko>  (e5ceaa0ccc67 <libpano>)

	* CMakeLists.txt:
	For now don't try to install a dll on windows due to some link
	errors.

2009-09-27 11:57 +0000  kornelbenko  <kornelbenko>  (f73e05d01e09 <libpano>)

	* CMakeLists.txt, man/CMakeLists.txt, tests/CMakeLists.txt,
	tests/simpleStitch/CMakeLists.txt,
	tests/simpleTiff16/CMakeLists.txt, tools/CMakeLists.txt:
	libpano/CMakeLists.txt: Added ${_common_libs} to the link stage of
	the shared pano13 lib. Needed on OSX Platform. Corrected the
	copyright-dates

2009-09-27 09:30 +0000  brunopostle  <brunopostle>  (145c5b15d22b <libpano>)

	* CMakeLists.txt:
	Unify mixed line endings

2009-09-27 07:11 +0000  kornelbenko  <kornelbenko>  (8503d2620b0b <libpano>)

	* CMakeLists.txt:
	Add top source directory for includes (This is, where nowadays some
	include files like PTcommon.h are found now)

2009-09-26 20:41 +0000  brunopostle  <brunopostle>  (af6d5c359812 <libpano>)

	* ChangeLog.svn: new file.
	* ChangeLog.svn, Makefile.am:
	auto-generated ChangeLog.svn file

2009-09-26 05:59 +0000  dmg  <dmg>  (026bc857d53c <libpano>)

	* parser.c:
	commented debugging

2009-09-26 05:57 +0000  dmg  <dmg>  (13699713b28d <libpano>)

	* ChangeLog, parser.c:
	commented debugging

2009-09-26 05:34 +0000  dmg  <dmg>  (9b59c0f0fcf3 <libpano>)

	* ChangeLog, PTcommon.c, PTcommon.h, adjust.c, adjust.h, correct.c,
	filter.h, math.c, panorama.h, parser.c:
	Now both types of tilt/mosaic modes live happily together, new test
	parms

2009-09-22 19:46 +0000  dangelo  <dangelo>  (fd99ada75ce6 <libpano>)

	* ChangeLog, adjust.c, filter.h, math.c:
	Mosaic mode based on camera position (not compiled by default).

2009-09-21 06:30 +0000  kornelbenko  <kornelbenko>  (2aa50c7ffe04 <libpano>)

	* CMakeLists.txt, tools/CMakeLists.txt:
	Added needed libraries to create tools

2009-09-20 21:32 +0000  brunopostle  <brunopostle>  (4566a2d57bff <libpano>)

	* ChangeLog:
	update ChangeLog

2009-09-20 21:08 +0000  brunopostle  <brunopostle>  (150b5d3c648f <libpano>)

	* Makefile.am, man/Makefile.am, tests/Makefile.am,
	tests/simpleStitch/Makefile.am, tests/simpleTiff16/Makefile.am,
	tools/Makefile.am:
	The cmake stuff should be available in the automake tarball

2009-09-20 20:52 +0000  brunopostle  <brunopostle>  (c45c1b1620f5 <libpano>)

	* CMakeLists.txt, Makefile.am:
	Bump soname to 2:0:0 for real this time

2009-09-20 12:40 +0000  kornelbenko  <kornelbenko>  (0c6c33e51530 <libpano>)

	* CMakeLists.txt, ChangeLog:
	creation of static pano13 library too

2009-09-20 06:52 +0000  kornelbenko  <kornelbenko>  (578c62f38e14 <libpano>)

	* CMakeLists.txt:
	white space

2009-09-19 19:06 +0000  kornelbenko  <kornelbenko>  (aa8e5e1ba3a5 <libpano>)

	* ChangeLog, tools/CMakeLists.txt:
	Don't compile PTAInterpolate if no JAVA, it uses writeProject() from
	ptpicker.c

2009-09-19 17:26 +0000  kornelbenko  <kornelbenko>  (c84d46dcca25 <libpano>)

	* CMakeLists.txt:
	use javastub.c if noa java available

2009-09-19 15:06 +0000  jim0watters  <jim0watters>  (5f9ab3a81c62 <libpano>)

	* ChangeLog, PTcommon.c:
	fixed getROI to not clip the nadir and zenith shots when outputting
	as cropped tiffs.

2009-09-19 12:59 +0000  kornelbenko  <kornelbenko>  (b2103bd72f83 <libpano>)

	* tests/CMakeLists.txt, tests/simpleStitch/CMakeLists.txt,
	tests/simpleTiff16/CMakeLists.txt: new file.
	* CMakeLists.txt, ChangeLog, tests/CMakeLists.txt,
	tests/simpleStitch/CMakeLists.txt,
	tests/simpleTiff16/CMakeLists.txt:
	Enable test of our only two simple tests.

	In build-tree one has first to call "make". After this one may call
	"make test" to actually execute the tests.

2009-09-19 06:21 +0000  kornelbenko  <kornelbenko>  (9ece2714d936 <libpano>)

	* CMakeLists.txt, ChangeLog:
	Add installation of lib/pkgconfig/libpano13.pc

2009-09-19 05:41 +0000  kornelbenko  <kornelbenko>  (11619e599e1b <libpano>)

	* tools/CMakeLists.txt: new file.
	* CMakeLists.txt, ChangeLog, tools/CMakeLists.txt:
	Added tools directory

2009-09-19 02:47 +0000  dmg  <dmg>  (f3d193eb4398 <libpano>)

	* CMakeLists.txt, ChangeLog:
	2009-09-18 <dmg@phosphorus>

	* CMakeLists.txt: Moved wx-widgets into Windows-only part

2009-09-19 02:41 +0000  tksharpless  <tksharpless>  (f7217b190f14 <libpano>)

	* CMakeLists.txt:
	CMakeLists.txt now requires version 2.6

2009-09-18 23:35 +0000  kornelbenko  <kornelbenko>  (ba22b3a6fd72 <libpano>)

	* CMakeLists.txt:
	Create symbolic links to libpano13.so

2009-09-18 22:35 +0000  jim0watters  <jim0watters>  (40fc7988477a <libpano>)

	* doc/Optimize.txt, doc/stitch.txt:
	Update the optimize and stitch scripts to document Tilt.

2009-09-18 21:59 +0000  kornelbenko  <kornelbenko>  (98f7dba81701 <libpano>)

	* man/CMakeLists.txt: new file.
	* CMakeLists.txt, man/CMakeLists.txt:
	Added installation of manuals

2009-09-18 21:10 +0000  dmg  <dmg>  (1faaecf8ad50 <libpano>)

	* doc/developmentPolicy.txt:
	added sentence on mailing list to policy draft

2009-09-18 21:03 +0000  dmg  <dmg>  (ededc7fa2122 <libpano>)

	* ChangeLog:
	2009-09-18 <dmg@uvic.ca>

	* doc/developmentPolicy.txt: Added file with a draft of a policy for
	development of libpano

2009-09-18 21:03 +0000  dmg  <dmg>  (5b7fdfb155bf <libpano>)

	* doc/developmentPolicy.txt: new file.
	* doc/developmentPolicy.txt:
	2009-09-18 <dmg@uvic.ca>

	* doc/developmentPolicy.txt: Added file with a draft of a policy for
	development of libpano

2009-09-18 20:13 +0000  dmg  <dmg>  (c1c61ca4d4cc <libpano>)

	* CMakeLists.txt, ChangeLog, ptpicker.c:
	009-09-18 <dmg@uvic.ca>

	Patch submitted by Kornel Benko

	* ptpicker.c: Casted some values in printf to avoid compiler
	warnings.

	* CMakeLists.txt: As allways one has to call cmake
	-DCPACK_BINARY_DEB:BOOL=ON to create a package (debian/ubuntu in this
	example)

	 make package creates then the package libpano13-2.9.15-Linux.deb.
	(Values automatically taken from configure.ac) The package will
	install the header-files and the (shared) libpano13 library.

2009-09-18 03:25 +0000  jim0watters  <jim0watters>  (ec5d24064029 <libpano>)

	* ChangeLog, PTcommon.c:
	Fix crash if script p line has n"TIFF_m" without any other options
	for tiff

2009-09-17 21:27 +0000  jim0watters  <jim0watters>  (4bd0a2f843a8 <libpano>)

	* adjust.c:
	correct the default value for tiltScale optVars to 0, like all
	optVars.

2009-09-17 17:01 +0000  jim0watters  <jim0watters>  (28d537aa5be8 <libpano>)

	* ChangeLog:
	adjust.c: Add tiltZ and tiltScale to list being set to default
	values math.c Move variable initialization to the beginning of code
	block for MSSC compiler.

2009-09-17 16:57 +0000  jim0Watters  <jim0Watters>  (e2a7cb795575 <libpano>)

	* adjust.c:
	Add tiltZ and tiltScale to list being set to default values.

2009-09-17 16:56 +0000  jim0watters  <jim0watters>  (2b71d11cdb27 <libpano>)

	* math.c:
	Move variable initialization to the beginning of code block for MSSC
	compiler.

2009-09-17 16:40 +0000  dmg  <dmg>  (a9d9df5c32da <libpano>)

	* ChangeLog, parser.c:
	2009-09-17 <dmg@uvic.ca>

	* parser.c: Fail if Ts parameter is set to zero

2009-09-16 19:50 +0000  dmg  <dmg>  (470991517bd3 <libpano>)

	* ChangeLog, PTcommon.c, correct.c, parser.c:
	2009-09-16 <dmg@uvic.ca>

	 * correct.c (correct): Removed debugging code that I introduced
	early. I suspect correct is no longer needed. Thanks to Jim (again)
	for catching this.

	 * parser.c (ReadCoordinates): Removed bogus case switch (thanks to
	Jim Watters for catching this!)

	 * PTcommon.c: Changed use of NDEBUG to a new preprocessor define
	called PANO_TEST_INVERSE

2009-09-16 17:52 +0000  brunopostle  <brunopostle>  (b8a475383e2a <libpano>)

	* ChangeLog:
	Update ChangeLog for likely beta2

2009-09-14 20:59 +0000  brunopostle  <brunopostle>  (cd6f9a4b6238 <libpano>)

	* tests/panoAutomateTest.pl, tests/simpleStitch/reference/Makefile.am,
	tests/simpleTiff16/reference/Makefile.am:
	Put missing test case files in tarball (Andreas Metzler)

2009-09-14 19:54 +0000  brunopostle  <brunopostle>  (30177ec7aff4 <libpano>)

	* Makefile.am:
	switch soname back to 1:0:0 as ABI hasn't really changed

2009-09-14 18:23 +0000  dmg  <dmg>  (2f776458acbc <libpano>)

	* ChangeLog, configure.ac:
	2009-09-14 <dmg@uvic.ca>

	* configure.ac: Added support for kfreebsd. Patch created by Debian
	upstream maintainer Cyril Brulebois

2009-09-10 06:41 +0000  dmg  <dmg>  (824c52ff81e7 <libpano>)

	* ChangeLog, PTcommon.c, adjust.c, correct.c, filter.h, math.c,
	panorama.h, parser.c, pt_stdint.h:
	2009-09-09 <dmg@uvic.ca>

	* PTcommon.c, panorama.h, pt_stdint.h, math.c, adjust.c PTcommon.c,
	filter.h, parser.c, correct.c: Integrated Dev"s implementation of
	tilt, extended to support rotation of the camera before independent
	of roll,pitch,yaw. The new parameters are: Tx,Ty,Tz,Ts (tilt on x
	axis, y axis, z axis, and scaling of field of view in the
	transformation). Supported by PTmender and PToptimizer

2009-09-03 17:41 +0000  brunopostle  <brunopostle>  (c5acf5d3fab4 <libpano>)

	* ChangeLog:
	Update ChangeLog with svn2cl

2009-09-03 17:26 +0000  brunopostle  <brunopostle>  (889f524929c2 <libpano>)

	* Makefile.am, configure.ac, version.h:
	Bump version and soname

2009-09-03 17:13 +0000  brunopostle  <brunopostle>  (047e837c0d1d <libpano>)

	* adjust.h, parser.c:
	Fixes for implicit declarations (Stanislav Brabec)

2009-09-03 14:08 +0000  brunopostle  <brunopostle>  (34ed4d01a3e9 <libpano>)

	* libpano13.pc.in: new file.
	* Makefile.am, configure.ac, libpano13.pc.in:
	Add a pkgconfig support with a libpano13.pc file (Andreas Metzler)

2009-08-18 17:33 +0000  dmg  <dmg>  (0d7a60c414d4 <libpano>)

	* ChangeLog:
	Forgot to update changelog

2009-08-18 17:26 +0000  dmg  <dmg>  (2603dc1e37b3 <libpano>)

	* parser.c:
	Tried to fix the setlocale thing

2009-08-14 18:36 +0000  dmg  <dmg>  (774867bf74c8 <libpano>)

	* ChangeLog, PTcommon.c, adjust.c, filter.h, math.c,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleTiff16/reference/tiff_m0000.tif,
	tests/simpleTiff16/reference/tiff_m_cropped0000.tif:
	2009-08-14 <dmg@uvic.ca>

	* Updated tests cases to reflect the slight change in the boundaries
	of the ROI.

	* adjust.c, math.c, filter.h: The inverse of shear was broken. I
	have added a shearInv function that takes care of this bug.

	* PTcommon.c (getROI): Improved its computation of its edges to make
	it err on the outside rather than on the inside of the actual area.
	I have also added code to test the inverse computations for any
	particular function.

2009-08-14 06:14 +0000  dmg  <dmg>  (7588eeb92d21 <libpano>)

	* tests/simpleTiff16/reference/tiff_m_uncropped0000.tif: new file.
	* ChangeLog, PTcommon.c, tests/panoAutomateTest.pl,
	tests/simpleStitch/reference/tiff_m_uncropped0000.tif,
	tests/simpleStitch/reference/tiff_m_uncropped0001.tif,
	tests/simpleTiff16/reference/tiff_m0000.tif,
	tests/simpleTiff16/reference/tiff_m_uncropped0000.tif,
	tests/simpleTiff16/temp.txt:
	2009-08-13 <dmg@uvic.ca>

	 * PTcommon.c (panoCreatePanorama): Added support for uncropped
	TIFF_m, but only when it is not circular fisheye

	 * tests/panoAutomateTest.pl (Compare_Images): Added support for
	uncropped and cropped images.

	 * Updated tests

2009-08-14 06:05 +0000  dmg  <dmg>  (51e969406495 <libpano>)

	* tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif:
	i need actual files, not symlinks

2009-08-14 06:01 +0000  dmg  <dmg>  (b3cca698a94c <libpano>)

	* tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif: new file.
	* tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif:
	finished renaming files

2009-08-14 06:00 +0000  dmg  <dmg>  (f6f56d1d148d <libpano>)

	* tests/simpleStitch/reference/tiff_m_uncropped0000.tif,
	tests/simpleStitch/reference/tiff_m_uncropped0001.tif: new file.
	* tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif: deleted file.
	* tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_uncropped0000.tif,
	tests/simpleStitch/reference/tiff_m_uncropped0001.tif:
	renaming some files part 2, has to be done in different commits

2009-08-14 05:58 +0000  dmg  <dmg>  (d8730c899c98 <libpano>)

	* renaming some files, has to be done in different commits

2009-08-04 13:52 +0000  tksharpless  <tksharpless>  (0177cb9be9a1 <libpano>)

	* CMakeLists.txt:
	Add Bruno's patch for Linux to CMakeLists.txt

2009-08-04 12:48 +0000  tksharpless  <tksharpless>  (ae33c74027f6 <libpano>)

	* CMakeLists.txt:
	Improved version of previous mod to CMakeLists.txt

2009-08-04 12:35 +0000  tksharpless  <tksharpless>  (a29142899c8d <libpano>)

	* CMakeLists.txt:
	Can define HUGIN_BASE_DIR on the CMake commandline to locate the
	Hugin source root (by default it must be next to the libpano source
	root and be called hugin).

2009-08-04 04:16 +0000  tksharpless  <tksharpless>  (b8496fd65b0d <libpano>)

	* CMakeLists.txt: new file.
	* CMakeLists.txt:
	Added CMakeLists.txt to build libpano13 (only) in the Hugin build
	environment. Works with MSVC 2008 Exp. & Hugin SDK on WinVista.
	Please test elsewhere. Also untested is the option of including
	support for the Java utilities (left out by default).

2009-08-01 09:16 +0000  dmg  <dmg>  (b3fbb2edb2a1 <libpano>)

	* ChangeLog, parser.c:
	2009-08-01 <dmg@uvic.ca>

	* parser.c: on discussion with Tom Modes I made sure that parser
	saves and restores the locale.

2009-06-11 22:32 +0000  brunopostle  <brunopostle>  (7b960d4051d0 <libpano>)

	* adjust.c:
	Fix "Unsupported panorama projection" warning when opening a project
	with a recent projection (Yuval Levy). https://sourceforge.net/track
	er/?func=detail&atid=550441&aid=2803939&group_id=77506

2009-05-01 21:10 +0000  brunopostle  <brunopostle>  (ec42a2812a90 <libpano>)

	* ChangeLog:
	Update ChangeLog for 2.9.14_rc1

2009-05-01 21:01 +0000  brunopostle  <brunopostle>  (3708cd0da548 <libpano>)

	* man/PTAInterpolate.pod: new file.
	* man/Makefile.am, man/PTAInterpolate.pod, man/PToptimizer.1,
	man/PToptimizer.pod:
	man page for PTAInterpolate

2009-05-01 20:36 +0000  brunopostle  <brunopostle>  (29afce38e49b <libpano>)

	* Makefile.am:
	ABI has changed since 2.9.12, bump soname (Andreas Metzler)

2009-04-30 22:57 +0000  brunopostle  <brunopostle>  (67d948d74df4 <libpano>)

	* math.c:
	Fix albers equal area conic division by zero error (Guido Kohlmeyer)

2009-04-25 16:50 +0000  brunopostle  <brunopostle>  (6dc8e7933c1e <libpano>)

	* man/PTblender.1, man/PTcrop.1, man/PTinfo.1, man/PTmasker.1,
	man/PTmender.1, man/PToptimizer.1, man/PTroller.1, man/PTtiff2psd.1,
	man/PTtiffdump.1, man/PTuncrop.1, man/panoinfo.1:
	Update VERSION in man pages (Andreas Metzler)

2009-03-03 22:42 +0000  brunopostle  <brunopostle>  (9b5b815d533f <libpano>)

	* ChangeLog:
	update

2009-02-23 22:18 +0000  brunopostle  <brunopostle>  (358e5cb5359d <libpano>)

	* adjust.c, remap.c:
	Apply MAX_FISHEYE_FOV only if both hfov and vfov match

2009-02-23 22:11 +0000  brunopostle  <brunopostle>  (698df6af1128 <libpano>)

	* README.linux, README.windows, filter.h:
	reset MAX_FISHEYE_FOV to 179 degrees (was 720)

2009-02-12 21:19 +0000  brunopostle  <brunopostle>  (2cf01af2219c <libpano>)

	* man/Makefile.am:
	Don't do pointless chmod a+r after installing man pages

2009-02-10 00:47 +0000  jim0watters  <jim0watters>  (b03bd739d1fc <libpano>)

	* parser.c:
	add missing case statements

2009-02-08 00:32 +0000  brunopostle  <brunopostle>  (60cf90954fe1 <libpano>)

	* filter.c:
	Don't include unistd.h on Windows, bug #2577715

2009-02-05 00:45 +0000  brunopostle  <brunopostle>  (c8038bfc0724 <libpano>)

	* ChangeLog:
	update ChangeLog

2009-02-05 00:38 +0000  brunopostle  <brunopostle>  (e940fc778281 <libpano>)

	* configure.ac, version.h:
	bump version to 2.9.14, sources conflicted as to whether previous
	version was 2.9.12 or 2.9.13

2009-02-05 00:30 +0000  brunopostle  <brunopostle>  (b96efba6eb39 <libpano>)

	* m4/ax_check_graphics.m4:
	close bugs #1236502 & #1599376 -lm required for libpng

2009-02-05 00:22 +0000  brunopostle  <brunopostle>  (6314f2475ddb <libpano>)

	* makefile.linux: deleted file.
	* Makefile.am, README.linux, makefile.linux:
	Remove unmaintained makefile.linux

2009-02-05 00:06 +0000  brunopostle  <brunopostle>  (169b84726cc9 <libpano>)

	* ColourBrightness.c, filter.c, pttiff.h:
	patch fixes implicit declaration warnings, which may lead to
	crashes. patch #2163691 (Stanislav Brabec)

2009-02-04 23:49 +0000  brunopostle  <brunopostle>  (b977260cb833 <libpano>)

	* filter.c, filter.h:
	Fix of invalid write() calls, which don't appear to be used anyway.
	patch #2163669 (Stanislav Brabec)

2009-02-04 23:02 +0000  brunopostle  <brunopostle>  (11e239e859e7 <libpano>)

	* parser.c:
	four variables have been added to "C" lines:
	* c - control point number;
	* D, Dx, Dy - a control point error (value and orthogonal components).
	It is useful for the analysis of results of PToptimizer operation
	and the subsequent removal of "bad" control points. Patch #2118807
	(Iouri Ivliev)

2009-02-04 22:33 +0000  brunopostle  <brunopostle>  (68c548e7d7a6 <libpano>)

	* parser.c:
	Existing implementation of WriteResults function uses two
	intermediate buffers for sprintf(3) and a considerable quantity of
	strcat(3) calls for copying data in the target buffer. This patch
	removes all strcat(3) calls and fulfils sprintf(3) in the target
	buffer directly. Patch #2118807 (Iouri Ivliev)

2009-02-02 21:55 +0000  dangelo  <dangelo>  (f7c6c6ffafee <libpano>)

	* adjust.c, filter.h, panorama.h, parser.c, queryfeature.c:
	forgot to add some more files touched by the bi/triplane projection

2009-02-02 21:51 +0000  dangelo  <dangelo>  (562d2bd02136 <libpano>)

	* ChangeLog:
	correct Changelog entry

2009-02-02 21:29 +0000  dangelo  <dangelo>  (c7ed38d351e1 <libpano>)

	* ChangeLog, math.c:
	equirect -> rectilinear transform: reject points behind the camera
	applied patch with biplane and triplane projections.

2009-02-02 20:39 +0000  brunopostle  <brunopostle>  (ef403c54851f <libpano>)

	* man/.cvsignore, tests/simpleStitch/reference/.cvsignore,
	tests/simpleTiff16/.cvsignore,
	tests/simpleTiff16/reference/.cvsignore: new file.
	* ChangeLog, man/.cvsignore, tests/simpleStitch/reference/.cvsignore,
	tests/simpleTiff16/.cvsignore,
	tests/simpleTiff16/reference/.cvsignore, tools/.cvsignore:
	housekeeping

2009-02-01 23:34 +0000  brunopostle  <brunopostle>  (de1c9a033304 <libpano>)

	* tools/PTmasker.c:
	fix for invalid format specification, bug #2163676 (Stanislav
	Brabec)

2009-02-01 23:24 +0000  brunopostle  <brunopostle>  (92f918c0d1d2 <libpano>)

	* configure.ac, m4/ax_check_java.m4:
	autotools cross-compile support, bug #2491104 (Diego E. Petteno)

2009-02-01 23:15 +0000  brunopostle  <brunopostle>  (bca940d25959 <libpano>)

	* f2c.h, jpegicc.c, jpegicc.h, rgbe.c, rgbe.h:
	Fix vague licensing, bug #1877526 (Cyril Brulebois)

2009-02-01 22:48 +0000  brunopostle  <brunopostle>  (c8113c8e8ebb <libpano>)

	* man/Makefile.am, man/PTblender.1, man/PTblender.pod, man/PTcrop.1,
	man/PTcrop.pod, man/PTinfo.1, man/PTinfo.pod, man/PTmasker.1,
	man/PTmasker.pod, man/PTmender.1, man/PTmender.pod,
	man/PToptimizer.1, man/PToptimizer.pod, man/PTroller.1,
	man/PTroller.pod, man/PTtiff2psd.1, man/PTtiff2psd.pod,
	man/PTtiffdump.1, man/PTtiffdump.pod, man/PTuncrop.1,
	man/PTuncrop.pod, man/panoinfo.1, man/panoinfo.pod: new file.
	* Makefile.am, configure.ac, man/Makefile.am, man/PTblender.1,
	man/PTblender.pod, man/PTcrop.1, man/PTcrop.pod, man/PTinfo.1,
	man/PTinfo.pod, man/PTmasker.1, man/PTmasker.pod, man/PTmender.1,
	man/PTmender.pod, man/PToptimizer.1, man/PToptimizer.pod,
	man/PTroller.1, man/PTroller.pod, man/PTtiff2psd.1,
	man/PTtiff2psd.pod, man/PTtiffdump.1, man/PTtiffdump.pod,
	man/PTuncrop.1, man/PTuncrop.pod, man/panoinfo.1, man/panoinfo.pod:
	add missing manpages bug #1877534 (Cyril Brulebois)

2009-02-01 21:18 +0000  brunopostle  <brunopostle>  (8afffc59ae3c <libpano>)

	* tests/simpleStitch/reference/Makefile.am,
	tests/simpleTiff16/reference/Makefile.am: new file.
	* configure.ac, tests/simpleStitch/Makefile.am,
	tests/simpleStitch/reference/Makefile.am,
	tests/simpleTiff16/Makefile.am,
	tests/simpleTiff16/reference/Makefile.am:
	Don't ship .svn dirs in tarball bug #1861174 (Cyril Brulebois)

2009-02-01 17:59 +0000  brunopostle  <brunopostle>  (123d189f511d <libpano>)

	* PixMap.c, PixMap.h, README.mac, makefile.mac, pict.c: deleted file.
	* Makefile.am, PixMap.c, PixMap.h, README.mac, makefile.mac, pict.c:
	Remove GPL incompatible files (bug #1861841), this removes mac
	classic support and hopefully doesn't break anything in OS X.

2009-02-01 17:37 +0000  brunopostle  <brunopostle>  (538cf99992e6 <libpano>)

	* bootstrap:
	support libtool-2.0 bug #2011492

2009-01-17 22:35 +0000  brunopostle  <brunopostle>  (37be7d80abac <libpano>)

	* ChangeLog, math.c:
	fix reverse calculation for pannini (Thomas Modes)

2009-01-08 23:47 +0000  brunopostle  <brunopostle>  (63d070cd9944 <libpano>)

	* queryfeature.c:
	maximum field of view for pannini should be equivalent to related
	projections

2009-01-03 07:22 +0000  dmg  <dmg>  (84ab54c5f469 <libpano>)

	* ChangeLog, adjust.c, filter.h, math.c, panorama.h, parser.c,
	queryfeature.c:
	2009-01-02 dmg <dmg@phosphorus>

	* * adjust.c, filter.h, math.c, panorama.h, parser.c &
	queryfeateature.c:

	Fixed the panini (or should we call it pannini) and renamed previous
	projection as equirectangular panini. It might have to change its
	name

2008-12-31 16:12 +0000  jim0watters  <jim0watters>  (43e814d1ef2e <libpano>)

	* queryfeature.c:
	Add missing projections for panoProjectionFeaturesQuery c/o Yuv

2008-12-31 05:59 +0000  jim0watters  <jim0watters>  (0703a6b3adc8 <libpano>)

	* ChangeLog, adjust.c, doc/Optimize.txt, doc/stitch.txt, filter.h,
	math.c, panorama.h, parser.c, queryfeature.c:
	adjust.c, filter.h, math.c, panorama.h, parser.c & queryfeateature.c
	added mirror, equisolid, orthographic, and stereographic as input
	image formats added equisolid, orthographic, stereographic as output
	panorama formats add some more defines to panorama.h to help image
	and pano formats

2008-12-31 05:25 +0000  jim0watters  <jim0watters>  (6158e5331284 <libpano>)

	* PTcommon.c, correct.c, filter.c, morpher.c, pt_stdint.h, pteditor.c,
	ptpicker.c:
	Initialize TrformStr structure before use

2008-12-29 23:05 +0000  dmg  <dmg>  (8ff2b4db9e4c <libpano>)

	* ChangeLog, adjust.c, filter.h, math.c, panorama.h, parser.c,
	queryfeature.c:
	2008-12-29 dmg <dmg@phosphorus>

	* panorama.h, math.c, adjust.c, queryfeature.c, filter.h: Finally
	added the architectural.

2008-12-29 21:37 +0000  dmg  <dmg>  (de75392fa3b9 <libpano>)

	* ChangeLog, queryfeature.c:
	2008-12-29 dmg <dmg@phosphorus>

	* queryfeature.c (panoProjectionFeaturesQuery): Added querying
	features for panini; this will allow Hugin to use it

2008-12-29 12:07 +0000  dmg  <dmg>  (760960ceb31f <libpano>)

	* ChangeLog, adjust.c, filter.h, math.c, panorama.h, parser.c,
	queryfeature.c:
	2008-12-29 dmg <dmg@uvic.ca>

	* panorama.h, math.c, adjust.c, queryfeature.c, filter.h, parser.c:
	Added panini projection. the credit goes to Thomas Sharpless who
	rediscovered it, and to Bruno Postle, who did the original math.

2008-08-11 10:25 +0000  dmg  <dmg>  (86d5bd530208 <libpano>)

	* bootstrap:
	Oops, minor error in previous commit

2008-08-11 10:25 +0000  dmg  <dmg>  (7b5e874573b3 <libpano>)

	* ChangeLog, bootstrap:
	2008-08-11 dmg <dmg@uvic.ca>

	 * bootstrap (have_libtool): Added support for 2.2.* version of
	libtool. Patch submitted by Neil Shephard.

2008-03-19 07:07 +0000  dangelo  <dangelo>  (ee2edfb0ac98 <libpano>)

	* file.c:
	applied patch [ 1917103 ] panoImageRead doesn't read tiff files

2008-01-28 07:38 +0000  dangelo  <dangelo>  (7a1bcffe6189 <libpano>)

	* filter.h, sys_common.c:
	revert const change that broke source compatability with other apps.

2008-01-26 20:43 +0000  jim0watters  <jim0watters>  (349c3d0f8143 <libpano>)

	* ChangeLog, filter.h, ptpicker.c, resample.c, sys_common.c,
	tools/PTAInterpolate.c:
	Fix some warning messages sys_common.c and filter.h Updated
	printError functions to use Const char (submitted by Simon Oosthoek)

2008-01-16 08:16 +0000  jim0watters  <jim0watters>  (dcc88fa7f6a1 <libpano>)

	* PTDialogs.c, TODO, adjust.c, correct.c, filter.c, perspect.c,
	remap.c, sys_win.c, version.h:
	Update Photoshop plugins to have new dialog with options for

2008-01-16 08:11 +0000  jim0watters  <jim0watters>  (5f8c6ea11522 <libpano>)

	* PTDialogs.c, bmp.c, file.c, libpano.sln, libpano.vcproj, ptpicker.c,
	tools/PTAInterpolate.vcproj, tools/PTOptimizer.vcproj,
	tools/PTblender.c, tools/PTblender.vcproj, tools/PTcrop.vcproj,
	tools/PTinfo.c, tools/PTinfo.vcproj, tools/PTmasker.vcproj,
	tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj:
	Update solution and project files to build MSWin binaries for either
	Windows or command prompt. Allows same source code to be used for
	command line tools and Photoshop plug-ins.

2008-01-16 08:08 +0000  jim0watters  <jim0watters>  (00cc76496c74 <libpano>)

	* panorama.h:
	Update solution and project files to build MSWin binaries for either
	Windows or command prompt. Allows same source code to be used for
	command line tools and Photoshop plug-ins.

2008-01-05 05:09 +0000  jim0watters  <jim0watters>  (e866c7761952 <libpano>)

	* libpano.vcproj:
	Removed duplicate .def files. Updated project

2008-01-05 05:07 +0000  jim0watters  <jim0watters>  (f5f394eadaac <libpano>)

	* pano13.def: deleted file.
	* ChangeLog, Makefile.am, PTcommon.c, TODO, adjust.c, correct.c,
	doc/Optimize.txt, doc/stitch.txt, filter.c, filter.h, libpano13.def,
	makefile.linux, makefile.mac, makefile.win32, morpher.c, pano13.def,
	pano13.rc, panorama.h, parser.c, pteditor.c, ptpicker.c, resample.c,
	sys_X11.h, sys_ansi.h, sys_mac.h, sys_win.c, sys_win.h,
	tools/Makefile.am, tools/PToptimizer.c:
	- Added FastTransform to the data structures removed as global
	variable
	- Added FastTransform to the dialog.
	- Updated the dialogs with some of the newer interpolator. TOTO:
	update correct.c, morpher.c, perspective.c, and remap to use
	transFormEx instead of the new transform (required to use new
	interpolators) Requires adding inverse stacks.
	- Fixed PTCorrect bug that had wrong order of operations on the image
	stack, Radial, then H & V shift.
	- updated the default interpolator to _spline36
	- On Windows changed the default location to store parameters file
	from app folder to folder and file name
	%APPDATA%\Panotools\APPNAME.prf. This should make the plugins Vista
	friendly. Changed the default temp file location to %TEMP%

2008-01-05 03:05 +0000  jim0watters  <jim0watters>  (9e3e0a878b85 <libpano>)

	* pano13vcd.def: deleted file.
	* pano13vcd.def:
	Removed duplicate .def file

2008-01-03 19:28 +0000  jim0watters  <jim0watters>  (57f2d256f8be <libpano>)

	* filter.h:
	revert update of FoV

2008-01-03 14:18 +0000  dangelo  <dangelo>  (4b6dc300c940 <libpano>)

	* ChangeLog, tools/Makefile.am:
	PTAinterpolate depends on java

2007-12-31 05:00 +0000  jim0watters  <jim0watters>  (c7051da7816c <libpano>)

	* libpano13.def, pano13.def, pano13.rc, pano13vc.def, pano13vcd.def:
	new file.
	* libpano12.def, pano12.def, pano12.rc, pano12vc.def, pano12vcd.def:
	deleted file.
	* ChangeLog, Makefile.am, PTDialogs.c, README.linux, README.mac,
	README.windows, TODO, filter.h, libpano.vcproj, libpano12.def,
	libpano13.def, makefile.linux, makefile.mac, makefile.win32,
	pano12.def, pano12.rc, pano12vc.def, pano12vcd.def, pano13.def,
	pano13.rc, pano13vc.def, pano13vcd.def, queryfeature.h, sys_X11.c,
	sys_ansi.c, sys_mac.c, sys_win.c, sys_win.h, tools/Makefile.am,
	tools/PTainterpolate.rc, tools/PTblender.rc, tools/PTcrop.rc,
	tools/PTinfo.rc, tools/PTmasker.rc, tools/PTmender.rc,
	tools/PToptimizer.c, tools/PToptimizer.rc, tools/PTroller.rc,
	tools/PTtiff2psd.rc, tools/PTtiffdump.rc, tools/PTuncrop.rc,
	tools/panoinfo.c, tools/panoinfo_unix.c, version.h:
	Update trunk to be pano13. Create a name separation from pano12.
	Swepted many files. Updated version info.

2007-12-31 01:08 +0000  jim0watters  <jim0watters>  (7211ca7191fa <libpano>)

	* tools/PTainterpolate.rc, tools/PTblender.rc, tools/PTcrop.rc,
	tools/PTinfo.rc, tools/PTmasker.rc, tools/PTmender.rc,
	tools/PToptimizer.rc, tools/PTroller.rc, tools/PTtiff2psd.rc,
	tools/PTtiffdump.rc, tools/PTuncrop.rc: new file.
	* tools/PTAInterpolate.vcproj, tools/PTOptimizer.vcproj,
	tools/PTainterpolate.rc, tools/PTblender.rc, tools/PTblender.vcproj,
	tools/PTcrop.rc, tools/PTcrop.vcproj, tools/PTinfo.rc,
	tools/PTinfo.vcproj, tools/PTmasker.rc, tools/PTmasker.vcproj,
	tools/PTmender.rc, tools/PTmender.vcproj, tools/PToptimizer.rc,
	tools/PTroller.rc, tools/PTroller.vcproj, tools/PTtiff2psd.rc,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.rc,
	tools/PTtiffdump.vcproj, tools/PTuncrop.rc, tools/PTuncrop.vcproj:
	Add resource file to provide version info for each of the helper
	tools. Updated project file to include resource. Did not try to
	update make file. TODO: Update make file to include resource files

2007-12-30 00:49 +0000  jim0watters  <jim0watters>  (3e25116ab14c <libpano>)

	* tools/PTpano12.dsp, tools/PTpano12.vcproj,
	tools/PTpano12_readme.txt, tools/ptpano12.cpp, tools/ptpano12.def,
	tools/ptpano12.h: deleted file.
	* tools/PTpano12.dsp, tools/PTpano12.vcproj,
	tools/PTpano12_readme.txt, tools/ptpano12.cpp, tools/ptpano12.def,
	tools/ptpano12.h:
	Remove PTPano12 from the trunk (pano13 branch). Its purpose is to
	report on functions used by calling applications to pano12.dll to
	help recreate them. It is not part of the pano13 package. The
	project can still be found in the panotools12 branch as PTTrace.

2007-12-29 23:11 +0000  jim0watters  <jim0watters>  (3d423d150ac9 <libpano>)

	* tools/PTAInterpolate.c, tools/PTAInterpolate.vcproj: new file.
	* tools/makefile.panoinfo.win32, tools/makefile.ptoptimizer.win32:
	deleted file.
	* ChangeLog, file.c, libpano.sln, resample.c, tiff.c,
	tools/Makefile.am, tools/PTAInterpolate.c,
	tools/PTAInterpolate.vcproj, tools/PTblender.vcproj,
	tools/PTmasker.vcproj, tools/makefile.panoinfo.win32,
	tools/makefile.ptoptimizer.win32:
	Added Max Lyons bug fixes to libpano Added Max Lyons PTAinterpolate
	project to replace PTInterpolate Make file updated but not tested.
	Removed duplicate make files for panoinfo and ptoptimizer

2007-12-29 22:49 +0000  jim0watters  <jim0watters>  (ee1b1ab61211 <libpano>)

	* tools/PTStitcher.cpp, tools/PTStitcher.vcproj: deleted file.
	* tools/PTStitcher.cpp, tools/PTStitcher.vcproj:
	Remove incomplete old test project I started to replace PTStitcher
	that was later done with PTMender

2007-12-29 15:12 +0000  jim0watters  <jim0watters>  (55a25557b8c2 <libpano>)

	* resample.c:
	reverted some of previous fix.

2007-12-29 06:29 +0000  jim0watters  <jim0watters>  (02bfd85f5dce <libpano>)

	* resample.c:
	fix more warnings

2007-12-28 23:52 +0000  jim0watters  <jim0watters>  (ebced6bdc7f3 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, ZComb.c, adjust.c,
	correct.c, file.c, file.h, filter.c, filter.h, fourier.c, hdrfile.c,
	libpano.vcproj, metadata.c, pano12vcd.def, parser.c, png.c,
	pteditor.c, ptfeather.c, ptpicker.c, ptstitch.c, pttiff.h, remap.c,
	resample.c, rgbe.c, tiff.c, tools/PTOptimizer.vcproj,
	tools/PTblender.vcproj, tools/PTcrop.vcproj, tools/PTinfo.c,
	tools/PTinfo.vcproj, tools/PTmasker.c, tools/PTmasker.vcproj,
	tools/PTmender.c, tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj:
	removed warning suppression from MSVC project builds swept many
	files to remove compiler warnings.

2007-11-25 15:53 +0000  dangelo  <dangelo>  (512b9c09064c <libpano>)

	* ChangeLog, libpano.vcproj:
	MSVC: produce libs named pano13.lib

2007-10-21 09:47 +0000  dangelo  <dangelo>  (72981df89e70 <libpano>)

	* ChangeLog, parser.c:
	reset m parameter to 0 if not set in m line

2007-07-16 01:22 +0000  jim0watters  <jim0watters>  (83819655c345 <libpano>)

	* sys_win.c:
	Use correct name to reflect version of pref file.

2007-05-10 19:54 +0000  dangelo  <dangelo>  (a10caaa81991 <libpano>)

	* bootstrap:
	work with newer version of autoconf

2007-04-24 01:25 +0000  jim0watters  <jim0watters>  (2edf4e15f718 <libpano>)

	* filter.c, sys_X11.c, sys_ansi.c, sys_mac.c, sys_win.c, version.h:
	Separated version number of plugin data structure from main dll,

2007-04-23 04:38 +0000  jim0watters  <jim0watters>  (132662788fbf <libpano>)

	* ChangeLog, adjust.c:
	Update scale[0] to use selected width and height. Fix issue using
	crop and fisheye images.

2007-02-05 19:56 +0000  dangelo  <dangelo>  (a5f8ff80ed36 <libpano>)

	* ChangeLog, queryfeature.c:
	fixed projection limits and names

2007-01-25 22:54 +0000  dangelo  <dangelo>  (f1806a384cc9 <libpano>)

	* ChangeLog, queryfeature.c:
	limit cylindrical VFOV to 179

2007-01-25 21:43 +0000  dangelo  <dangelo>  (9c7e8b5b880a <libpano>)

	* ChangeLog, filter.c:
	bugfix: initialize precalculated parameters in Image struct

2007-01-24 21:47 +0000  dangelo  <dangelo>  (4df229f3f37f <libpano>)

	* ChangeLog, queryfeature.c:
	populate projection query

2007-01-23 22:22 +0000  dangelo  <dangelo>  (51d0c39ce53d <libpano>)

	* ChangeLog, panorama.h:
	added internal format id to query projection function

2007-01-23 22:20 +0000  dangelo  <dangelo>  (ae1dfada1665 <libpano>)

	* file.c:
	

2007-01-23 22:20 +0000  dangelo  <dangelo>  (7921450859d3 <libpano>)

	* ChangeLog, PTcommon.c:
	check if PTmender output file exist, delete it to make sure that
	overwriting works on all platforms

2007-01-23 08:06 +0000  dmg  <dmg>  (90fc31775dfc <libpano>)

	* ChangeLog, adjust.c, file.c, filter.h, math.c, panorama.h, parser.c,
	queryfeature.c, tiff.c:
	2007-01-22 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.13

	* queryfeature.c (panoProjectionFeaturesQuery): Mercator is 179 vfov
	max.

	* file.c (CREATED_BY_PSD): This constant needs to be ODD in length

	* queryfeature.c, panorama.h, math.c, adjust.c, filter.h, parser.c:
	Added Miller Cylindrical.

2007-01-11 19:36 +0000  dmg  <dmg>  (c8e919d0b5b0 <libpano>)

	* ChangeLog, panorama.h, queryfeature.c:
	2007-01-11 dmg <dmg@uvic.ca>

	 * queryfeature.c, panorama.h (panoProjectionFormatCount): Added
	function.

2007-01-11 09:01 +0000  dmg  <dmg>  (fb179a98627f <libpano>)

	* ChangeLog, configure.ac, panorama.h, parser.c, queryfeature.c,
	tools/panoinfo.c, tools/panoinfo_unix.c, version.h:
	2007-01-11 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.12

	* tools/panoinfo_unix.c: Output features of panos.

	* panorama.h, queryfeature.c: Added functions to query features of
	each pano format as needed by hugin.

2007-01-11 07:55 +0000  dmg  <dmg>  (483bd30f6d15 <libpano>)

	* parser.c:
	Removed debugging printf

2007-01-11 07:50 +0000  dmg  <dmg>  (994b23401ad2 <libpano>)

	* ChangeLog, configure.ac, parser.c, version.h:
	2007-01-10 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.11

	* parser.c (ParseScript): V-type variables from Hugin .pto files
	need to be ignored also.

2007-01-11 07:32 +0000  dmg  <dmg>  (dbb184d77926 <libpano>)

	* parser.c:
	I removed weird-sized tabs from parser.c

2007-01-11 07:04 +0000  dmg  <dmg>  (6834289e99b2 <libpano>)

	* ChangeLog, parser.c:
	2007-01-10 dmg <dmg@uvic.ca>

	* parser.c (readAdjust): Images with i were all done with the first
	spec. This change fixes that problem (the parser should be
	rewritten)

2007-01-11 06:04 +0000  dmg  <dmg>  (fa5d06fe23b5 <libpano>)

	* ChangeLog, TODO, configure.ac, doc/stitch.txt, parser.c, version.h:
	2007-01-10 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.10

	* doc/stitch.txt: Updated the file to match latest version.

	* parser.c (readAdjust): Updated parser to accept adjustLine in the
	i-line. (nextWord): Make sure that it eats the closing quotes
	(ReadPanoramaDescription): Forked this function from
	ReadImageDescription. In the past both images (o and i lines) and
	output format (p-line) were read with the same function.

	* TODO (PTmender): Updated the file.

2007-01-11 00:37 +0000  dmg  <dmg>  (84e3953ee570 <libpano>)

	* ChangeLog, PTcommon.c, adjust.c, configure.ac, file.c, filter.c,
	filter.h, math.c, panorama.h, parser.c, queryfeature.c, version.h:
	2007-01-10 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.9

	* queryfeature.c: Updated labels for Lamberts to their full name.

	* parser.c: implemented option P (parameters to projection) as a
	multivalue parameted

	* panorama.h: Modified the Image struct to support parameters to the
	projection and to support precomputation of values for the
	projection (to speed up computation)

	* math.c, parser.c, panorama.h, adjust.c, filter.c, queryfeature.c:
	Implemented Albers Conical Equal Area projection.

	Most of these changes submitted by Michael Gross, reviewed and
	slightly adapted by me.

2007-01-01 22:07 +0000  dmg  <dmg>  (a07dce7d12c1 <libpano>)

	* AUTHORS, ChangeLog, ColourBrightness.c, TODO, ZComb.c, configure.ac,
	parser.c, sys_ansi.c, tools/PTmasker.c, tools/PTmender.c, version.h:
	2007-01-01 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.8

	* parser.c (ParseScript): Added some comments to "z" option

	* sys_ansi.c (PrintErrorIntern): Add an end-of-line if none is
	provided (to increase readbility of PrintError, but only when stdout
	is used)

	* AUTHORS: Updated my own URL. Order them in lexicographical order
	by lastname

	* TODO: Updated file.

	* ZComb.c (ZCOMBLOGFILENAME): Changed name of log file for Zcomb to
	something more appropriate.

	* ColourBrightness.c (CorrectImageColourBrigthness): Fixed some
	compilation warnings

	* tools/PTmasker.c (main): Added support for focus enhancing (z
	option in the old PTstitch script)

2007-01-01 19:42 +0000  dangelo  <dangelo>  (35f549e2bcb3 <libpano>)

	* AUTHORS:
	added dmg and myself

2006-12-31 08:38 +0000  dangelo  <dangelo>  (13a57e670238 <libpano>)

	* ChangeLog, libpano.sln, libpano.vcproj, tools/PTmasker.c,
	tools/PTroller.c:
	fixed default output in PTmasker, compile PTroller when using MSVC

2006-12-31 08:20 +0000  dangelo  <dangelo>  (4f622ce36feb <libpano>)

	* tools/PTmasker.vcproj:
	MSVC build accidentally overwrote PTblender with PTmasker

2006-12-31 07:43 +0000  dangelo  <dangelo>  (5fdcdafbfdb9 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, file.c, ptstitch.c,
	queryfeature.c, tiff.c, tools/PTmender.c:
	fix signed vs unsigned warnings

2006-12-30 20:57 +0000  dangelo  <dangelo>  (1d5cc6923bdf <libpano>)

	* ChangeLog:
	forgot to commit my message

2006-12-27 07:29 +0000  dmg  <dmg>  (1efbe64e5462 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, TODO, configure.ac,
	filter.c, math.c, metadata.c, metadata.h, ptfeather.c, ptstitch.c,
	ptstitch.h, pttiff.h, sys_ansi.c, tiff.c, tools/PTblender.c,
	tools/PTmasker.c, tools/PTmender.c, version.h:
	2006-12-26 dmg <dmg@uvic.ca>

	* tiff.c (panoTiffDisplayInfo): Fixed compilation warning

	* version.h (VERSION), configure.ac Upgraded to version 2.9.7.

	* math.c: Cleaned up some of the Lambert related code.

	* tools/PTblender.c: Improved error message it.

	* ptfeather.c: Improved the feathering algorithm, made sure 16 bits
	works too.

	* ptstitch.c, ptstitch.h (panoStitchPixelChannelSet): Added
	function, cleanedup panoStitchPixelChannelGet.

	* metadata.c (panoImageBytesPerSample): Added function.

	* tools/PTmasker.c (main): If one file is specified feather it,
	otherwise do nothing.

	* tiff.c, pttiff.h: (panoImageDispose): Disposes properly any memory
	used by the Image data structure.

	* ColourBrightness.c, PTcommon.c, ptstitch.c, PTcommon.c: replaced
	myfree(image.data) with panoImageDispose.

	* filter.c (panoMetadataFree): Set pointers to null once they have
	been released.

	2006-12-18 dmg <dmg@uvic.ca>

	* sys_ansi.c (PrintErrorIntern): The function had a limit of 256
	bytes to print, and anything longer created a run time error. I have
	changed it to deal with any lenght.

2006-12-21 10:17 +0000  brunopostle  <brunopostle>  (b114263ca1ba <libpano>)

	* Makefile.am:
	Fix 'dist' target

2006-12-18 21:35 +0000  dangelo  <dangelo>  (609a7920b267 <libpano>)

	* adjust.c, adjust.h, doc/Optimize.txt, parser.c:
	added huber m-estimator

2006-12-17 13:28 +0000  dangelo  <dangelo>  (8c0781419dbb <libpano>)

	* ChangeLog, Makefile.am, PTDialogs.c, libpano.vcproj:
	use sys_ansi on windows

2006-12-17 11:05 +0000  dangelo  <dangelo>  (3d6230e1a88f <libpano>)

	* ChangeLog, math.c:
	fixed compilation problems with MSVC

2006-12-16 07:33 +0000  dmg  <dmg>  (073f6616dfff <libpano>)

	* ChangeLog, PTcommon.c:
	2006-12-15 dmg <dmg@uvic.ca>

	* PTcommon.c (panoCreatePanorama): A pointer was freed more than
	once

2006-12-16 01:37 +0000  dmg  <dmg>  (0632abfd9a75 <libpano>)

	* ChangeLog, PTcommon.c, configure.ac, file.c, metadata.c, tiff.c,
	tools/PTtiff2psd.c, version.h:
	2006-12-15 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.6.

	* tools/PTtiff2psd.c (PT_TIFF2PSD_USAGE): Updated help message

	* PTcommon.c (panoPSDCreate): Added support for 1 input file only in
	the creation of PSDs.

	* tools/PTtiff2psd.c (main): Added support for 1 input file only.

	* tiff.c (readTIFF): Reenable readTIFF and writeTIFF. pteditor uses
	them.

	2006-12-14 dmg <dmg@uvic.ca>

	* file.c: Fixed major problems with PSD logic and PICT tags

	* metadata.c (panoImageFullHeight): Darn. It was returning width
	instead of height!

2006-12-15 22:59 +0000  dangelo  <dangelo>  (d028f0ff9b17 <libpano>)

	* ChangeLog, queryfeature.c:
	added lambert azimuthal to queryfeature

2006-12-14 04:35 +0000  dmg  <dmg>  (e2a6cba5d9af <libpano>)

	* ChangeLog, ColourBrightness.c:
	2006-12-13 dmg <dmg@uvic.ca>

	* ColourBrightness.c (CorrectFileColourBrightness): Another bug I
	introduced when I replaced readTIFF with panoTiffRead. I need
	regression testing :(

2006-12-13 21:57 +0000  dangelo  <dangelo>  (a8ddbaa82cc0 <libpano>)

	* ChangeLog, Makefile.am:
	install file.h

2006-12-13 02:09 +0000  dmg  <dmg>  (a150387029db <libpano>)

	* ChangeLog, adjust.c, math.c:
	2006-12-12 dmg <dmg@uvic.ca>

	* math.c (transmercator_erect): Make sure it returns 0 when the
	width is infinite.

	* adjust.c: Updated comments

	* math.c (erect_transmercator): Make sure it only translates points
	within the sphere (avoids duplication of the image).

2006-12-12 21:44 +0000  dmg  <dmg>  (12580149174b <libpano>)

	* ChangeLog, adjust.c, configure.ac, filter.h, math.c, panorama.h,
	parser.c, version.h:
	2006-12-12 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.5.

	* queryfeature.c: Added lambert Azimuthal projection

	* math.c (erect_lambert, lambert_erect): Added lambert Azimuthal
	projection

	* filter.h: Added Lambert Azimuthal projection

	* panorama.h (enum): Added Lambert Azimuthal projection

	* adjust.c (SetMakeParams, SetInvMakeParams): Added Lambert
	Azimuthal projection

	* parser.c (readAdjust,ParseScript): Added Lambert Azimuthal
	projection.

2006-12-12 15:08 +0000  dangelo  <dangelo>  (b8ae82f5b482 <libpano>)

	* ChangeLog:
	update changelog

2006-12-12 15:08 +0000  dangelo  <dangelo>  (9fed6f047c55 <libpano>)

	* libpano.sln, tools/PTOptimizer.vcproj, tools/PTblender.vcproj,
	tools/PTcrop.vcproj, tools/PTinfo.vcproj, tools/PTmasker.vcproj,
	tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.vcproj, tools/PTtiffdump.vcproj,
	tools/PTuncrop.vcproj, tools/compat_win32/dirent.h,
	tools/compat_win32/getopt.c, tools/compat_win32/getopt.h: new file.
	* ColourBrightness.c, PTcommon.c, libpano.sln, libpano.vcproj,
	tools/PTOptimizer.vcproj, tools/PTblender.c, tools/PTblender.vcproj,
	tools/PTcrop.c, tools/PTcrop.vcproj, tools/PTinfo.c,
	tools/PTinfo.vcproj, tools/PTmasker.c, tools/PTmasker.vcproj,
	tools/PTmender.c, tools/PTmender.vcproj, tools/PTroller.vcproj,
	tools/PTtiff2psd.c, tools/PTtiff2psd.vcproj, tools/PTtiffdump.c,
	tools/PTtiffdump.vcproj, tools/PTuncrop.c, tools/PTuncrop.vcproj,
	tools/compat_win32/dirent.h, tools/compat_win32/getopt.c,
	tools/compat_win32/getopt.h:
	make trunk buildable with MSVC 2003. Instructions at:
	http://wiki.panotools.org/Build_pano12_from_sourcecode_MSVC

2006-12-12 07:07 +0000  dmg  <dmg>  (b2cf0e5b5556 <libpano>)

	* ChangeLog, adjust.c, configure.ac, filter.h, math.c, panorama.h,
	parser.c, queryfeature.c, tools/PTmender.c, version.h:
	2006-12-11 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.4.

	* tools/PTmender.c: Fixed a bug in the processing of the input
	files.

	* queryfeature.c: Added lambert projection

	* math.c (erect_lambert, lambert_erect): Added lambert projection

	* filter.h: Added Lambert projection

	* panorama.h (enum): Added Lambert projection

	* adjust.c (SetMakeParams, SetInvMakeParams): Added Lambert
	projection

	* parser.c (readAdjust,ParseScript): Added Lambert projection.

	* adjust.c (SetInvMakeParams): Corrected error message.

2006-12-04 18:01 +0000  dmg  <dmg>  (1abff135668a <libpano>)

	* ChangeLog, PTcommon.c:
	Uncommented getCropInformation

2006-12-04 17:52 +0000  dmg  <dmg>  (6795744753d5 <libpano>)

	* ptfeather.c, tools/PTinfo.c: new file.
	* ptfeather.c, tools/PTinfo.c:
	added missing files

2006-12-04 07:03 +0000  dmg  <dmg>  (1feb11384d61 <libpano>)

	* ptfeather.h: new file.
	* ChangeLog, PTcommon.c, PTcommon.h, configure.ac, file.c, file.h,
	filter.h, metadata.c, parser.c, ptfeather.h, tiff.c,
	tools/Makefile.am, tools/PTblender.c, tools/PTcrop.c,
	tools/PTmasker.c, tools/PTroller.c, tools/PTuncrop.c, version.h:
	06-12-03 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.3.

	* tiff.c (panoTiffDisplayInfo): Added function.

	* parser.c (panoParserFindOLine): Added function.

	2006-12-02 dmg <dmg@uvic.ca>

	* PTinfo.c, Makefile.am (bin_PROGRAMS): Created new program

	* metadata.c (panoMetadataCropSizeUpdate), tiff.c
	(panoImageBoundingRectangleCompute): Fixed a bug in the creation of
	cropped files. The full size tag was not being created.

	* file.h, file.c (panoFileDeleteMultiple): Created function. Used
	with -x option.

	* PTcommon.h, PTcommon.c: Refactored main function from PTcrop and
	PTuncrop.

	* tools/PTcrop.c: allow the multiple files in the command line

	* tools/PTmasker.c, tools/PTroller.c, tools/PTblender.c,
	tools/PTcrop.c: Add -x switch

	2006-11-30 dmg <dmg@uvic.ca>

	* parser.c (READ_OPT_VAR): Bug fix: changed a format spec from %k to
	%d

	2006-11-28 dmg <dmg@uvic.ca>

	* tools/PTmender.c (PT_MENDER_USAGE): Updated usage message

2006-11-29 05:22 +0000  dmg  <dmg>  (28d66e2aaaef <libpano>)

	* ChangeLog, tools/PTmender.c:
	updated usage of PTmender

2006-11-29 05:18 +0000  dmg  <dmg>  (f57ce0dfb300 <libpano>)

	* ChangeLog, TODO, configure.ac, tools/PTmender.c, version.h:
	2006-11-28 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.2.

	* TODO: Updated it.

	* tools/PTmender.c: Mimic processing of input filenames to match
	PTstitcher:
	  -- First use command line options
	  -- If no images, then use filename in "i" lines
	  -- If still no images, then use filename in "o" lines

2006-11-29 04:02 +0000  dmg  <dmg>  (6a389220d809 <libpano>)

	* tools/panoinfo_unix.c:
	Fixed a minor bug in panoinfo

2006-11-29 04:00 +0000  dmg  <dmg>  (3e1034a33614 <libpano>)

	* ChangeLog, TODO, queryfeature.c, tools/panoinfo.c,
	tools/panoinfo_unix.c, version.h:
	Updated panoinfo_unix and ChangeLog

2006-11-29 03:48 +0000  dmg  <dmg>  (0cb8c1f69c03 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, TODO, adjust.c,
	configure.ac, file.c, file.h, parser.c, tiff.c, tools/PTcrop.c,
	tools/PTmasker.c, tools/PTmender.c, tools/PTroller.c, version.h:
	2006-11-28 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.0

	* tiff.c (panoImageBoundingRectangleCompute): Remove a debug
	statement.

	* file.h: removed a wrong comment

	* tools/PTcrop.c (main): Renamed option -o to -f (to be consistent)

	* tiff.c (panoTiffCrop): Do processing in a temporal file, instead
	of directly in the output file

	* PTcommon.c: Removed some dead code

	* PTcommon.c (panoCreatePanorama): The calculation of the ROI is not
	done correctly for circular fisheye images (CFIs). For the time
	being we will do uncrop processing for CFIs, and cropped processing
	for everything else. For fisheyes we will create crops in post-
	processing (it is a hack, but it means everything is consistent).

	* tools/PTroller.c (main): Fixed a warning

	* adjust.c (SetMakeParams): Added some debugging code (and commented
	it out)

	* parser.c (ReadImageDescription): Croping options were not working
	properly when 2 cropping specs were specified in the same command
	line. For instance, when M=0 was specified any cropping on the image
	was considered a type C crop. The new behaviour is the following:

	if M is specified with parameter == 0, then it is ignored

	For project wFor project wFor project wFor project wFor project wFor
	projec prFor project wFor project wFor project wFor project wFor
	proje27 dmg <dmg@uvic.ca>

	* ColourBrightness.c (CorrectFileColourBrightness): Replaced
	readTIFF and writeTIFF with panoTiffRead and panoTiffWrite. Added
	some error checking

	* PTcommon.c (panoPSDCreate): Replaced readTIFF with panoTiffRead

	2006-11-26 dmg <dmg@uvic.ca>

	* file.c (panoImageRead): Fixed bug in return value of panoReadImage

2006-11-26 02:10 +0000  dmg  <dmg>  (77807304f754 <libpano>)

	* ChangeLog, Makefile.am, TODO, configure.ac, metadata.c, metadata.h,
	ptstitch.c, tests/ChangeLog, tests/panoAutomateTest.pl, tiff.c,
	tools/PTmasker.c, version.h:
	2006-11-25 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.9.0

	* TODO: Updated this file

	* Makefile.am: Minor fix

	* tiff.c (readTIFF, writeTIFF): Finally stopped using these
	functions.

	* ptstitch.c: Fixed a bug in the computation of masks for 16 bit
	images, and replaced calls to readTIFF and writeTIFF

	* tools/PTmasker.c (main): Added some testing code

	* ptfeather.c (panoFeatherImage): Implemented feathering of cropped
	files and 16 bit images

	* metadata.h, metadata.c: added a bunch of simple functions to
	access the metatada of the image. Ideally we should not access the
	pointer directly any more.

2006-11-25 10:27 +0000  dmg  <dmg>  (05506485c987 <libpano>)

	* makefile.osx: deleted file.
	* ChangeLog, makefile.osx:
	2006-11-25 dmg <dmg@uvic.ca>

	* Removed makefile.osx which is badly out of date.

2006-11-25 10:15 +0000  dmg  <dmg>  (f60e586512dd <libpano>)

	* ChangeLog, Makefile.am, PTcommon.c, README, TODO, configure.ac,
	doc/PTmender.readme, ptstitch.c, tiff.c, tools/PTmasker.c,
	version.h:
	2006-11-25 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac Upgraded to version 2.8.5pre17

	* tiff.c (panoTiffWrite): Fixed a bug in the allocation of the
	buffer for writing to the output file.

	* ptstitch.c, tools/PTmasker.c: Enabled feathering code

	* PTcommon.c: removed feathering skeletons from here.

	* ptfeather.c, ptfeather.h: Implemented feathering.

	* Makefile.am: Added ptfeather.c, ptfeather.h

	2006-11-23 dmg <dmg@uvic.ca>

	* TODO: updated tasks.

	* PTcommon.c (panoCreatePanorama): Change slightly error message to
	make it clearer.

2006-11-18 09:26 +0000  dmg  <dmg>  (5f73d08a399d <libpano>)

	* ChangeLog:
	Small fix in ChangeLog

2006-11-18 09:24 +0000  dmg  <dmg>  (ec88cbd2e9e4 <libpano>)

	* ChangeLog, doc/PTmender.readme:
	Added comment to PTmender readme

2006-11-18 09:00 +0000  dmg  <dmg>  (90efe8b603a0 <libpano>)

	* doc/PTremap.readme, tools/PTremap.c: deleted file.
	* ChangeLog, PTcommon.c, configure.ac, doc/PTmender.readme,
	doc/PTremap.readme, tools/Makefile.am, tools/PTmender.c,
	tools/PTremap.c, version.h:
	2006-11-18 dmg <dmg@uvic.ca>

	* PTcommon.c (Clear_Area_Outside_Selected_Region): Implemented
	circular fisheye

	* PTcommon.c (getROI): Reverted _isnan to isnan

	* tools/PTmender.c: I changed my mind. We should keep the PTmender
	in the new version of the tools too.

	* tools/PTremap.c: Deleted.

	* tools/Makefile.am: Removed PTremap

	* version.h (VERSION), configure.ac Upgraded to version 2.8.5pre16

2006-11-18 03:50 +0000  dmg  <dmg>  (d25fcfca02b3 <libpano>)

	* ChangeLog, filter.c, filter.h, panorama.h:
	2006-11-17 dmg <dmg@uvic.ca>

	* panorama.h: Created Boolean data type (unsigned char)

	* filter.c, filter.h (panoWrite*, panoRead*): Simplified the
	functions, got rid of mywrite, replaced BOOL with Boolean

2006-11-15 06:28 +0000  jim0watters  <jim0watters>  (596d1b4da478 <libpano>)

	* ChangeLog, filter.c, filter.h, jpeg.c:
	created file i/o functions with error checking to replace macro.

2006-11-13 06:33 +0000  jim0watters  <jim0watters>  (867aa97ff091 <libpano>)

	* ChangeLog, PTcommon.c, configure.ac, file.c, filter.h,
	libpano.vcproj, pano12vc.def, ptstitch.c, rgbe.c, rgbe.h, tiff.c,
	version.h:
	Updated to build with MSVC project file. Fixed build errors and
	warnings. increased version to 2.8.5pre15

2006-11-02 20:49 +0000  dmg  <dmg>  (467e9f6765b4 <libpano>)

	* ChangeLog, TODO:
	updated the TODO with a list of bugs

2006-10-28 21:30 +0000  dmg  <dmg>  (874130a4f780 <libpano>)

	* tools/PTmasker.c: new file.
	* tools/PTmasker.c:
	I forgot to PTmasker.c

2006-10-28 21:25 +0000  dmg  <dmg>  (8872d752287c <libpano>)

	* ChangeLog, README:
	Updated README

2006-10-28 20:48 +0000  dmg  <dmg>  (c88b14bf4968 <libpano>)

	* ChangeLog, PTcommon.c, TODO, configure.ac, file.c, file.h, pttiff.h,
	tiff.c, tools/Makefile.am, tools/PTblender.c, tools/PTcrop.c,
	tools/PTmender.c, tools/PTroller.c, tools/PTtiff2psd.c,
	tools/PTuncrop.c, version.h:
	2006-10-28 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre14

	* tools/PTtiff2psd.c: Add -f force processing option. Cleaned up.

	* file.h: Added a field to specify if forced processing in
	panoTiffUncrop

	* tools/PTmasker.c: Moved functionalty to create stitching masks
	into this program (from PTroller and PTblender).

	* tools/PTroller.c (main): Cleaned up options, added the option for
	force processsing.

	* tools/PTmender.c (main): Removed all functionality from it.

	* tools/PTblender.c (main): Cleaned up options. Added the option -f
	for force procesing

	* file.h, file.c (panoFileExists): Added function.

	* PTfile.c, tools/PTblender: Refactored function
	panoFileOutputNamesCreate

	* tools/PTcrop.c: Reindented. Cleanup options. Replaced -o with -f
	to be consistent

	* tools/PTcrop.c: Cleanup options. Replaced -o with -f

2006-10-28 18:15 +0000  dmg  <dmg>  (a66b5e610353 <libpano>)

	* ChangeLog, TODO, tools/PTcrop.c:
	2006-10-28 dmg <dmg@uvic.ca>

	* tools/PTcrop.c: Reindented.

2006-10-28 18:03 +0000  dmg  <dmg>  (b3969fbac40b <libpano>)

	* tools/PTcrop.c: new file.
	* ChangeLog, TODO, configure.ac, file.h, metadata.c, metadata.h,
	ptstitch.c, ptstitch.h, pttiff.h, tiff.c, tools/Makefile.am,
	tools/PTcrop.c, tools/PTuncrop.c, version.h:
	2006-10-28 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre13

	* ptstitch.c, ptstitch.h (panoStitchPixelChannelGet): Upgraded this
	function to non-static, since it is useful in tiff.c too.

	* pttiff.h, metadata.c, metadata.h, tiff.c: implemented cropping of
	tiffs to boudning rectangle

	* tools/Makefile.am, tools/PTcrop.c: Created program to crop panos
	to bounding rectangle

	* tools/PTuncrop.c (main): Fixed bug: return zero when success, and
	non-zero in error.

2006-10-27 09:33 +0000  dmg  <dmg>  (297fb11f929c <libpano>)

	* ChangeLog, PTcommon.c, PTcommon.h, TODO, configure.ac, file.c,
	file.h, filter.h, panorama.h, tests/simpleStitch/ChangeLog,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleTiff16/ChangeLog,
	tests/simpleTiff16/reference/tiff_m_cropped0000.tif, tiff.c,
	tools/PTroller.c, tools/PTtiff2psd.c, version.h:
	2006-10-27 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre12

	* tools/PTroller.c: Removed unused variables

	* TODO: Updated it

	* PTcommon.c. Set the ImageDescription field of the tiff to the
	contents of the script.

	* PTcommon.c, tiff.c: Set imagenumber, and imagesTotalNumber in
	PAGENUMBER field of tiff.

	* panorama.h (struct): Added imageNumber, and imagesTotalNumber and
	script to the metadata struct.

	* PTcommon.c (panoPSDCreate): Implemented the ability to specify a
	blending mode in the output of the image.

	* tools/PTtiff2psd.c, file.c, file.h: panoCreatePSD renamed to
	panoPSDCreate, replaced last parameter to be a struct
	(panoFlatteningParms) so we can pass as many parameters as
	necessary. Added support for blending mode in PSD

2006-10-27 07:56 +0000  dmg  <dmg>  (2c0f50c3c456 <libpano>)

	* tools/Makefile.am:
	It is PToptimizer.c, not PToptimize.c

2006-10-27 07:50 +0000  dmg  <dmg>  (593de21a44fe <libpano>)

	* tools/PToptimizer.c: new file.
	* tools/PToptimize.c: deleted file.
	* tools/PToptimize.c, tools/PToptimizer.c:
	It is PToptimizer.c, not PToptimize.c

2006-10-27 06:34 +0000  dmg  <dmg>  (19ae8764a6b0 <libpano>)

	* ChangeLog, PTcommon.c, TODO, pttiff.h, tiff.c, tools/PTtiffdump.c,
	tools/PTuncrop.c:
	2006-10-26 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre11

	* Support for cropped images that do not contain full size. We
	assume the full size = croppped size + offset

	* tools/PTtiffdump.c: Cleaned up compilation errors.

	* tiff.c, PTcommon.c (panoTiffUnCrop): Moved function from
	PTcommon.c, renamed it.

	* TODO: Updates to reflect current status.

2006-10-27 05:44 +0000  dmg  <dmg>  (69f54de97d98 <libpano>)

	* TODO, doc/PTblender.readme, doc/PTmender.readme, doc/PTremap.readme,
	tools/PToptimize.c, tools/PTremap.c, tools/PTroller.c: new file.
	* tools/PTestimate.c: deleted file.
	* ChangeLog, PTcommon.c, TODO, configure.ac, doc/PTblender.readme,
	doc/PTmender.readme, doc/PTremap.readme, tests/panoAutomateTest.pl,
	tools/Makefile.am, tools/PTblender.c, tools/PTestimate.c,
	tools/PTmender.c, tools/PToptimize.c, tools/PTremap.c,
	tools/PTroller.c, version.h:
	2006-10-26 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre10

	* TODO: Added file

	* tools/README.PTmender: Removed it (created equivalent in ./docs)

	* doc/PTmender.readme: Added file

	* doc/PTblender.readme: Added file

	* doc/PTremap.readme: Added file

	* tests/panoAutomateTest.pl: Updated it to use PTremap and not
	PTmender.

	* tools/PTblender.c (main): Removed flattening functionality.
	Improved command line handling

	* tools/Makefile.am, tools/PTroller.c: Added PTroller, and renaming
	back of PToptimize.

	* tools/PToptimize.c: Renamed PTestimate back to PToptimize.

	* tools/PTremap.c: Copied logic from PTmender to PTremap. Cleaned up
	logic and simplified handling of command line parameters.

	* PTcommon.c: Made some minor cosmetic fixes to progress report.

2006-10-27 01:02 +0000  dmg  <dmg>  (2ab929347b50 <libpano>)

	* ChangeLog, configure.ac, tests/simpleTiff16/temp.txt, tiff.c,
	version.h:
	2006-10-26 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre9

	* tiff.c (panoTiffGetImageProperties): Do not choke if LZW
	compressed TIFFs do not have a predictor field

2006-10-26 23:44 +0000  dmg  <dmg>  (58e9179e7ae0 <libpano>)

	* ChangeLog:
	2006-10-26 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre8

	* PTcommon.c (panoCreatePanorama): Remove post-processing during
	remapping of images: in other words, ignore output format in script
	file.

2006-10-26 23:43 +0000  dmg  <dmg>  (6d97f431803d <libpano>)

	* ChangeLog, PTcommon.c, configure.ac, tests/ChangeLog,
	tests/panoAutomateTest.pl, version.h:
	2006-10-26 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre8

	* PTcommon.c (panoCreatePanorama): Remove post-processing during
	remapping of images: in other words, ignore output format in script
	file.

2006-10-25 18:20 +0000  dmg  <dmg>  (6c36ca16f793 <libpano>)

	* ChangeLog, ColourBrightness.c, configure.ac, version.h:
	2006-10-25 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre7

	* ColourBrightness.c (ReadHistograms): Compute histograms only when
	mask == 255. Ignore otherwise.

2006-10-25 17:26 +0000  dmg  <dmg>  (e20f7929eeaf <libpano>)

	* tools/PTestimate.c: new file.
	* tools/PTOptimizer.c: deleted file.
	* ChangeLog, configure.ac, tools/Makefile.am, tools/PTOptimizer.c,
	tools/PTestimate.c, version.h:
	2006-10-25 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre6


	* tools/Makefile.am: Renamed PToptimizer to PTestimate

2006-10-25 17:15 +0000  dmg  <dmg>  (778c426cf137 <libpano>)

	* ChangeLog, ColourBrightness.c, tools/ChangeLog, tools/PTblender.c:
	2006-10-24 dmg <dmg@uvic.ca>

	* ColourBrightness.c: Map and Curve files for photoshop (colour
	correction) were not properly created in Intel machines.

	Submitted by Michal at lightcomp.

	* tools/PTblender.c: Updated command line processing: assume image 0
	as reference if options -m or -c are specified.

2006-10-24 16:50 +0000  dmg  <dmg>  (b690af0b8a84 <libpano>)

	* ChangeLog, ColourBrightness.c, configure.ac, tests/ChangeLog,
	tests/panoAutomateTest.pl, tools/PTblender.c, version.h:
	2006-10-24 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre5

	* ColourBrightness.c, tools/PTblender.c: The following bugs in
	PTblender are fixed:

	1) When -c or -m is specified no image output is done and therefore
	it should not be possible to specify -f too. 2) When -c is specified
	wrong index to array curveExtension is used. 3) Program tries to
	free already freed memory at the end.

	Submitted by Michal at lightcomp.

	We need a test suite for PTblender.

2006-10-23 03:18 +0000  dmg  <dmg>  (cc66cee4eecb <libpano>)

	* ChangeLog, PTcommon.c, PTcommon.h, configure.ac, file.c, filter.h,
	tests/simpleStitch/ChangeLog,
	tests/simpleStitch/reference/psd_no_mask.psd, tiff.c,
	tools/ChangeLog, tools/PTtiff2psd.c, version.h:
	2006-10-22 dmg <dmg@uvic.ca>

	 * version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre4

	 * tiff.c: Removed redundant #defines

	 * PTcommon.c, PTcommon.h, filter.h, file.c: Added support for
	stacking images in PSD files, that is, each iamge contributes equaly
	to a final image.

2006-09-25 02:27 +0000  dmg  <dmg>  (7fb47e5acdc9 <libpano>)

	* tools/PTtiffdump.c: new file.
	* tools/ChangeLog, tools/PTtiffdump.c:
	added PTtiffdump.c

2006-09-22 02:55 +0000  dmg  <dmg>  (fef7de1fd42c <libpano>)

	* tests/simpleTiff16/README.TXT: new file.
	* ChangeLog, PTcommon.c, ptstitch.c, tests/simpleStitch/ChangeLog,
	tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_mask.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleTiff16/ChangeLog, tests/simpleTiff16/README.TXT,
	tests/simpleTiff16/reference/psd.psd,
	tests/simpleTiff16/reference/psd_mask.psd,
	tests/simpleTiff16/reference/psd_no_mask.psd, tools/ChangeLog,
	tools/PTblender.c:
	With this change stitching masks should be properly computed for all
	_mask and flat formats

2006-09-21 04:40 +0000  dmg  <dmg>  (94111485cc90 <libpano>)

	* ChangeLog, ColourBrightness.c, ColourBrightness.h, PTcommon.c,
	configure.ac, version.h:
	2006-09-21 dmg <dmg@uvic.ca>

	* version.h (VERSION), configure.ac: Upgraded to version 2.8.5pre3

	* ColourBrightness.c, PTcommon.c: added support for saturation-only
	and brightness-only correction. I also fixed some small rounding
	problems in the old code.

2006-09-21 04:34 +0000  dmg  <dmg>  (c513f20e9440 <libpano>)

	* tools/ChangeLog, tools/Makefile.am, tools/PTblender.c:
	2006-09-20 dmg <dmg@uvic.ca>

	* PTblender.c: Added option to select type of colour correction.
	Fixed a bug (when colour correction and flat output was requested,
	the output file did not use the colour corrected files)

2006-09-21 00:12 +0000  dmg  <dmg>  (62bd304c70d8 <libpano>)

	* ChangeLog, PTcommon.c, bootstrap:
	2006-09-21 dmg <dmg@uvic.ca>

	* bootstrap (have_autoconf): Added support for autoconf 2.6

	* PTcommon.c (getROI): Replace calls to _nan() with nan()

	by Florian Merz

2006-09-16 19:24 +0000  maxlyons  <maxlyons>  (0a928fed493f <libpano>)

	* tools/PTmender.c:
	Adding import of file.h to fix this: "ptmender.c:310: warning:
	implicit declaration of function `panoFileMakeTemp'"

2006-09-06 01:47 +0000  maxlyons  <maxlyons>  (7dce583cc576 <libpano>)

	* PTcommon.c:
	Fixing panoReplaceExt which was broken for filenames like
	c:\dir\another.dir\file, because of the period as part of the
	directory name

2006-09-06 01:40 +0000  maxlyons  <maxlyons>  (908aa29b0b44 <libpano>)

	* PTcommon.c:
	Adding check for isNan in getROI. Sometimes the remapping function
	returns NaN. This is probably a bug in the remapping function, but
	in the meantime adding a check for isNan in getROI.

2006-09-06 01:35 +0000  maxlyons  <maxlyons>  (71945d233783 <libpano>)

	* filter.h:
	Adding define for bzero. Won't compile on windows without this.

2006-09-02 06:20 +0000  dmg  <dmg>  (bae76c3d07e7 <libpano>)

	* ChangeLog, file.c:
	PSDs include some metadata including ICC Profile

2006-08-30 21:42 +0000  dmg  <dmg>  (f16e55c527f1 <libpano>)

	* tests/ChangeLog, tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_mask.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleTiff16/reference/psd.psd,
	tests/simpleTiff16/reference/psd_mask.psd,
	tests/simpleTiff16/reference/psd_no_mask.psd:
	PSDs include some metadata including ICC Profile

2006-08-13 06:35 +0000  dmg  <dmg>  (15b8333748d2 <libpano>)

	* ptstitch.c, ptstitch.h: new file.
	* ChangeLog, ptstitch.c, ptstitch.h:
	I forgot to add ptstich.c and ptstitch.h. Unfortunately I noticed
	once I had refactored the code for panoStitchComputeMaskMap and
	unified 16 bit and 8 bit processing into one function. In the
	process I found a bug that was probably affecting spherical
	panoramas

2006-08-13 04:57 +0000  dmg  <dmg>  (adfbbf578412 <libpano>)

	* ChangeLog, Makefile.am, PTcommon.c, PTcommon.h, tools/ChangeLog,
	tools/PTtiff2psd.c:
	Created ptstitch.c and ptstich.h. They will contain any functions
	that deal with alpha channels and the stitching process

2006-08-13 04:50 +0000  dmg  <dmg>  (1bf7d268aa30 <libpano>)

	* tests/simpleTiff16/reference/tiff_lzw.tif: new file.
	* tests/simpleTiff16/ChangeLog,
	tests/simpleTiff16/reference/tiff_lzw.tif:
	added tiff_lzw.tif reference file

2006-08-12 18:26 +0000  dangelo  <dangelo>  (a3832910866b <libpano>)

	* filter.h, panorama.h, sys_mac.h:
	fixes for compilation on OSX 10.4 when used together with Carbon
	applications. (patch by Ippei UKAI)

2006-08-05 18:08 +0000  dmg  <dmg>  (c513076ce662 <libpano>)

	* ChangeLog, configure.ac, version.h:
	Updated version to 2.8.5pre2

2006-08-05 18:03 +0000  dmg  <dmg>  (3a59e3014782 <libpano>)

	* jpegicc.c, jpegicc.h: new file.
	* ChangeLog, Makefile.am, jpeg.c, jpegicc.c, jpegicc.h,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleTiff16/ChangeLog, tests/simpleTiff16/reference/jpeg.jpg:
	Added ICC profile support for JPEG files

2006-07-30 22:06 +0000  dmg  <dmg>  (811e19916f1e <libpano>)

	* file.h, metadata.c, metadata.h: new file.
	* file.h, metadata.c, metadata.h:
	I forgot to commit these files

2006-07-30 22:00 +0000  dmg  <dmg>  (eab809e75187 <libpano>)

	* ChangeLog, Makefile.am, PTcommon.c, PTcommon.h, bmp.c, file.c,
	hdrfile.c, jpeg.c, morpher.c, pict.c, png.c, ppm.c, pteditor.c,
	ptpicker.c, pttiff.h, tiff.c, tools/ChangeLog, tools/PTblender.c,
	tools/PTmender.c, tools/PTtiff2psd.c:
	Completed support for metadata in less-used formats, unified
	readImage and maketemppath, see ChangeLogs

2006-07-30 19:52 +0000  dmg  <dmg>  (12b9dbe7855c <libpano>)

	* tests/simpleTiff16/tests/jpeg.jpg, tests/simpleTiff16/tests/psd.psd,
	tests/simpleTiff16/tests/psd_mask.psd,
	tests/simpleTiff16/tests/psd_no_mask.psd,
	tests/simpleTiff16/tests/tiff_deflate.tif,
	tests/simpleTiff16/tests/tiff_m0000.tif,
	tests/simpleTiff16/tests/tiff_m_cropped0000.tif,
	tests/simpleTiff16/tests/tiff_mask0000.tif,
	tests/simpleTiff16/tests/tiff_none.tif: deleted file.
	* tests/simpleTiff16/tests/jpeg.jpg, tests/simpleTiff16/tests/psd.psd,
	tests/simpleTiff16/tests/psd_mask.psd,
	tests/simpleTiff16/tests/psd_no_mask.psd,
	tests/simpleTiff16/tests/tiff_deflate.tif,
	tests/simpleTiff16/tests/tiff_m0000.tif,
	tests/simpleTiff16/tests/tiff_m_cropped0000.tif,
	tests/simpleTiff16/tests/tiff_mask0000.tif,
	tests/simpleTiff16/tests/tiff_none.tif:
	removed test version of output, it should be generated by the user

2006-07-30 18:37 +0000  dmg  <dmg>  (326958712a94 <libpano>)

	* ChangeLog, ppm.c, tests/simpleTiff16/tests/tiff_deflate.tif,
	tests/simpleTiff16/tests/tiff_m0000.tif,
	tests/simpleTiff16/tests/tiff_m_cropped0000.tif,
	tests/simpleTiff16/tests/tiff_mask0000.tif,
	tests/simpleTiff16/tests/tiff_none.tif:
	I forgot to enable PPM input files

2006-07-29 06:48 +0000  dmg  <dmg>  (a0d2d22689e8 <libpano>)

	* ChangeLog, Makefile.am, PTcommon.c, configure.ac, tiff.c,
	tools/ChangeLog, tools/Makefile.am, version.h:
	Bumped version to 2.8.5pre1, started renaming the library to pano13
	and removed a bug that created a segfault under linux

2006-07-29 06:45 +0000  dmg  <dmg>  (92c539e28039 <libpano>)

	* tests/simpleTiff16/ChangeLog, tests/simpleTiff16/Makefile.am:
	updated makefile of simpleTiff16

2006-07-29 06:19 +0000  dmg  <dmg>  (57704241d018 <libpano>)

	* tests/ChangeLog, tests/panoAutomateTest.pl:
	Make sure that the software tag is not compared, as it will change
	with every new version of the binaries

2006-07-29 03:11 +0000  dmg  <dmg>  (b4b2112d1c95 <libpano>)

	* ChangeLog, bmp.c, filter.h, pict.c, ppm.c:
	Forgot to update a constant, hopefully it will work now

2006-07-29 03:04 +0000  dmg  <dmg>  (88f579d99318 <libpano>)

	* ChangeLog, bmp.c, pict.c, ppm.c:
	Increased the number of temporary files from 1k to 1g

2006-07-29 02:53 +0000  dmg  <dmg>  (1bc96e9bed9b <libpano>)

	* ChangeLog, PTcommon.c, filter.c, jpeg.c, ppm.c, tiff.c:
	Updated PPM processing to match JPEG and TIFF, removed debugging
	comments, updated indentation

2006-07-11 20:54 +0000  brunopostle  <brunopostle>  (660e489827b4 <libpano>)

	* configure.ac:
	added tests/simpleTiff16 to build system

2006-07-11 06:18 +0000  dmg  <dmg>  (b29ec58cd647 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, filter.c, filter.h,
	jpeg.c, panorama.h, ppm.c, pttiff.h, tiff.c:
	Finished implementation of metadata preservation in TIFF files

2006-07-11 06:12 +0000  dmg  <dmg>  (f389823f749f <libpano>)

	* tests/simpleStitch/ChangeLog:
	Updated changelog for previous commit

2006-07-11 06:11 +0000  dmg  <dmg>  (65922977afb9 <libpano>)

	* tests/simpleTiff16/060520_3398.TIF, tests/simpleTiff16/ChangeLog,
	tests/simpleTiff16/Makefile.am,
	tests/simpleTiff16/reference/jpeg.jpg,
	tests/simpleTiff16/reference/psd.psd,
	tests/simpleTiff16/reference/psd_mask.psd,
	tests/simpleTiff16/reference/psd_no_mask.psd,
	tests/simpleTiff16/reference/tiff_deflate.tif,
	tests/simpleTiff16/reference/tiff_m0000.tif,
	tests/simpleTiff16/reference/tiff_m_cropped0000.tif,
	tests/simpleTiff16/reference/tiff_mask0000.tif,
	tests/simpleTiff16/reference/tiff_none.tif,
	tests/simpleTiff16/simple.txt, tests/simpleTiff16/temp.txt,
	tests/simpleTiff16/tests/jpeg.jpg, tests/simpleTiff16/tests/psd.psd,
	tests/simpleTiff16/tests/psd_mask.psd,
	tests/simpleTiff16/tests/psd_no_mask.psd,
	tests/simpleTiff16/tests/tiff_deflate.tif,
	tests/simpleTiff16/tests/tiff_m0000.tif,
	tests/simpleTiff16/tests/tiff_m_cropped0000.tif,
	tests/simpleTiff16/tests/tiff_mask0000.tif,
	tests/simpleTiff16/tests/tiff_none.tif: new file.
	* tests/ChangeLog, tests/Makefile.am,
	tests/simpleStitch/reference/tiff_deflate.tif,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif,
	tests/simpleStitch/reference/tiff_none.tif,
	tests/simpleTiff16/060520_3398.TIF, tests/simpleTiff16/ChangeLog,
	tests/simpleTiff16/Makefile.am,
	tests/simpleTiff16/reference/jpeg.jpg,
	tests/simpleTiff16/reference/psd.psd,
	tests/simpleTiff16/reference/psd_mask.psd,
	tests/simpleTiff16/reference/psd_no_mask.psd,
	tests/simpleTiff16/reference/tiff_deflate.tif,
	tests/simpleTiff16/reference/tiff_m0000.tif,
	tests/simpleTiff16/reference/tiff_m_cropped0000.tif,
	tests/simpleTiff16/reference/tiff_mask0000.tif,
	tests/simpleTiff16/reference/tiff_none.tif,
	tests/simpleTiff16/simple.txt, tests/simpleTiff16/temp.txt,
	tests/simpleTiff16/tests/jpeg.jpg, tests/simpleTiff16/tests/psd.psd,
	tests/simpleTiff16/tests/psd_mask.psd,
	tests/simpleTiff16/tests/psd_no_mask.psd,
	tests/simpleTiff16/tests/tiff_deflate.tif,
	tests/simpleTiff16/tests/tiff_m0000.tif,
	tests/simpleTiff16/tests/tiff_m_cropped0000.tif,
	tests/simpleTiff16/tests/tiff_mask0000.tif,
	tests/simpleTiff16/tests/tiff_none.tif:
	Added a simple test for 16 bit TIFF images and updated other tests
	to match TIFF metadata preservation

2006-07-10 00:34 +0000  dmg  <dmg>  (73783843e69e <libpano>)

	* ChangeLog, PTcommon.c, jpeg.c, panorama.h, ppm.c, tiff.c:
	Reindented several files to match Apache coding standards --from now
	on our standards

2006-07-08 20:41 +0000  dmg  <dmg>  (3cae9310b4cf <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, PTcommon.h, pano12.def,
	tests/ChangeLog, tests/panoAutomateTest.pl,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/Makefile.am,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif, tools/ChangeLog,
	tools/PTblender.c, tools/PTmender.c, tools/PTtiff2psd.c,
	tools/PTuncrop.c:
	I revamped the TIFF infrastructure to make it more flexible. It is
	also more encapsulated. I restarted renaming functions with pano as
	a prefix.

	One of the side effects of this change is that we are starting to
	support ICC profile information in TIFFs and soon it will support
	other metadata.

	I updated all the PTtools to use the new functions names and I
	recreated some test cases.

	Functionally speaking the only difference in this change is that the
	process keeps the X and Y resolution in TIFF files (previously is
	was hardcoded to 150)

2006-06-30 14:17 +0000  dmg  <dmg>  (8dede3fb2b2f <libpano>)

	* ChangeLog:
	Testing svn commit

2006-06-26 05:07 +0000  dmg  <dmg>  (bbd319e52381 <libpano>)

	* ChangeLog, ColourBrightness.c, ColourBrightness.h, tools/ChangeLog,
	tools/PTblender.c:
	Implemented the creation of arbitrary maps in ColourBrightness

2006-06-26 00:09 +0000  dmg  <dmg>  (f6f0f4cf4f7e <libpano>)

	* ChangeLog, ColourBrightness.c, ColourBrightness.h, PTcommon.c,
	tools/ChangeLog, tools/PTblender.c:
	Add the ability to output the colour correction curve as Photoshop
	layer files.

2006-06-16 07:39 +0000  dmg  <dmg>  (9b5967335191 <libpano>)

	* ChangeLog, PTcommon.c:
	2006-06-16 dmg <dmgerman@uvic.ca>

	* PTcommon.c (CreatePanorama): The process for creating PSD_mask and
	PSD_nomask was inverted.

2006-06-16 07:35 +0000  dmg  <dmg>  (5c23ab964c95 <libpano>)

	* tests/ChangeLog, tests/panoAutomateTest.pl:
	2006-06-16 dmg <dmgerman@uvic.ca>

	 * panoAutomateTest.pl: Added PSD_mask to the tests.

2006-06-16 07:27 +0000  dmg  <dmg>  (6f9ead58d8e8 <libpano>)

	* tests/simpleStitch/ChangeLog:
	updated test

2006-06-16 07:25 +0000  dmg  <dmg>  (f22416c86eef <libpano>)

	* tests/simpleStitch/reference/psd_mask.psd: new file.
	* tests/simpleStitch/reference/psd_mask.psd:
	update tests

2006-06-16 06:54 +0000  dmg  <dmg>  (baf8e216c96e <libpano>)

	* ChangeLog, PTcommon.c:
	2006-06-15 dmg <dmgerman@uvic.ca>

	* PTcommon.c: Major reindent, removed tabs

2006-06-16 06:24 +0000  dmg  <dmg>  (c38e36db5941 <libpano>)

	* ChangeLog, PTcommon.c, panorama.h, ppm.c, tiff.c:
	2006-06-15 dmg <dmgerman@uvic.ca>

	* ppm.c (makeTempPath): Added zeroes to temp files, so they are
	nicely sorted when listed.

	* panorama.h: Added crop info to Image data structure.

	* tiff.c (writeTIFF): Added cropInformation parameter to function
	call. (setCropInformationInTiff, getCropInformationFromTiff): Moved
	functions to this file from PTcommon.c

2006-06-14 20:17 +0000  brunopostle  <brunopostle>  (873a61fdb5f1 <libpano>)

	* ChangeLog, Makefile.am, tests/simpleStitch/Makefile.am:
	Put tests in tarball, but only run them with 'make check'.

2006-06-14 03:31 +0000  maxlyons  <maxlyons>  (e778fac03402 <libpano>)

	* ChangeLog:
	no message

2006-06-14 03:28 +0000  maxlyons  <maxlyons>  (dab4d8aebc78 <libpano>)

	* PTcommon.c:
	Modifying getROI function to better calculate ROI for images in
	projects with 360/180 FOV. Not sure if this completely eliminates
	problems, but is certainly a step in the right direction. Adding
	error checking to setCropInformationInTiff function. Removing check
	for cropped TIFF in uncropTIFF...it is possible for a cropped TIFF
	to have x and y offset equal to zero, so this check could have
	caused problems.

2006-06-14 03:17 +0000  maxlyons  <maxlyons>  (a0d6b3e48b3d <libpano>)

	* filter.h, libpano12.def, pano12.def, sys_common.c:
	Adding new dieWithError function to print error message and exit
	program with non-zero exit code

2006-06-13 11:26 +0000  jim0watters  <jim0watters>  (38a537a0ce90 <libpano>)

	* ChangeLog:
	*** empty log message ***

2006-06-13 07:19 +0000  dmg  <dmg>  (e1b1cbb442c7 <libpano>)

	* ChangeLog:
	Fixed minor typo in ChangeLog

2006-06-13 06:54 +0000  dmg  <dmg>  (23431e51c695 <libpano>)

	* ChangeLog, ColourBrightness.c, PTcommon.c, PTcommon.h:
	Cleaned up most compiler warnings, reinserted tiff error handler for
	everything but windows

2006-06-13 06:18 +0000  dmg  <dmg>  (2852abc181ea <libpano>)

	* tests/README.TXT: new file.
	* ChangeLog, Makefile.am, tests/ChangeLog, tests/README.TXT,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/Makefile.am,
	tests/simpleStitch/README.txt:
	2006-06-12 dmg <dmgerman@uvic.ca>

	* Makefile.am (all): Undo the changes below... I decided instead to
	remove the test directory from the make in the root directory. Too
	bad CVS does not support transactions and rollbacks.

	* README.txt: run "make test" to, you got it, run the test
	* Makefile.am (all): Removed test from default Make.

2006-06-13 06:13 +0000  dmg  <dmg>  (4d1e5701c9c0 <libpano>)

	* ChangeLog, PTcommon.c, tools/.cvsignore, tools/ChangeLog:
	2006-06-12 dmg <dmgerman@uvic.ca>

	* PTcommon.c (ReplaceAlphaChannel): The images created in this
	routine were not labeled as cropped. This patch fixes the problem.
	The test case did not catch this problem. We need a 360/180 one.

2006-06-13 06:08 +0000  dmg  <dmg>  (76cf2f011027 <libpano>)

	* tests/simpleStitch/ChangeLog, tests/simpleStitch/Makefile.am,
	tests/simpleStitch/README.txt:
	Do not run tests in every make, only with indicated: make test

2006-06-13 03:55 +0000  jim0watters  <jim0watters>  (0340b17b7627 <libpano>)

	* ColourBrightness.c, PTcommon.c, libpano.vcproj, pt_stdint.h:
	updated VC project file and fixed compile problems of missing header
	files.

2006-06-12 21:05 +0000  brunopostle  <brunopostle>  (15708a671db8 <libpano>)

	* configure.ac, version.h:
	Increment version to 2.8.4

2006-06-12 04:54 +0000  dmg  <dmg>  (43ac86020b4c <libpano>)

	* ChangeLog, PTcommon.c, tools/ChangeLog, tools/PTmender.c:
	improved behaviour during errors

2006-06-12 03:55 +0000  dmg  <dmg>  (f763feea04af <libpano>)

	* ChangeLog, PTcommon.c:
	removed a temp file that was left during the uncropping

2006-06-12 03:41 +0000  dmg  <dmg>  (12f9ecb6c84f <libpano>)

	* ChangeLog, PTcommon.c:
	Create .psd not .PSD extensions for photoshop files

2006-06-12 03:41 +0000  dmg  <dmg>  (f8f541d9ec77 <libpano>)

	* tests/panoAutomateTest.pl:
	Made sure that tests work under linux

2006-06-12 03:21 +0000  dmg  <dmg>  (fd10cc97b73e <libpano>)

	* tests/ChangeLog, tests/panoAutomateTest.pl,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleStitch/reference/tiff_deflate.tif,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif,
	tests/simpleStitch/reference/tiff_none.tif,
	tests/simpleStitch/simple.txt:
	Updated tests, use tiffcmp instead of diff

2006-06-11 17:03 +0000  maxlyons  <maxlyons>  (3a04c4641b4f <libpano>)

	* ChangeLog:
	no message

2006-06-11 17:01 +0000  maxlyons  <maxlyons>  (a72a3422ba9c <libpano>)

	* ColourBrightness.c, PTcommon.c, filter.h, libpano12.def, pano12.def,
	pttiff.h, tiff.c:
	Changes to support "cropped tiff" processing when using
	colour/brightness correction in PTMender. Changes also allow
	pttiff2psd to work with cropped tiff output as well.

2006-06-11 09:44 +0000  brunopostle  <brunopostle>  (9e0e4b00a685 <libpano>)

	* Makefile.am:
	put pttiff.h in the tarball

2006-06-06 19:55 +0000  dangelo  <dangelo>  (9cc75902ad39 <libpano>)

	* ChangeLog, PTcommon.c, ptpicker.c:
	moved InsertFileName to PTcommon.c

2006-06-05 06:28 +0000  dwilkins42  <dwilkins42>  (9915a06303a8 <libpano>)

	* tests/.cvsignore, tests/Makefile.am, tests/simpleStitch/.cvsignore,
	tests/simpleStitch/Makefile.am: new file.
	* tests/simpleStitch/Makefile: deleted file.
	* Makefile.am, configure.ac, doc/Makefile.am, m4/Makefile.am,
	tests/.cvsignore, tests/Makefile.am, tests/simpleStitch/.cvsignore,
	tests/simpleStitch/Makefile, tests/simpleStitch/Makefile.am,
	tools/Makefile.am:
	Put the tests subdirectory under autotools control. Ensure all files
	all in the dist tarball

2006-06-04 21:45 +0000  maxlyons  <maxlyons>  (7a87056f7c8e <libpano>)

	* ChangeLog:
	no message

2006-06-04 21:43 +0000  maxlyons  <maxlyons>  (3a6ad93eb5e0 <libpano>)

	* PTcommon.c:
	Fixing bug with morph-to-fit. Memory allocated with malloc was being
	incorrectly freed with myfree leading to random crashes.

2006-06-04 21:42 +0000  maxlyons  <maxlyons>  (a7d8fc11d145 <libpano>)

	* tools/PTmender.c:
	Changed behavior for input file name parsing. If the script is
	specified on the command line with a path (e.g.
	c:\some\path]myscript.txt), this path was prepended to all of the
	image names in the script, regardless of whether those image names
	were also specified with a full qualified path. This change adds a
	check so that the script path is only prepended to the image names,
	if the image names don't already contain path information.

2006-06-01 02:50 +0000  maxlyons  <maxlyons>  (c3fb4ca87e53 <libpano>)

	* ChangeLog:
	no message

2006-06-01 02:49 +0000  maxlyons  <maxlyons>  (333cd776f2ed <libpano>)

	* PTcommon.c:
	PTCommon.c: Fixed bug in getROI

2006-05-30 19:56 +0000  brunopostle  <brunopostle>  (20c3cef96d76 <libpano>)

	* README.linux:
	Replace old build instructions with correct instructions

2006-05-30 02:50 +0000  maxlyons  <maxlyons>  (dd2bc8e2399c <libpano>)

	* ChangeLog:
	no message

2006-05-30 02:48 +0000  maxlyons  <maxlyons>  (6545c7d1250e <libpano>)

	* PTcommon.c, pttiff.h, tools/PTuncrop.c:
	* Moving uncrop logic from ptuncrop.c to ptcommon.c. Creating
	uncropTiff function
	* Adding uncropTiff function declaration to pttiff.h
	* Making cropped TIFF the intermediate format for all processing,
	regardless of output format. Uncropped TIFFs can be generated, if
	needed, from intermediate cropped TIFFs by calling new uncropTiff
	function.

2006-05-30 02:46 +0000  maxlyons  <maxlyons>  (f90d28f685c9 <libpano>)

	* adjust.c:
	CheckParams: allowing optimizer to work with new projections

2006-05-29 18:22 +0000  maxlyons  <maxlyons>  (9b0f3a9bb2b6 <libpano>)

	* pttiff.h: new file.
	* pttiff.h:
	changes fix various compilation problems:

	* Moved declaration of three functions from ptcommon.h to new
	ptttiff.h file. * Updated includes in PTcommon.c and PTuncrop.c
	* Updated pano12.def and libpano12.def to include the same, latest,
	exports

2006-05-29 17:11 +0000  maxlyons  <maxlyons>  (045aedccf05d <libpano>)

	* PTcommon.c, PTcommon.h, libpano12.def, pano12.def, tools/PTuncrop.c:
	changes fix various compilation problems:

	* Moved declaration of three functions from ptcommon.h to new
	ptttiff.h file. * Updated includes in PTcommon.c and PTuncrop.c
	* Updated pano12.def and libpano12.def to include the same, latest,
	exports

2006-05-28 20:35 +0000  brunopostle  <brunopostle>  (c501a0740e7c <libpano>)

	* Makefile.am:
	install pt_stdint.h with `make install`

2006-05-28 03:57 +0000  dmg  <dmg>  (0fdc6031906a <libpano>)

	* tests/simpleStitch/reference/tiff_lzw.tif:
	committed lzw

2006-05-28 03:55 +0000  dmg  <dmg>  (0bc275d183b8 <libpano>)

	* tests/simpleStitch/simple.txt:
	script should be fast transform

2006-05-28 03:52 +0000  dmg  <dmg>  (d81e022ef1f4 <libpano>)

	* tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleStitch/reference/tiff_deflate.tif,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif,
	tests/simpleStitch/reference/tiff_none.tif,
	tests/simpleStitch/simple.txt:
	Ok, the previous ones were way too large, these are significantly
	smaller

2006-05-28 03:46 +0000  dmg  <dmg>  (c276cdeb96d2 <libpano>)

	* tests/simpleStitch/reference/tiff_lzw.tif: new file.
	* tests/simpleStitch/reference/tiff_lzw.tif:
	added tiff_lzw

2006-05-28 03:37 +0000  dmg  <dmg>  (22a0e42ca973 <libpano>)

	* tests/ChangeLog, tests/panoAutomateTest.pl,
	tests/simpleStitch/051221_6054_750.jpg,
	tests/simpleStitch/051221_6055_750.jpg,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/Makefile,
	tests/simpleStitch/README.txt,
	tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleStitch/reference/tiff_deflate.tif,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif,
	tests/simpleStitch/reference/tiff_none.tif,
	tests/simpleStitch/simple.pto, tests/simpleStitch/simple.txt: new
	file.
	* tests/ChangeLog, tests/panoAutomateTest.pl,
	tests/simpleStitch/051221_6054_750.jpg,
	tests/simpleStitch/051221_6055_750.jpg,
	tests/simpleStitch/ChangeLog, tests/simpleStitch/Makefile,
	tests/simpleStitch/README.txt,
	tests/simpleStitch/reference/jpeg.jpg,
	tests/simpleStitch/reference/psd.psd,
	tests/simpleStitch/reference/psd_no_mask.psd,
	tests/simpleStitch/reference/tiff_deflate.tif,
	tests/simpleStitch/reference/tiff_m0000.tif,
	tests/simpleStitch/reference/tiff_m0001.tif,
	tests/simpleStitch/reference/tiff_m_cropped0000.tif,
	tests/simpleStitch/reference/tiff_m_cropped0001.tif,
	tests/simpleStitch/reference/tiff_mask0000.tif,
	tests/simpleStitch/reference/tiff_mask0001.tif,
	tests/simpleStitch/reference/tiff_none.tif,
	tests/simpleStitch/simple.pto, tests/simpleStitch/simple.txt:
	created first battery of tests for a simple, 2 images, panorama

2006-05-28 02:43 +0000  dmg  <dmg>  (d044fac76514 <libpano>)

	* tools/PTuncrop.c: new file.
	* tools/PTuncrop.c:
	I forgot to add PTuncrop.c

2006-05-28 02:34 +0000  dmg  <dmg>  (1438aed4df96 <libpano>)

	* ChangeLog, PTcommon.c:
	* PTcommon.c (CreatePanorama): Removed some ugly formatting I
	introduced in a recent commit (CreatePanorama): Fixed bug of the
	missing column/row introduced in cropped files.

2006-05-28 01:36 +0000  dmg  <dmg>  (46e2e2ad0fb3 <libpano>)

	* ChangeLog, PTcommon.c:
	* PTcommon.c (CreatePanorama): Removed some ugly formatting I
	introduced in a recent commit

2006-05-28 01:32 +0000  dmg  <dmg>  (4d0e17ccffde <libpano>)

	* ChangeLog, PTcommon.h, tools/ChangeLog, tools/Makefile.am:
	Added PTuncrop, a program to conver cropped tiffs to regular tiffs

2006-05-27 22:35 +0000  dmg  <dmg>  (c65fa4f324bc <libpano>)

	* ChangeLog, PTcommon.c, tiff.c:
	2006-05-27 dmg <dmgerman@uvic.ca>

	 * PTcommon.c (TiffGetImageParameters): Fixed incorrect error
	message. Removed tabs from entire file (some of them completely
	messed the format), reindented entire file

	 * tiff.c: Changed TIFFTAG_ROWSPERSTRIP to 1.

2006-05-24 05:12 +0000  maxlyons  <maxlyons>  (135f0c935bf6 <libpano>)

	* ChangeLog:
	Cropped TIFF modifications (mostly)

2006-05-24 05:05 +0000  maxlyons  <maxlyons>  (1a5910d43dac <libpano>)

	* tiff.c:
	readTIFF. Storing filename of TIFF in im->name.

2006-05-24 05:05 +0000  maxlyons  <maxlyons>  (7db0a0b1c10f <libpano>)

	* filter.h:
	getCropInformation. Adding declaration.

2006-05-24 05:04 +0000  maxlyons  <maxlyons>  (896437018f26 <libpano>)

	* PTcommon.c:
	All logic has been reworked so that "cropped" TIFF files can be used
	throughout the stitching process for all currently supported output
	formats. (Cropped TIFF files are those that are just large enough to
	contain the remapped image, and the offset/full size information is
	stored in the TIFF header). Modified functions include
	ReplaceAlphaChannel, CreateAlphaChannels, AddStitchingMasks,
	FlattenTIFF, createPanorama. New functions include
	getCropInformationFromTiff, setFullSizeImageParameters.

	Simplified ComputeStitchingMask8bits syntax

	CreatePanorama. Reworked logic to handle intermediate output files
	and produce final output in various formats. Added logic that
	decides when to use cropped TIFF as intermediate format based on
	chosen output format. TODO: this could use some tidy up, and it
	might be a good idea to have cropped TIFF as the default
	intermediate format for TIFF_m and TIFF_mask, and include a function
	to "expand" the cropped TIFFs to full size when finished (if the
	user requests non-cropped TIFF).

	Reluctantly commented out calls to TIFFSetWarningHandler and
	TIFFSetErrorHandler...these cause to GCC to abort, with a series of
	errors about multiple definition of TIFF functions in libpano and
	libtiff.

	Changed title bar of progress dialog to indicate currently
	processing image number (indexed at 1) and total images to be
	processed.

2006-05-24 05:03 +0000  maxlyons  <maxlyons>  (9e60ec7ce3d5 <libpano>)

	* file.c:
	writePSD, writeLayerAndMask, writeChannelData, getImageRectangle,
	addLayer. Reworked to handle "cropped" files.

2006-05-24 05:00 +0000  maxlyons  <maxlyons>  (d55e05e7dcb5 <libpano>)

	* ColourBrightness.c, tools/PTmender.c:
	changed #include syntax

2006-05-23 22:54 +0000  dmg  <dmg>  (8edd3c15a4a6 <libpano>)

	* ChangeLog, PTcommon.c:
	2006-05-24 dmg <dmgerman@uvic.ca>

	* PTcommon.c (TiffSetImageParameters, TiffGetImageParameters): Make
	sure ROWSPERSTRIP is propagated.

2006-05-23 12:55 +0000  maxlyons  <maxlyons>  (c73933b35fa8 <libpano>)

	* pt_stdint.h:
	Fixing bad CR/LF combinations

2006-05-23 12:45 +0000  maxlyons  <maxlyons>  (a1bb2873f930 <libpano>)

	* panorama.h:
	Adding CropInfo struct...used for processed cropped images

2006-05-23 12:42 +0000  maxlyons  <maxlyons>  (c6c2907e4ae0 <libpano>)

	* adjust.c:
	Removing old comments

2006-05-23 00:00 +0000  dmg  <dmg>  (d99bb87e66ca <libpano>)

	* ChangeLog, PTcommon.c, PTcommon.h:
	2006-05-23 dmg <dmgerman@uvic.ca>

	* PTcommon.c (TiffGetImageParameters, TiffSetImageParameters): Make
	sure compression is propagated at further stages (CreatePanorama):
	Implemented support for C:NONE (CreatePanorama): Implemented support
	for C:DEFLATE

2006-05-22 09:43 +0000  dmg  <dmg>  (8478d05adb18 <libpano>)

	* ChangeLog, PTcommon.c:
	(CreatePSD): Make sure PSD is 8 bit if it contains more than 1 layer
	(we do not support multi-layer 16bit images). Cleaned up the
	function and added some comments. (ComputeStitchingMask8bits):
	Cleanedup the function (still more work to do)

2006-05-22 05:54 +0000  dmg  <dmg>  (a0205a092306 <libpano>)

	* ChangeLog, PTcommon.c, tools/PTblender.c:
	-05-22 dmg <dmgerman@uvic.ca>

	* PTcommon.c: Checked return value of each TIFFWriteScanline. It now
	returns an error when it cannot write to the output (instead of just
	continue blindly). Added Error and Warning handler for TIFF library
	so the errors are now reported using the PTtools error handler.

	2006-05-20 dmg <dmgerman@uvic.ca>

	* PTcommon.c (CreatePanorama): Fixed a bug in TIFF_mask (the program
	was not ending after where it should have)

2006-05-21 18:29 +0000  dangelo  <dangelo>  (c99f9935de8d <libpano>)

	* pt_stdint.h: new file.
	* pt_stdint.h:
	stdint is not provided by M$ Visual C.

2006-05-21 16:04 +0000  dangelo  <dangelo>  (d3ae0d6f2c54 <libpano>)

	* Makefile.am, PTcommon.h, filter.h, libpano.vcproj, sys_X11.c,
	sys_ansi.c, sys_common.c, sys_mac.c, sys_win.c:
	bugfix: vararg processing of PrintError() was broken

2006-05-21 16:02 +0000  dangelo  <dangelo>  (cd557eadac36 <libpano>)

	* adjust.c:
	fixed "SetMakeParams: Unsupported input image projection" error when
	using circular fisheye input images.

2006-05-16 04:18 +0000  dmg  <dmg>  (33d4a4ccd860 <libpano>)

	* ChangeLog, PTcommon.c:
	2006-05-15 dmg <dmgerman@uvic.ca>

	 * PTcommon.c (CreatePanorama): Fixed a typo related to QTVR images.
	I also renamed Unknown07 to Create_QTVR

2006-05-16 04:12 +0000  dmg  <dmg>  (6110df362c21 <libpano>)

	* ChangeLog, resample.c:
	2006-05-15 dmg <dmgerman@uvic.ca>

	 * resample.c: Fixed compilation warnings by moving #define unsigned
	inside the body of the functions.

2006-05-16 02:22 +0000  maxlyons  <maxlyons>  (d5ec1f432d62 <libpano>)

	* ChangeLog:
	no message

2006-05-16 02:21 +0000  maxlyons  <maxlyons>  (6101e0eeb68d <libpano>)

	* resample.c:
	Fixing bug in fast transform logic that caused crash when
	destRect.left != 0 (i.e. producing cropped TIFF output)

2006-05-15 20:30 +0000  brunopostle  <brunopostle>  (82589133f771 <libpano>)

	* configure.ac, version.h:
	make version 2.8.3 same everywhere

2006-05-15 04:06 +0000  maxlyons  <maxlyons>  (805263d53868 <libpano>)

	* ChangeLog:
	no message

2006-05-15 04:04 +0000  maxlyons  <maxlyons>  (1658fd0d57ac <libpano>)

	* tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/PTcommon.c, tools/PTcommon.h: deleted file.
	* tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/PTcommon.c, tools/PTcommon.h:
	Removing old versions of ptcommon and colourbrightness from the
	tools...these have already been moved into libpano main directory

2006-05-15 04:01 +0000  maxlyons  <maxlyons>  (bd32256ca07a <libpano>)

	* tools/PTblender.c:
	Fixed comparison between pointer and integer error (line 102)

2006-05-15 04:00 +0000  maxlyons  <maxlyons>  (c87f008ce94a <libpano>)

	* pano12.def:
	Removed duplicate entry for "StringtoFullPath" (exported twice).

2006-05-15 04:00 +0000  maxlyons  <maxlyons>  (adaa32efea01 <libpano>)

	* makefile.win32:
	Updated Makefile.win32 to include missing references to
	sys_common.c, PTCommon.c, hdrfile.c, rgbe.c,
	ColourBrightness.c...should now build correctly using MingW

2006-05-15 03:59 +0000  maxlyons  <maxlyons>  (2f6dd81c156a <libpano>)

	* PTcommon.c:
	Changed #include <filter.h> to #include "filter.h" (this prevented
	compilation with MingW) Changed call to execute_stack to
	execute_stack_new (necessary as a result of modification to
	Transformation function type) Removed InsertFileName definition.
	This is already defined in PTPicker, and prevented compilation with
	MingW.

2006-05-15 03:59 +0000  maxlyons  <maxlyons>  (b5e506ab5012 <libpano>)

	* ColourBrightness.c:
	Changed #include <filter.h> to #include "filter.h" (this prevented
	compilation with MingW)

2006-05-07 07:53 +0000  dmg  <dmg>  (2c6bbe4298cb <libpano>)

	* ChangeLog, PTcommon.c, tools/ChangeLog, version.h:
	2006-05-07 dmg <dmgerman@uvic.ca>

	* version.h: Updated version to 2.8.3

	* PTcommon.c (SetBestAlphaChannel16bits): Implemented function.

	2006-05-06 dmg <dmgerman@uvic.ca>

	* PTcommon.c: (BlendLayers): Added support for 16 bit images.

	* PTcommon.c (BlendLayers16Bit): Added function.

2006-05-06 22:58 +0000  dmg  <dmg>  (a14de2de69f4 <libpano>)

	* ChangeLog, PTcommon.c, PTcommon.h, pano12.def:
	* PTcommon.h (CreatePanorama): Added StringtoFullPath

	 * pano12.def: Exported StringtoFullPath

	 * PTcommon.h: removed <tiffio.h> from its includes.

2006-05-06 22:03 +0000  dmg  <dmg>  (82c7aa218b1d <libpano>)

	* ChangeLog, Makefile.am:
	2006-05-06 dmg <dmgerman@uvic.ca>

	* Makefile.am (STD_HDR): Install PTcommon.h

2006-05-06 19:49 +0000  dmg  <dmg>  (a77562769951 <libpano>)

	* ColourBrightness.c, ColourBrightness.h, PTcommon.c, PTcommon.h: new
	file.
	* ChangeLog, ColourBrightness.c, ColourBrightness.h, Makefile.am,
	PTcommon.c, PTcommon.h, pano12.def, panorama.h, tools/ChangeLog,
	tools/Makefile.am, tools/PTOptimizer.c, tools/PTblender.c,
	tools/PTmender.c, tools/PTtiff2psd.c, version.h:
	2006-05-06 dmg <dmgerman@uvic.ca>

	* version.h: Updated version to 2.8.2 and improved ifdefs for easier
	maintenance

	* pano12.def: Added ColourBrightness, PTcommon definitions.

	* Moved ColourBrightness.{c,h}, PTcommon.{c,h} to this directory.

	 2006-05-06 dmg <dmgerman@uvic.ca>

	* PTStitcher.cpp: sent to the attic.

	* PTblender.c, PTtiff2psd, PTmender: Changed name of quietFlag to
	ptQuietFlag. I replaced their own version number with libpano.

	* PTcommon.c, PTcommon.h, PTmender.c, Makefile.am: Moved
	CreatePanorama to PTcommon.c and all the functions required by it.

	* PTcommon.c (CreatePanorama): Added an error when the type of
	panorama is not valid.

2006-05-06 18:42 +0000  dmg  <dmg>  (8fb00f4c3ebe <libpano>)

	* tools/ChangeLog, tools/Makefile.am, tools/PTmender.c:
	* PTcommon.c, PTcommon.h, PTmender.c, Makefile.am: Moved
	CreatePanorama to PTcommon.c and all the functions required by it.

	* PTcommon.c (CreatePanorama): Added an error when the type of
	panorama is not valid.

2006-05-06 18:22 +0000  dmg  <dmg>  (7d94ae2499fb <libpano>)

	* ChangeLog:
	Added missing entries to Changelog

2006-05-05 05:46 +0000  dangelo  <dangelo>  (5ee61a95c8f3 <libpano>)

	* morpher.c:
	fixed return code

2006-05-05 05:46 +0000  dangelo  <dangelo>  (1a5109427db1 <libpano>)

	* math.c:
	MSVC does not provide atanh.

2006-05-05 05:44 +0000  dangelo  <dangelo>  (0a5be030f08b <libpano>)

	* libpano.vcproj:
	updated MSVC project file. Use $WXWIDGETS_HOME and $JDK_HOME
	environment variables instead of hardcoded paths

2006-04-28 06:39 +0000  dangelo  <dangelo>  (b28b77176a5c <libpano>)

	* libpano12.def, pano12.def, pano12vc.def, pano12vcd.def:
	export exectute_stack_new in windows .dll

2006-04-27 11:03 +0000  brunopostle  <brunopostle>  (63cff674f210 <libpano>)

	* ChangeLog, configure.ac, version.h:
	update version to 2.8.1

2006-04-27 01:28 +0000  dmg  <dmg>  (d45cb7354f61 <libpano>)

	* ChangeLog:
	2006-04-26 dmg (dmg)

	 * ChangeLog: updated changelog to match last 2 changes (including
	the change to the ChangeLog :)

2006-04-26 21:31 +0000  dangelo  <dangelo>  (2eb7e13004d0 <libpano>)

	* adjust.c, correct.c, filter.h, math.c, resample.c:
	fixed an error in the transverse mercator transform. do not fill
	undefined area in the sinusoidal projection with garbage. provide
	binary compatible version of execute_stack.

2006-04-25 23:31 +0000  dangelo  <dangelo>  (05d99431e592 <libpano>)

	* doc/stitch.txt:
	added new projection types to documentation

2006-04-25 20:09 +0000  brunopostle  <brunopostle>  (9999de586e35 <libpano>)

	* ChangeLog:
	Updated ChangeLog to the autogenerated one (had been clobbered)

2006-04-21 07:00 +0000  dangelo  <dangelo>  (fbdfd01281f0 <libpano>)

	* rgbe.c:
	previous commit errornously replaced #include <stdlib.h> with
	malloc.h. revert to #include <stdlib.h>

2006-04-20 23:01 +0000  dangelo  <dangelo>  (f69e237be8c5 <libpano>)

	* AUTHORS, ChangeLog, adjust.c, filter.h, math.c, morpher.c,
	pano12.def, pano12vc.def, pano12vcd.def, panorama.h, parser.c,
	queryfeature.c, rgbe.c:
	added stereographic, mercator, transverse mercator and sinusoidal
	projection. Transverse mercator does not work properly yet. Modified
	all coordinate transform functions to return if the transformation
	was possible. (Not used during stitching yet)

2006-04-19 21:09 +0000  brunopostle  <brunopostle>  (8c4975e52065 <libpano>)

	* sys_common.c:
	Fix for previous patch for customizing libpano12 error and progress
	output (Pablo D'Angelo)

2006-04-14 21:10 +0000  dmg  <dmg>  (d761fba6ca02 <libpano>)

	* ChangeLog:
	update changelog for previous commit

2006-04-14 20:27 +0000  brunopostle  <brunopostle>  (93a916eb1fdb <libpano>)

	* sys_common.c: new file.
	* AUTHORS, Makefile.am, filter.h, libpano12.def, pano12.def,
	pano12vc.def, pano12vcd.def, queryfeature.c, queryfeature.h,
	sys_X11.c, sys_ansi.c, sys_common.c, sys_mac.c, sys_win.c:
	Allow applications to supply their own callback functions for error
	and progress reporting. (Pablo d'Angelo)

2006-04-11 03:41 +0000  dmg  <dmg>  (fb93de919c1e <libpano>)

	* ChangeLog, tools/PTblender.c, tools/PTmender.c:
	released version 0.4.0 of PTmender and PTblender

2006-04-11 03:38 +0000  dmg  <dmg>  (8c18fe6e7daf <libpano>)

	* ChangeLog, tools/PTblender.c, tools/PTcommon.c, tools/PTcommon.h,
	tools/PTmender.c, tools/PTmender.h, tools/README.PTmender:
	2006-04-10 dmg <dmgerman@uvic.ca>

	* toos/README.PTmender: updated it.

	* tools/PTmender.h: removed some prototypes from the file that
	belong now to PTcommon.h

	* tools/PTmender.c: added support for flattening tiffs (including,
	by extension, JPG and PNG support).

	* tools/PTcommon.h: moved pt_tiff_parms into it, moved some
	prototypes from tools/PTmender.h

	* tools/PTcommon.c: Added blending of TIFFs into a single one. JPG
	creation.

	* tools/PTblender.c: added JPG creation.

2006-04-09 23:07 +0000  dmg  <dmg>  (38b7ce9b19d9 <libpano>)

	* ChangeLog, rgbe.c:
	2006-04-09 dmg <dmgerman@uvic.ca>

	* rgbe.c: Replaced #include <malloc.h> with <stdlib.h> to avoid
	MacOS compilation error

2006-03-10 11:17 +0000  brunopostle  <brunopostle>  (68adcffc0d36 <libpano>)

	* resample.c:
	Fix for gcc compilation error (Thomas Rauscher)

2006-03-09 21:29 +0000  brunopostle  <brunopostle>  (6eb891d23cdc <libpano>)

	* tools/.cvsignore:
	ignore non-source files

2006-03-01 07:12 +0000  maxlyons  <maxlyons>  (1d7847d66721 <libpano>)

	* tools/PTmender.c:
	Added ability to produce "cropped" output files in tiff_m and
	tiff_mask format. Unfortunately, it doesn't currently work when the
	fast transform (f0 option in m line) so make sure not to include
	this option in stitcher script. Added ability to produce LZW
	compressed output. Use following syntax: p w1237 h952 f1 u0 v115
	n"TIFF_m r:CROP c:LZW" Modified the number of rows per strip of TIFF
	data to be 1. Code cleanup (removing goto statements, etc.), give
	variables more descriptive names, and added a lot of
	comments/documentation.

2006-03-01 07:08 +0000  maxlyons  <maxlyons>  (fd8859975f72 <libpano>)

	* tools/PTcommon.h, tools/PTmender.h:
	Moving declaration of InsertFileName. Adding TIFFTAGs for full image
	width/length (in case not present in tiff.h)

2006-02-27 22:38 +0000  brunopostle  <brunopostle>  (553528e3eb6b <libpano>)

	* tools/.cvsignore:
	add .deps to .cvsignore

2006-02-27 22:36 +0000  brunopostle  <brunopostle>  (014de37c2534 <libpano>)

	* tools/.cvsignore:
	cvs should ignore Makefile.in not Makefile.am

2006-02-27 22:32 +0000  brunopostle  <brunopostle>  (60ac8804af62 <libpano>)

	* hdrfile.c, rgbe.c, rgbe.h: new file.
	* Makefile.am, bmp.c, filter.h, hdrfile.c, queryfeature.c, resample.c,
	rgbe.c, rgbe.h:
	Support for radiance 32bit float .hdr files (Thomas Rauscher)

2006-02-27 22:29 +0000  brunopostle  <brunopostle>  (5f1d6626f690 <libpano>)

	* ChangeLog:
	updated ChangeLog from CVS commit messages

2006-02-21 10:19 +0000  dmg  <dmg>  (005518861694 <libpano>)

	* tools/ChangeLog, tools/PTcommon.c:
	06-02-21 dmg <dmgerman@uvic.ca>

	* PTcommon.c: Replaced InsertFileName with the one from ptpicker.c
	(patch submitted by Max Lyons)

2006-02-20 19:07 +0000  dmg  <dmg>  (8a27f35c80e3 <libpano>)

	* tools/ChangeLog:
	Fixed spelling mistake in ChangeLog

2006-02-20 18:54 +0000  dmg  <dmg>  (0993ea15579e <libpano>)

	* tools/ChangeLog, tools/PTcommon.c, tools/PTmender.c,
	tools/PTtiff2psd.c:
	2006-02-20 dmg <dmgerman@uvic.ca>

	* PTcommon.c (AddStitchingMasks): Removed exit that I was using
	during debugging.

	* PTtiff2psd.c (PT_TIFF2PSD_USAGE): Added name of default output
	file.

	* PTmender.c (ComputeStitchingMask8bits, ComputeStitchingMask16bits,
	ComputeStitchingMask,SetBestAlphaChannel16bits,
	SetBestAlphaChannel8bits, CalculateAlphaChannel, ApplyFeather8bits,
	ApplyFeather16bits, ApplyFeather): Removed functions, they are
	already in PTcommon.c

	* PTmender.c: Removed test code for TEST_ENABLE_COLOUR_CORRECTION

	Changes submitted by Max Lyonx:

	* PTcommon.c: Moved InsertFileName to this file from PTmender.c. It
	should be compiled only under Windows.

	* PTmender.c (main): Changed 0x6f for 'o'.

2006-02-20 16:54 +0000  dmg  <dmg>  (ed292ce0c950 <libpano>)

	* tools/PTcommon.c, tools/PTcommon.h: new file.
	* tools/PTcommon.c, tools/PTcommon.h:
	I forgot to commit these files

2006-02-17 17:56 +0000  dmg  <dmg>  (1fc47ef710f0 <libpano>)

	* tools/PTtiff2psd.c: new file.
	* tools/ChangeLog, tools/ColourBrightness.c, tools/Makefile.am,
	tools/PTblender.c, tools/PTmender.c, tools/PTmender.h,
	tools/PTtiff2psd.c:
	2006-01-23 dmg <dmgerman@uvic.ca>

	* PTblender.c (main): There was an extra colon in the spec of the
	command line options (reported by josh at joshdoe com)

	* PTcommon.c (SetBestAlphaChannel8bits): Fixed minor bug.

	2006-01-20 dmg <dmgerman@uvic.ca>

	* Makefile.am (bin_PROGRAMS): Added PTtiff2psd.

	* PTblender.c (main): Freed pointers. Added call to
	VerifyTiffsAreCompatible. Added include to PTcommon.h

	* PTmender.h: Moved quietFlag from this one to PTcommon.h

	* PTmender.c: Added include to PTcommon.h, extracted CreatePSD, and
	CreateStitchingMasks.

	* PTtiff2psd.c: Created program.

	* PTcommon.h (VerifyTiffsAreCompatible): Created file, added
	prototypes.

	* PTcommon.c (VerifyTiffsAreCompatible): Created file, and added
	function. Moved CreatePSD and CreateStitchingMasks from PTmender.c.

2006-01-20 04:02 +0000  dmg  <dmg>  (ab95b270d7d6 <libpano>)

	* tools/ChangeLog, tools/PTblender.c:
	06-01-19 dmg <dmgerman@uvic.ca>

	* PTblender.c (main): If no files were specified in the command
	line, then print usage.

2006-01-20 03:56 +0000  dmg  <dmg>  (372b1f1e5c50 <libpano>)

	* tools/PTblender.c: new file.
	* tools/ChangeLog, tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/Makefile.am, tools/PTblender.c, tools/PTmender.c:
	2006-01-19 dmg <dmgerman@uvic.ca>

	* PTmender.c (main): Used PATH_SEP instead of / to get it to work
	under Windogs. (CreateStitchingMasks): Removed unnecessary assert.

	* PTblender.c: Added program.

	* PTmender.c (CreatePanorama): Changed call to ColourBrightness to
	match new prototype. See below. Moved ReplaceExt from to
	ColourBrightness.

	* ColourBrightness.h: Changed prototypes (see below).

	* ColourBrightness.c (CorrectFileColourBrightness): Add an extra
	parameter to handle different input and output file names.
	(ColourBrightness): Added an extra parameter to handle different
	input and output filename. If the input filename is different from
	output, then process file. (ReplaceExt): Moved it here from
	PTmender.c

2006-01-16 01:01 +0000  dmg  <dmg>  (e987ae1c1c17 <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c:
	Removed useless comments

2006-01-16 00:55 +0000  dmg  <dmg>  (7a4452ce54d6 <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c:
	Fixed a bug in Unknown49

2006-01-16 00:41 +0000  dmg  <dmg>  (73c61426ed14 <libpano>)

	* tools/ChangeLog:
	Minor edit change

2006-01-16 00:16 +0000  dmg  <dmg>  (e2064dfde563 <libpano>)

	* tools/ChangeLog, tools/PTmender.c:
	2006-01-15 dmg <dmgerman@uvic.ca>

	* PTmender.c (CreatePanorama): Found a bug. strcmp did not include
	==0. (ComputeStitchingMask8bits): Implemented function.
	(CalculateAlphaChannel): Implemented function.
	(SetBestAlphaChannel8bits): Implemented function.
	(CreateStitchingMasks): Found an error: Progress returns zero when
	not error, not !=0. Also, I forgot return -1 (ApplyFeather):
	Implemented function. (SetBestAlphaChannel8bits): Fixed a bug in the
	function. Wrong condition in loop. (PT_MENDER_VERSION): Bumped
	version to 0.3. Released.

	2006-01-14 dmg <dmgerman@uvic.ca>

	* PTmender.c (CreatePSD): Implemented function.
	(TiffSetImageParameters): Added function. (CreateStitchingMasks):
	Implemented function. (ComputeStitchingMask): Implemented function.

2006-01-15 06:59 +0000  dwilkins42  <dwilkins42>  (972a5b15d386 <libpano>)

	* Makefile.am, configure.ac:
	Add endian check. OS check only is not sufficient

2006-01-12 19:27 +0000  dmg  <dmg>  (0d6bbca0a166 <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c, tools/PTmender.c:
	2006-01-12 dmg <dmgerman@uvic.ca>

	* ColourBrightness.c: Remove fprintfs

	* PTmender.c: Enabled colour correction. Ready for testing. Upgraded
	version to 0.2: "the Enlightment"

	* ColourBrightness.c (Unknown40): Fixed another bug. This time it
	was the data type of a variable. It was double, not integer!

2006-01-12 12:37 +0000  dmg  <dmg>  (9ac9e90b36c2 <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/PTmender.c, tools/README.PTmender:
	006-01-12 dmg <dmgerman@uvic.ca>

	* PTmender.c (CreatePanorama): Reduced the size of the cache to
	500kbytes

	* ColourBrightness.c: Improved readibility of many functions.
	(RemapHistogram): Another bug. Divided a/b instead of b/a.

	2006-01-11 dmg <dmgerman@uvic.ca>

	* ColourBrightness.c: (ComputeColourBrightnessCorrection) Found
	another bug (limit of for loop was < 0xff not <= 0xff).
	(ComputeColourBrightnessCorrection): Cleaned up the function,
	renamed variables to make them meaninful. Killed another bug. Again,
	a/b instead of b/a (CorrectFileColourBrightness): Another bug.
	Missundertood return value from readTIFF: it is zero when success,
	-1 when it is not. (CorrectImageColourBrigthness): Another bug.
	im->data is a pointer to the pointer to the actual data, not a
	pointer to the data! Took advante of the editing and cleaned up the
	code and renamed some veriables. (DisplayHistogramsError):
	Refactored this function from ColourBrightness.

	* ColourBrightness.h, ColourBrightness.c: Renamed Unknown41 to
	ComputeAdjustmentCurve. Renamed Unknown37 to RemapHistogram. I have
	added assertions and debug code everywhere. Renamed Unknown33 to
	MapFunction. Updated callers accordingly.

	2006-01-10 dmg <dmgerman@uvic.ca>

	* ColourBrightness.c: (ComputeColourBrightnessCorrection): Another
	bug: incorrect number of daisies.

2006-01-10 12:27 +0000  dmg  <dmg>  (344e79a2fb06 <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c, tools/Makefile.am,
	tools/PTmender.c, tools/README.PTmender:
	1-10 dmg <dmgerman@uvic.ca>

	* ColourBrightness.c: I changed all mallocs to callocs. I also added
	and removed some debug messages, and added optional use of the
	dmalloc library. (InitializeMagnolia): fixed a bug. I had allocated
	sizeof(pointer) rather than sizeof(thing pointed by pointer). What
	an amateur! (ColourBrightness): Another bug, I was freeing an
	incorrect number of histograms. (Unknown33): Fixed another bug. I
	referenced last element as array[n] instead of the correct way
	array[n-1]. (Unknown37): Another bug 2 bugs. I had missed a set of
	parenthesis in an expression. The next line had a couple of errors
	too. (FreeHistograms): Another bug. One free was in the wrong place.

	* README.PTmender: Updated it.

	* PTmender.c (CreatePanorama): Disabled code for colour correction.

	* Makefile.am (AM_CPPFLAGS): Added flags for TIFF and JPEG to the
	compilation of the programs.

2006-01-09 21:54 +0000  brunopostle  <brunopostle>  (0dd00f073bbb <libpano>)

	* configure.ac:
	update version to 2.8.0

2006-01-09 19:55 +0000  dmg  <dmg>  (2bbc15b4752d <libpano>)

	* tools/ChangeLog, tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/PTmender.c, tools/README.PTmender:
	2006-01-09 dmg <dmgerman@uvic.ca>

	* PTmender.c (CreatePanorama): Fixed a bug that affected cropped
	images. I think TIFF_m is ready for the masses. The tests I have
	performed are promising. (main): Added a Version message for its
	official release. Initial release: 0.1

	* ColorBrightness.c, ColorBrightness.h: First bug: I got burned by
	the fact that chars are by default signed. I changed any use of char
	to unsigned.

2006-01-09 11:51 +0000  dmg  <dmg>  (ee209117e7cd <libpano>)

	* tools/ColourBrightness.c, tools/ColourBrightness.h: new file.
	* tools/ChangeLog, tools/ColourBrightness.c, tools/ColourBrightness.h,
	tools/Makefile.am, tools/PTmender.c:
	2006-01-09 dmg <dmgerman@uvic.ca>

	* Makefile.am (PTmender_SOURCES): Added colourBrightness.* to
	PTmender

	* PTmender.c: Renamed CreatePanorama, removed old function stub

	* ColorBrightness.c, ColorBrightness.h: added files. All the
	functions for colourBrightness have been created, but they do not
	work.

	2006-01-04 dmg <dmgerman@uvic.ca>

	* PTmender.c (main): Fixed another bug, in the case that no files
	were specified in the command line. (ARGtoRGBAImage): Fixed another
	bug (a line I duplicated, but that I did not update).
	(CreatePanorama): Replaced assertion on colourCorreection. I had
	misinterpreted what the value was.

2005-12-25 03:14 +0000  dmg  <dmg>  (5dedf410e9a2 <libpano>)

	* tools/Makefile.am:
	I really removed -Wall -g this time

2005-12-25 03:03 +0000  dmg  <dmg>  (897df28ff715 <libpano>)

	* tools/.cvsignore, tools/ChangeLog, tools/Makefile.am,
	tools/PTmender.c:
	2005-12-25 dmg <dmgerman@uvic.ca>

	* PTmender.c (main,CreatePanorama): Fixed 5 more bugs. I am able to
	stitch the first one photo panorama!

2005-12-25 00:33 +0000  dmg  <dmg>  (80ab738bc710 <libpano>)

	* tools/ChangeLog, tools/Makefile.am, tools/PTmender.c,
	tools/PTmender.h:
	005-12-24 dmg <dmgerman@uvic.ca>

	* Makefile.am: Removed -Wall from make process

	* PTmender.c (main): Fixed 3 bugs. (CreatePanorama): Fixed 2 bugs

2005-12-23 00:59 +0000  dmg  <dmg>  (353ba737dc62 <libpano>)

	* tools/ChangeLog:
	fixed minor typo in ChangeLog

2005-12-23 00:57 +0000  dmg  <dmg>  (38ace5a1168e <libpano>)

	* tools/ChangeLog, tools/PTmender.c:
	2005-12-23 dmg <dmgerman@uvic.ca>

	* PTmender.c (CreatePanorama): It appears now to be complete. We
	have all the code for TIFF_m without brightness adjustement. Time to
	start planning the testing phase.

2005-12-22 23:27 +0000  dmg  <dmg>  (e6e751e85abe <libpano>)

	* tools/ChangeLog, tools/PTmender.c, tools/PTmender.h:
	2005-12-22 dmg <dmgerman@uvic.ca>

	* PTmender.h: Renamed Unknown09 to
	Clear_Area_Outside_Selected_Region

	* PTmender.c (Clear_Area_Outside_Selected_Region): Created function.
	This completes all the functions needed for TIFF_m.

2005-12-21 23:38 +0000  dmg  <dmg>  (f018ebdb5d5b <libpano>)

	* tools/ChangeLog, tools/Makefile.am, tools/PTmender.c,
	tools/PTmender.h:
	2005-12-21 dmg <dmgerman@uvic.ca>

	* PTmender.h (InsertFileName): added prototype.

	* Makefile.am (PTmender_LDADD): We now require the tiff library too.
	(AM_CFLAGS): Added -Wall. I need to catch _any_ potential error.

	* PTmender.c, PTmender.h (ARGtoRGBAImage): Renamed Unknown08 to
	ARGtoRGBAImage and implemented it.

2005-12-21 19:09 +0000  dmg  <dmg>  (ebd675d2c2eb <libpano>)

	* tools/ChangeLog, tools/Makefile.am, tools/PTmender.c:
	2005-12-21 dmg <dmgerman@uvic.ca>

	* I forgot that OS X is case insensitive (even though it is case
	preserving). I have renamed ptmender.h to PTmender.h. Updated
	Makefile.am and PTmender.c (thanks to Bruno Postle for noticing
	this).

	* PTmender.c (CreatePanorama): Fixed some bugs during code review of
	CreatePanorama (CreatePanorama): Changed name of Unknown28 to
	Colour_Brightness

2005-12-21 12:38 +0000  dmg  <dmg>  (ab6177f8126d <libpano>)

	* tools/PTmender.h: new file.
	* tools/ptmender.h: deleted file.
	* tools/PTmender.h, tools/ptmender.h:
	renamed ptmender.h to PTmender.h

2005-12-21 12:32 +0000  dmg  <dmg>  (22b3dd4cc8be <libpano>)

	* tools/ChangeLog, tools/README.PTmender:
	2005-12-21 dmg <dmgerman@uvic.ca>

	* README.PTmender: Added an explanation of its command line options.

2005-12-21 12:16 +0000  dmg  <dmg>  (dbd484c87ef3 <libpano>)

	* tools/ChangeLog, tools/PTmender.c, tools/ptmender.h:
	2005-12-21 dmg <dmgerman@uvic.ca>

	* PTmender.c (main): Completed main. (sorting_function): Added it to
	sort files if -s

2005-12-20 15:43 +0000  dmg  <dmg>  (7d336aa2501c <libpano>)

	* tools/ChangeLog, tools/PTmender.c, tools/README.PTmender,
	tools/ptmender.h: new file.
	* tools/.cvsignore, tools/ChangeLog, tools/Makefile.am,
	tools/PTmender.c, tools/README.PTmender, tools/ptmender.h:
	2005-12-20 dmg <dmgerman@uvic.ca>

	* README.PTmender: Added this file.

	* PTmender.c, PTmender.h: I created these two files. Created the
	functions ReplaceExt, InsertFileName, and CreatePanorama. It has
	also all the skeletons to all the functions that need to be
	rewritten.

	* Modified Makefile.am to add PTStitcher. The program currently
	compiles, but does nothing.

	* Created the ChangeLog.

2005-12-13 04:04 +0000  jim0watters  <jim0watters>  (a9ef8cde9721 <libpano>)

	* makefile.win32:
	added missing ZComb.o

2005-12-07 04:42 +0000  jim0watters  <jim0watters>  (d224bb7d8ca7 <libpano>)

	* tools/PTStitcher.cpp, tools/PTStitcher.vcproj: new file.
	* tools/PTStitcher.cpp, tools/PTStitcher.vcproj:
	Add PTstitcher.exe helper tool This is to replace the original
	PTstitcher

2005-12-07 04:40 +0000  jim0watters  <jim0watters>  (9ef53349b223 <libpano>)

	* tools/PTpano12.dsp, tools/PTpano12.vcproj,
	tools/PTpano12_readme.txt, tools/ptpano12.cpp, tools/ptpano12.def,
	tools/ptpano12.h: new file.
	* tools/PTpano12.dsp, tools/PTpano12.vcproj,
	tools/PTpano12_readme.txt, tools/ptpano12.cpp, tools/ptpano12.def,
	tools/ptpano12.h:
	Add too PTpano12 This tool will intercepts calls, displays info, and
	then calls original pano12.dll with the same parameters. It then
	passes back the return values back to the original caller.

2005-11-25 07:07 +0000  jim0watters  <jim0watters>  (9ddb256216e4 <libpano>)

	* version.h:
	update to ver 2.8

2005-11-24 11:14 +0000  brunopostle  <brunopostle>  (677de4195155 <libpano>)

	* ChangeLog:
	Updated chnagelog from CVS commit messages

2005-11-24 10:52 +0000  brunopostle  <brunopostle>  (f4132070619a <libpano>)

	* configure.ac:
	updated to 2.7.0.14 release

2005-11-23 04:46 +0000  jim0watters  <jim0watters>  (cc6e1a5e07d6 <libpano>)

	* version.h:
	update to ver .14

2005-11-23 04:42 +0000  jim0watters  <jim0watters>  (790594cec3e2 <libpano>)

	* sys_win.c:
	MSVS memory tracking tools

2005-11-23 04:37 +0000  jim0watters  <jim0watters>  (51b76a0c2a47 <libpano>)

	* sys_win.h:
	remove build warning

2005-11-23 04:35 +0000  jim0watters  <jim0watters>  (d8dab03dd896 <libpano>)

	* adjust.c, parser.c:
	fix possible double delete or delete of null

2005-11-16 12:40 +0000  brunopostle  <brunopostle>  (1c333ef4c2ec <libpano>)

	* ChangeLog:
	updated from cvs commit messages

2005-11-16 12:30 +0000  brunopostle  <brunopostle>  (86dc9a0936d0 <libpano>)

	* configure.ac:
	updated to 2.7.0.13 release

2005-11-16 06:47 +0000  jim0watters  <jim0watters>  (13cd0f452d42 <libpano>)

	* version.h:
	update to ver .13

2005-11-16 05:41 +0000  jim0watters  <jim0watters>  (2699a9d37b1e <libpano>)

	* libpano.vcproj:
	do not use MSVCP71.DLL

2005-11-16 05:19 +0000  jim0watters  <jim0watters>  (397a6aca71f0 <libpano>)

	* ZComb.c:
	Fix "Bounds error"

2005-11-09 12:31 +0000  brunopostle  <brunopostle>  (72aac55e35fe <libpano>)

	* configure.ac:
	updated configure.ac to version 2.7.0.12

2005-11-09 05:42 +0000  jim0watters  <jim0watters>  (6288af90f092 <libpano>)

	* adjust.c, filter.h, resample.c, seamer_.c, version.h:
	Fix inverse transform Add number to aa_transform Increase ver to .12

2005-11-09 05:24 +0000  jim0watters  <jim0watters>  (e682ce3347c6 <libpano>)

	* math.c:
	fix 64bit process slow down

2005-11-09 02:49 +0000  jim0watters  <jim0watters>  (e053e0149217 <libpano>)

	* parser.c, tiff.c:
	fix possible memory leak / double free

2005-11-03 11:54 +0000  brunopostle  <brunopostle>  (f3da050c33f3 <libpano>)

	* Makefile.am:
	Add Xcode project files to dist archive target

2005-10-27 03:13 +0000  jim0watters  <jim0watters>  (1f52b7eb36a4 <libpano>)

	* doc/Optimize.txt, doc/stitch.txt:
	Added Antialiasing filter numbers

2005-10-27 03:12 +0000  jim0watters  <jim0watters>  (0c6c5d61cbee <libpano>)

	* libpano.vcproj:
	Updated Windows project

2005-10-26 00:19 +0000  jim0watters  <jim0watters>  (a7145fef67a6 <libpano>)

	* resample.c:
	Added the dual-color modes to the transform_aa and cleaned the code,
	rename 4 variables...

2005-10-24 03:27 +0000  jim0watters  <jim0watters>  (dc5b13719d26 <libpano>)

	* PanoTools.pbproj.tgz: new file.
	* PanoTools.pbproj.tgz:
	A project file for Apple's "XCode" IDE, for developers who like to
	use Apple's tool.

2005-10-24 03:13 +0000  jim0watters  <jim0watters>  (1d54ef5bbbd2 <libpano>)

	* adjust.c, filter.h, resample.c:
	combine makePano with MyMakePano and transform with MyTransform to
	remove duplicate code and prepair to make MyTransform multiprocessor
	aware

2005-10-23 05:20 +0000  jim0watters  <jim0watters>  (fabfe050326a <libpano>)

	* resample.c:
	alpha mask threshold bug fix

2005-10-23 05:02 +0000  jim0watters  <jim0watters>  (2a0b29d75e95 <libpano>)

	* resample.c:
	alpha mask threshold bug fix

2005-10-23 00:05 +0000  jim0watters  <jim0watters>  (c5e7307de63c <libpano>)

	* NEWS:
	alpha mask threshold bug fix

2005-10-22 03:58 +0000  jim0watters  <jim0watters>  (d80ac6ae982b <libpano>)

	* NEWS:
	Do not process unchanged color channels for CA correction

2005-10-22 03:51 +0000  jim0watters  <jim0watters>  (8319dfa6bdb9 <libpano>)

	* AUTHORS, correct.c, queryfeature.c, resample.c, version.h:
	Do not process unchanged color channels for CA correction

2005-10-19 03:06 +0000  jim0watters  <jim0watters>  (5151284470ec <libpano>)

	* AUTHORS, NEWS, version.h:
	update changes

2005-10-19 00:45 +0000  jim0watters  <jim0watters>  (e38ec498ee35 <libpano>)

	* adjust.c, filter.h, panorama.h, parser.c, queryfeature.c,
	resample.c:
	ByThomas Rauscher, Added antialiasing filters

2005-10-19 00:44 +0000  jim0watters  <jim0watters>  (17d0478150d2 <libpano>)

	* file.c, filter.c, tiff.c:
	ByThomas Rauscher, Added support 32bit float files

2005-10-18 23:33 +0000  jim0watters  <jim0watters>  (b0dbc99d5a4f <libpano>)

	* bmp.c:
	allow to read both top to bottom or bottom to top BMP files

2005-10-18 23:28 +0000  jim0watters  <jim0watters>  (fafcd6dd4e22 <libpano>)

	* panorama.h:
	remove incorrect filer_main()

2005-05-22 12:44 +0000  dwilkins42  <dwilkins42>  (4344acb82eb3 <libpano>)

	* version.h:
	Update all versions

2005-05-22 12:18 +0000  dwilkins42  <dwilkins42>  (6a5e0372c571 <libpano>)

	* configure.ac, filter.c, queryfeature.c, version.h:
	Correct behaviour for mode=_usedata

2005-05-18 13:40 +0000  brunopostle  <brunopostle>  (ff0fe5ce46de <libpano>)

	* NEWS, configure.ac, version.h:
	Changed version to 2.7.0.10 for release

2005-05-12 02:24 +0000  jim0watters  <jim0watters>  (2e86aa80c5e1 <libpano>)

	* libpano.vcproj:
	update for VC .Net

2005-05-07 15:17 +0000  dwilkins42  <dwilkins42>  (91c838400647 <libpano>)

	* lmdif.c, multilayer.c, panotypes.h, pteditor.c, ptpicker.c,
	resample.c, sys_ansi.c:
	Explicitly mark unused variables and remove GCC warning

2005-05-05 05:06 +0000  dwilkins42  <dwilkins42>  (357c362c029c <libpano>)

	* queryfeature.c:
	Modify sense of Java test

2005-05-04 15:08 +0000  dwilkins42  <dwilkins42>  (fa66f90c8136 <libpano>)

	* ChangeLog:
	Update ChangeLog

2005-05-04 08:33 +0000  dwilkins42  <dwilkins42>  (a668557901da <libpano>)

	* filter.c:
	Use 64 bit clean data types. Use 64 bit safe casts.

2005-05-04 08:32 +0000  dwilkins42  <dwilkins42>  (5ff19adb7c5e <libpano>)

	* file.c:
	Use decimal instead of hex constants

2005-05-04 08:29 +0000  dwilkins42  <dwilkins42>  (e08161ba4237 <libpano>)

	* pan.c:
	Use 64 bit safe casts.

2005-05-04 08:16 +0000  dwilkins42  <dwilkins42>  (f8e75bdf46a5 <libpano>)

	* PTDialogs.c:
	Correct typo

2005-05-04 08:02 +0000  dwilkins42  <dwilkins42>  (06ef9b23cc66 <libpano>)

	* perspect.c:
	Use 64 bit clean data types.

2005-05-04 08:01 +0000  dwilkins42  <dwilkins42>  (56d8746eb1c7 <libpano>)

	* fourier.c, jpeg.c, morpher.c:
	Use 64 bit clean data types. Use 64 bit safe casts.

2005-05-04 07:57 +0000  dwilkins42  <dwilkins42>  (fe6ab358918c <libpano>)

	* file.c:
	Use 64 bit clean data types. Use 64 bit safe casts. Rename READLONG
	and WRITELONG to READINT32 and WRITEINT32 to accurately reflect
	their purpose.

2005-05-04 07:51 +0000  dwilkins42  <dwilkins42>  (01b39f316fe4 <libpano>)

	* correct.c:
	Use 64 bit safe casts.

2005-05-04 07:50 +0000  dwilkins42  <dwilkins42>  (9333ffeff90d <libpano>)

	* sys_ansi.c, sys_win.c:
	Use 64 bit clean parameter declarations.

2005-05-04 07:49 +0000  dwilkins42  <dwilkins42>  (cf2d3c15e6f1 <libpano>)

	* tiff.c:
	Use 64 bit clean data types and types defined in tiff.h where
	appropriate

2005-05-04 07:47 +0000  dwilkins42  <dwilkins42>  (73220ffb3924 <libpano>)

	* resample.c:
	Use 64 bit clean data types.

2005-05-04 07:45 +0000  dwilkins42  <dwilkins42>  (14d5a6453677 <libpano>)

	* queryfeature.c:
	Use 64 bit clean data types. Use 64 bit safe const instead of define

2005-05-04 07:44 +0000  dwilkins42  <dwilkins42>  (6970f67030ac <libpano>)

	* ppm.c:
	Use 64 bit clean data types. Use correct format specifiers for 32/64
	bit

2005-05-04 07:42 +0000  dwilkins42  <dwilkins42>  (4003853a9acb <libpano>)

	* parser.c:
	Use correct format specifiers for 32/64 bit

2005-05-04 07:40 +0000  dwilkins42  <dwilkins42>  (7f34bf30d8ed <libpano>)

	* filter.h, panorama.h:
	use 64 bit clean types

2005-05-04 07:26 +0000  dwilkins42  <dwilkins42>  (8b97514d5985 <libpano>)

	* fftn.c, fftn.h:
	Correct data widths for 32/64 bit use

2005-05-04 07:23 +0000  dwilkins42  <dwilkins42>  (a531c29cc47f <libpano>)

	* Triangulate.c:
	Use floating point version of abs() to avoid conversion errors

2005-05-04 07:21 +0000  dwilkins42  <dwilkins42>  (1ead57efea36 <libpano>)

	* tools/panoinfo_unix.c:
	gcc 2.95 on ppc barfs if local variables defined late

2005-05-04 07:17 +0000  dwilkins42  <dwilkins42>  (af16520a013b <libpano>)

	* panotypes.h: new file.
	* Makefile.am, panotypes.h:
	Add panotypes.h header for 32/64 bit support

2005-05-04 07:15 +0000  dwilkins42  <dwilkins42>  (4f866f87e7d7 <libpano>)

	* configure.ac, m4/ax_check_graphics.m4:
	Small fixes for darwin platform

2005-05-01 14:41 +0000  dwilkins42  <dwilkins42>  (f0d18d0dc3e6 <libpano>)

	* PTDialogs.c, multilayer.c, pteditor.c, resample.c:
	Supress unused parameter warning on msvc.

2005-05-01 14:36 +0000  dwilkins42  <dwilkins42>  (fe36f526c9e3 <libpano>)

	* sys_win.h:
	Correct function declarations.

2005-05-01 14:35 +0000  dwilkins42  <dwilkins42>  (b879b402521c <libpano>)

	* sys_win.c:
	Correct function declarations. remove unused local variables.
	Supress unused parameter warning on msvc.

2005-05-01 14:33 +0000  dwilkins42  <dwilkins42>  (de5d015c714a <libpano>)

	* ptpicker.c:
	Update function declaration. Supress unused parameter warning on
	msvc

2005-05-01 14:32 +0000  dwilkins42  <dwilkins42>  (a08ab438a8b6 <libpano>)

	* optimize.c:
	Remove redundant function declaration

2005-05-01 14:31 +0000  dwilkins42  <dwilkins42>  (a4f24371b7b3 <libpano>)

	* lmdif.c:
	Update function declarations. Remove redundant function
	declarations. Supress unused parameter warnings on msvc

2005-05-01 14:27 +0000  dwilkins42  <dwilkins42>  (62a13dc5656c <libpano>)

	* file.c:
	Replace (char)255 with 0xFF so that msvc won't complain

2005-05-01 14:24 +0000  dwilkins42  <dwilkins42>  (5d478b2f1771 <libpano>)

	* correct.c:
	Initialise a few more variables.

2005-05-01 14:23 +0000  dwilkins42  <dwilkins42>  (10084a17bdc2 <libpano>)

	* adjust.h:
	Add one more function declaration

2005-05-01 14:23 +0000  dwilkins42  <dwilkins42>  (80105297c2ec <libpano>)

	* adjust.c:
	Initialise variables. Correct typing error. Update function
	declaration

2005-04-30 18:55 +0000  dwilkins42  <dwilkins42>  (2b683e65c62c <libpano>)

	* queryfeature.c:
	Add note in queryfeature if java support is disabled

2005-04-30 17:40 +0000  dwilkins42  <dwilkins42>  (2e8ad67433e8 <libpano>)

	* Makefile.am:
	Add msvc files to autotools

2005-04-30 16:44 +0000  dwilkins42  <dwilkins42>  (d6c31bfab3a8 <libpano>)

	* libpano.vcproj, pano12vc.def, pano12vcd.def: new file.
	* libpano.vcproj, pano12vc.def, pano12vcd.def:
	Add project file for msvc and support files

2005-04-30 10:19 +0000  dwilkins42  <dwilkins42>  (dec4b12b4d15 <libpano>)

	* resample.c:
	Fix cast-as-lvalue warning. Add function declarations. Ensure all
	variables initialised. Remove unused variables. Fix cast scope. Fix
	fprintf format string

2005-04-30 10:15 +0000  dwilkins42  <dwilkins42>  (ce4095802b7f <libpano>)

	* ptpicker.c:
	Correct sprintf format strings

2005-04-30 10:13 +0000  dwilkins42  <dwilkins42>  (912225a31526 <libpano>)

	* lmdif.c:
	Correct function declarations. Remove unused variables. Remove
	redundant functions

2005-04-30 10:10 +0000  dwilkins42  <dwilkins42>  (d67d827e922f <libpano>)

	* fourier.c:
	Remove unused variables. Comment out unused code

2005-04-30 10:07 +0000  dwilkins42  <dwilkins42>  (85e4d420a65e <libpano>)

	* filter.c:
	Ensure variables initialised. Fix cast scope

2005-04-30 10:06 +0000  dwilkins42  <dwilkins42>  (2c0fbc9e0c15 <libpano>)

	* file.c:
	Fix multi-character char const warning. Remove unused variables. Fix
	signed/unigned comparison warnings

2005-04-30 10:01 +0000  dwilkins42  <dwilkins42>  (0d3832cdcdf4 <libpano>)

	* adjust.c:
	Add function declarations. Ensure variables initialised. Comment out
	unused code. Correct sprintf format string

2005-04-30 09:55 +0000  dwilkins42  <dwilkins42>  (afb3ba6a5d63 <libpano>)

	* adjust.h: new file.
	* adjust.h:
	Add new header

2005-04-30 09:50 +0000  dwilkins42  <dwilkins42>  (486208a5c1dd <libpano>)

	* fftn.c:
	Fix signed/unsigned warnings

2005-04-30 09:48 +0000  dwilkins42  <dwilkins42>  (aed86451148d <libpano>)

	* correct.c:
	Fix cast-as-lvalue error. Ensure all variables initialised

2005-04-30 09:37 +0000  dwilkins42  <dwilkins42>  (7440d0c8a4c3 <libpano>)

	* Makefile.am:
	Add new files to automake system

2005-04-30 09:35 +0000  dwilkins42  <dwilkins42>  (38486d0c3fa1 <libpano>)

	* optimize.c:
	Remove unused variables. Add function declarations

2005-04-30 09:22 +0000  dwilkins42  <dwilkins42>  (0d1785441535 <libpano>)

	* ptpicker.c:
	Remove unused variable

2005-04-30 09:11 +0000  dwilkins42  <dwilkins42>  (73522cbaea62 <libpano>)

	* parser.c:
	Add function declarations. Correct printf/scanf format definitions.
	Add default case to switch statement

2005-04-30 09:02 +0000  dwilkins42  <dwilkins42>  (11a0295c183f <libpano>)

	* ZComb.c, ZComb.h: new file.
	* ZComb.c, ZComb.h, tiff.c:
	Move Z combining code to it's own files. Fix parameter declaration
	in tiff.c

2005-04-30 08:54 +0000  dwilkins42  <dwilkins42>  (a24ffa0a852e <libpano>)

	* adjust.c, lmdif.c, pteditor.c, ptpicker.c, resample.c:
	Remove #pragma unused (not used by gcc or msvc)

2005-04-30 08:03 +0000  dwilkins42  <dwilkins42>  (28ce2819e252 <libpano>)

	* tools/PTOptimizer.c:
	Remove unused variables. Add explicit function declaration

2005-04-30 08:02 +0000  dwilkins42  <dwilkins42>  (1ed21456ebb1 <libpano>)

	* sys_win.h:
	Correct parameter declaration

2005-04-30 08:01 +0000  dwilkins42  <dwilkins42>  (2f22bb6cad0b <libpano>)

	* sys_ansi.c:
	Remove unused variable

2005-04-30 07:59 +0000  dwilkins42  <dwilkins42>  (4bd02463622a <libpano>)

	* remap.c:
	Add explicit variable initialisation

2005-04-30 07:57 +0000  dwilkins42  <dwilkins42>  (661e42ae3007 <libpano>)

	* pteditor.c:
	Add explicit function declaration

2005-04-30 07:55 +0000  dwilkins42  <dwilkins42>  (c2aec70c6e53 <libpano>)

	* png.c:
	Fix data type. Fix Optimise bug

2005-04-30 07:52 +0000  dwilkins42  <dwilkins42>  (432951e28019 <libpano>)

	* Triangulate.c:
	Remove unused variable

2005-04-22 15:30 +0000  dwilkins42  <dwilkins42>  (8045e4fd50d1 <libpano>)

	* javastub.c: new file.
	* javastub.c:
	Required for --without-java support

2005-04-22 15:29 +0000  dwilkins42  <dwilkins42>  (3f5e801efa1d <libpano>)

	* pano12.rc:
	Correct rc language version (messages are in english not german)

2005-04-22 15:26 +0000  dwilkins42  <dwilkins42>  (7c59b154ca16 <libpano>)

	* Makefile.am, configure.ac:
	Add --without-java support

2005-02-26 08:14 +0000  dwilkins42  <dwilkins42>  (2da417c8a6d5 <libpano>)

	* panorama.h:
	__INTEL__ cannot be used as a test for windows

2005-02-17 14:37 +0000  dwilkins42  <dwilkins42>  (f888370b5bab <libpano>)

	* configure.ac:
	Update version number

2005-02-04 08:38 +0000  jim0watters  <jim0watters>  (e7c87c782573 <libpano>)

	* adjust.c, parser.c, queryfeature.c, version.h:
	Fix bug when cropping outside of image - Joost Nieuwenhuijse

2005-01-12 08:03 +0000  dwilkins42  <dwilkins42>  (b2da35963da6 <libpano>)

	* configure.ac, m4/ax_check_graphics.m4:
	Add initial support in autotools for the 64 bit linux platform.
	Remove default search paths

2005-01-07 09:26 +0000  dwilkins42  <dwilkins42>  (e2d2b09d9f79 <libpano>)

	* Makefile.am, bootstrap, build/Makefile.am, build/win32/Makefile.am,
	configure.ac, doc/Makefile.am, m4/Makefile.am, tools/.cvsignore,
	tools/Makefile.am:
	Ensure maintainer-clean and distcheck targets work. Disable
	maintainer-mode in dist tarball.

2005-01-07 06:41 +0000  dwilkins42  <dwilkins42>  (31ff6dab0399 <libpano>)

	* m4/ax_check_java.m4:
	Put only _really_ required includes in JAVA_FLAGS. Should fix
	problem on Debian with gcj.

2004-12-01 01:44 +0000  specu  <specu>  (f797970951b6 <libpano>)

	* sys_win.c:
	add title to the PrintError messagebox

2004-12-01 01:32 +0000  specu  <specu>  (f52680260e9d <libpano>)

	* sys_win.c:
	fix typo

2004-12-01 00:48 +0000  specu  <specu>  (04ca5640bab5 <libpano>)

	* version.h:
	replace non ASCII char with (c) - fix for bug 1076139

2004-11-23 19:43 +0000  dwilkins42  <dwilkins42>  (1d24920498c0 <libpano>)

	* doc/.cvsignore: new file.
	* Makefile.am, configure.ac, doc/.cvsignore, m4/ax_check_graphics.m4,
	m4/ax_check_java.m4:
	Fixes for build (cygwin now compiles, but need to add README.cygwin
	to explain how). Also add .cvsignore to doc subdir.

2004-11-23 12:22 +0000  dwilkins42  <dwilkins42>  (16f8f0e4fcee <libpano>)

	* libpano12.def: new file.
	* libpano12.def:
	Add libpano12.def used to create the import library on windows. This
	is the same as pano12.def, but does not re-export the TIFFxxxx
	symbols from the tiff library (which can cause some hard-to-track
	errors)

2004-11-22 19:24 +0000  dwilkins42  <dwilkins42>  (c8a481723ae9 <libpano>)

	* build/.cvsignore, build/Makefile.am, build/README,
	build/win32/.cvsignore, build/win32/Makefile.am, build/win32
	/compile-resource, build/win32/lt-compile-resource: new file.
	* Makefile.am, build/.cvsignore, build/Makefile.am, build/README,
	build/win32/.cvsignore, build/win32/Makefile.am, build/win32
	/compile-resource, build/win32/lt-compile-resource, configure.ac,
	m4/ax_check_java.m4, tools/Makefile.am:
	Fixes for mingw and cygwin build. Note that cygwin build still has a
	few problems.

2004-11-22 18:58 +0000  dwilkins42  <dwilkins42>  (65ba957c5a23 <libpano>)

	* .cvsignore, m4/.cvsignore, tools/.cvsignore: new file.
	* .cvsignore, m4/.cvsignore, tools/.cvsignore:
	Add cvs ignore files

2004-11-16 09:08 +0000  brunopostle  <brunopostle>  (602de584601b <libpano>)

	* ChangeLog:
	*** empty log message ***

2004-11-16 09:03 +0000  brunopostle  <brunopostle>  (347f80bfcb74 <libpano>)

	* doc/Makefile.am, doc/Optimize.txt, doc/stitch.txt: new file.
	* Makefile.am, configure.ac, doc/Makefile.am, doc/Optimize.txt,
	doc/stitch.txt:
	Added updated documentation for PTStitcher and PTOptimizer.

2004-11-16 08:31 +0000  brunopostle  <brunopostle>  (18591b4ce431 <libpano>)

	* NEWS, configure.ac:
	Updated for 2.7.0.8 release

2004-11-16 06:08 +0000  jim0watters  <jim0watters>  (7cd49f9cdd67 <libpano>)

	* version.h:
	Official release, Updated to version 2.7.0.8

2004-11-16 05:58 +0000  jim0watters  <jim0watters>  (f5c9b5ab7722 <libpano>)

	* optimize.c:
	Fix small memory leak, as reported by Pablo d'Angelo

2004-11-10 09:46 +0000  dwilkins42  <dwilkins42>  (73d97d5ba384 <libpano>)

	* Makefile.am, m4/ax_check_graphics.m4:
	Update mac support in the build files

2004-11-10 08:32 +0000  brunopostle  <brunopostle>  (60365e242c4d <libpano>)

	* configure.ac:
	Stop configure when it can't find libjpeg, zlib, libtiff, libpng or
	java (Douglas Wilkins)

2004-11-10 08:29 +0000  brunopostle  <brunopostle>  (551befbb9eac <libpano>)

	* tools/Makefile.am:
	Allow out of tree builds. Remove an unnecessary osx hack.

2004-11-10 08:26 +0000  brunopostle  <brunopostle>  (82a3da0bf09f <libpano>)

	* m4/ax_check_java.m4:
	Add a path to find java on osx 10.1 (Douglas Wilkins)

2004-11-09 18:04 +0000  brunopostle  <brunopostle>  (1b080ee51d20 <libpano>)

	* m4/ax_check_java.m4:
	small changes to allow for the sun java packaged by www.jpackage.org
	(Douglas Wilkins)

2004-11-09 16:49 +0000  brunopostle  <brunopostle>  (d1c54b9cf018 <libpano>)

	* panorama.h, tools/Makefile.am:
	Fixes to build on osx, though not ideal.

2004-11-09 14:27 +0000  brunopostle  <brunopostle>  (f903b9b8a81a <libpano>)

	* m4/ax_check_java.m4:
	fixes to detect java libraries

2004-11-09 14:10 +0000  brunopostle  <brunopostle>  (e58f3752a03f <libpano>)

	* tools/Makefile.am:
	Add AM_LDFLAGS=-L.. so the tools can link to the just-built library

2004-11-09 14:02 +0000  brunopostle  <brunopostle>  (a2dc456d6972 <libpano>)

	* configure.ac:
	allow older versions of autoconf

2004-11-09 14:01 +0000  brunopostle  <brunopostle>  (7d6279b7cac4 <libpano>)

	* Makefile.am:
	Add some likely include paths for building on a mac

2004-11-09 09:34 +0000  brunopostle  <brunopostle>  (bfcfe24d45c1 <libpano>)

	* AUTHORS, ChangeLog, Makefile.am, NEWS, README, bootstrap,
	configure.ac, m4/Makefile.am, m4/ax_check_graphics.m4,
	m4/ax_check_java.m4, tools/Makefile.am: new file.
	* AUTHORS, ChangeLog, Makefile.am, NEWS, README, bootstrap,
	configure.ac, m4/Makefile.am, m4/ax_check_graphics.m4,
	m4/ax_check_java.m4, tools/Makefile.am:
	Added new libtool, automake, autoconf build system. Needs testing on
	various platforms.

2004-11-08 19:35 +0000  brunopostle  <brunopostle>  (07575cb09a1a <libpano>)

	* makefile.win32, tools/makefile.panoinfo.win32,
	tools/makefile.ptoptimizer.win32: new file.
	* Makefile, tools/makefile panoinfo, tools/makefile ptoptimizer:
	deleted file.
	* Makefile, README.linux, README.windows, makefile.win32,
	tools/makefile panoinfo, tools/makefile ptoptimizer,
	tools/makefile.panoinfo.win32, tools/makefile.ptoptimizer.win32:
	Renamed Makefile as it would be clobbered by upcoming automake build
	system. Renamed files with spaces as they confuse make. Modified
	README files as appropriate.

2004-10-15 16:28 +0000  jim0watters  <jim0watters>  (ba1d808315ba <libpano>)

	* jpeg.c, queryfeature.c, version.h:
	Turned on JPEG optimization - disable in script file

2004-10-07 15:06 +0000  jim0watters  <jim0watters>  (ad542e099aac <libpano>)

	* version.h:
	Official release, Updated to version 2.7.0.6

2004-09-27 06:32 +0000  jim0watters  <jim0watters>  (16d38980c5e6 <libpano>)

	* tools/panoinfo_unix.c: new file.
	* tools/panoinfo_unix.c:
	Unix version of PanoInfo

2004-09-27 06:26 +0000  jim0watters  <jim0watters>  (55b81db31109 <libpano>)

	* version.h:
	Updated to new version - rc1

2004-09-27 06:25 +0000  jim0watters  <jim0watters>  (8a3b287bf6f2 <libpano>)

	* resample.c:
	Updated fastTransform - removed bugs

2004-09-27 06:22 +0000  jim0watters  <jim0watters>  (131beed8ff79 <libpano>)

	* sys_win.c:
	disable warnings for unknown tags for TIFF files

2004-09-27 06:20 +0000  jim0watters  <jim0watters>  (334bfe81d3ed <libpano>)

	* queryfeature.c:
	Fix asserts with Microsoft compilers

2004-09-22 19:59 +0000  jim0watters  <jim0watters>  (59e19730b18d <libpano>)

	* correct.c, filter.c, resample.c:
	Reduce the number of times the status bar gets updated. From every 5
	lines to every 2%. Speed increase using plugin from 4:30 down to
	1:30 with 5000 pixel high image

2004-09-22 19:55 +0000  jim0watters  <jim0watters>  (d888be33a7e8 <libpano>)

	* math.c:
	Fix PTCorrect vignetting correction. Use same amount of correction
	with 16 and 8 bit files. 16 bit too dark

2004-07-20 03:55 +0000  jim0watters  <jim0watters>  (edfe07986b23 <libpano>)

	* file.c:
	Fix PTAdjust saving 16 bit files loaded from plug-in as too dark.

2004-07-20 03:54 +0000  jim0watters  <jim0watters>  (6dcaaecbe47f <libpano>)

	* version.h:
	new version

2004-07-20 03:53 +0000  jim0watters  <jim0watters>  (7ac0dd9b3fc8 <libpano>)

	* seamer_.c:
	Fix 16 bit PTAdjust blend method paste, remove black border - Jim
	Watters

2004-07-20 03:52 +0000  jim0watters  <jim0watters>  (1346aa9f548d <libpano>)

	* ptpicker.c:
	Fix PTEditor to open files

2004-07-20 03:50 +0000  jim0watters  <jim0watters>  (022088337477 <libpano>)

	* filter.h:
	Remove many type size warnings

2004-07-20 03:48 +0000  jim0watters  <jim0watters>  (fddceb097eaf <libpano>)

	* PTDialogs.c, pano12.rc, sys_win.h:
	Fix path and file input with dialog boxes. Now accept path with
	spaces. Updating edit control is remembered.

2004-07-18 03:20 +0000  jim0watters  <jim0watters>  (c61ceb3321d4 <libpano>)

	* adjust.c:
	Speed up adding an alpha channel to image - Jim Watters

2004-07-15 23:01 +0000  jim0watters  <jim0watters>  (1d1f4c449e00 <libpano>)

	* tools/panoinfo.c:
	Remove unused variables

2004-07-15 22:46 +0000  jim0watters  <jim0watters>  (882a8b696d43 <libpano>)

	* version.h:
	Set to Alpha 4

2004-07-15 22:45 +0000  jim0watters  <jim0watters>  (b2fa322e124b <libpano>)

	* queryfeature.c:
	Update with new features - mask for focus, Faster, PSD & 16bit bug
	fix

2004-07-15 22:42 +0000  jim0watters  <jim0watters>  (347d1ad94dd4 <libpano>)

	* sys_win.h:
	Fix propper dialog names for Windows plug-ins - Jim Watters

2004-07-15 22:41 +0000  jim0watters  <jim0watters>  (2a120bcbf2d7 <libpano>)

	* tiff.c:
	Added Combining images of different focus by Rik Littlefields

2004-07-15 22:38 +0000  jim0watters  <jim0watters>  (fe29aa776eb0 <libpano>)

	* filter.c, filter.h, morpher.c, parser.c, resample.c:
	Added Faster transformations by Fulvio Senore and with morphing by
	Rik Littlefields

2004-07-15 22:29 +0000  jim0watters  <jim0watters>  (dac5807cdf5c <libpano>)

	* file.c:
	Fix problem with large PSD files with image width > 16384 and heavy
	file swapping and updated hasFeather. Rik Littlefield & Jim Watters

2004-07-15 22:17 +0000  jim0watters  <jim0watters>  (b691cb61b9da <libpano>)

	* correct.c, file.c, filter.c, filter.h, math.c:
	Fix 16bit plug-in for Radial Shift and PTAdjust - Kevin Kratzke &
	Jim Watters

2004-07-13 02:51 +0000  jim0watters  <jim0watters>  (1c376046dacd <libpano>)

	* file.c:
	Dynamically allocate scanline buffer in writeWhiteBackground, to
	avoid buffer overflow and crash on large images.

2004-07-13 02:16 +0000  jim0watters  <jim0watters>  (c8785c93da52 <libpano>)

	* queryfeature.c:
	made to work with microsoft compiler

2004-06-06 03:13 +0000  jim0watters  <jim0watters>  (1f68fb4ef262 <libpano>)

	* version.h:
	increased version #

2004-06-06 02:35 +0000  jim0watters  <jim0watters>  (433fb3189235 <libpano>)

	* Makefile:
	add missing bracket

2004-05-30 01:41 +0000  jim0watters  <jim0watters>  (664b18b4237a <libpano>)

	* tools/makefile ptoptimizer: new file.
	* tools/makefile ptoptimizer:
	makefile for ptoptimizer

2004-05-30 01:30 +0000  jim0watters  <jim0watters>  (c095d04078f5 <libpano>)

	* tools/makefile panoinfo, tools/panoinfo.c: new file.
	* tools/makefile panoinfo, tools/panoinfo.c:
	Small application to test the query feature functions of pano12
	library.

2004-05-30 01:26 +0000  jim0watters  <jim0watters>  (54202d48d886 <libpano>)

	* queryfeature.c, queryfeature.h: new file.
	* Makefile, makefile.linux, makefile.mac, makefile.osx, pano12.def,
	pano12.rc, queryfeature.c, queryfeature.h, version.h:
	Functions to determine properties of this specific pano12 library.
	Features are name/value pairs. The name is string and the value can
	be either an integer, double or string. Boolean values are encoded
	as integers (0=false, 1=true)

2004-05-30 01:18 +0000  jim0watters  <jim0watters>  (6208ccd9e89b <libpano>)

	* adjust.c, filter.h, filter.r, optimize.c, parser.c:
	Rik Littlefield's Improved optimizer. Better. Faster. Stronger. The
	method used here is a hybrid of two optimization strategies. In the
	first strategy, fcnPano is configured to return one function per
	control point, that function being total distance without regard for
	direction. In the second strategy, fcnPano is configured to return
	two functions per control point, those functions being distance in
	two directions, typically longitude and latitude.

2004-05-03 11:56 +0000  brunopostle  <brunopostle>  (afdca888b1c2 <libpano>)

	* makefile.osx: new file.
	* makefile.osx:
	Partially working OS X makefile. This creates a statically linkable
	.a archive that can be used to build a working PTOptimizer like so:
	make -f makefile.osx && cd tools && gcc -o PTOptimizer -I..
	-L/sw/lib -L.. -ljpeg -ltiff -lpano12 PTOptimizer.c

2004-03-18 02:06 +0000  jim0watters  <jim0watters>  (3713a910589d <libpano>)

	* resample.c:
	Radial Shift, when colors channels have different values and d is >
	1 would give incorrect results around the edge of the image

2003-12-30 16:41 +0000  jim0watters  <jim0watters>  (3c06d35b96e0 <libpano>)

	* file.c:
	Fix odd size PSD files and reading multilayer PSD files

2003-12-30 16:17 +0000  jim0watters  <jim0watters>  (a74d76cd8a6f <libpano>)

	* adjust.c, filter.c:
	Fix return, for compile warning.

2003-12-30 10:37 +0000  brunopostle  <brunopostle>  (a7f6b7742aec <libpano>)

	* Files somehow got converted to DOS format, fixed

2003-12-20 11:51 +0000  brunopostle  <brunopostle>  (2a563d98e37a <libpano>)

	* tools/PTOptimizer.c: new file.
	* tools/PTOptimizer.c:
	Initial commit, this is intended to be a drop-in replacement for the
	binary-only PTOptimizer, seems to work.

2003-12-20 00:04 +0000  bret_mckee  <bret_mckee>  (c10b9a5bc8e5 <libpano>)

	* Makefile, pano12.def, resample.c:
	Changes to get ptools to compile under windows:
	- Makefile modified to build the supporing libraries if they are
	present
	- pano12.def - removed comments which were causing syntax errors
	- resample.c - change a reference to an undefined (and dangerous
	looking) function to sprintf

2003-12-16 21:56 +0000  brunopostle  <brunopostle>  (27ec55d88922 <libpano>)

	* jpeg.c, png.c, tiff.c:
	Mac specific changes related to file paths (Kekus Digital)

2003-12-16 21:16 +0000  brunopostle  <brunopostle>  (fe82323f1b5c <libpano>)

	* adjust.c, pano12.def, resample.c:
	Two new functions: MyMakePano and MyTransForm are PTMac specific
	(Kekus Digital)

2003-12-14 18:32 +0000  brunopostle  <brunopostle>  (7202740d70d8 <libpano>)

	* README.linux, README.mac, README.windows: new file.
	* README.linux, README.mac, README.windows:
	These instructions are out-of-date (Helmut Dersch)

2003-12-14 18:21 +0000  brunopostle  <brunopostle>  (7b807d0e32c1 <libpano>)

	* gpl.txt: new file.
	* gpl.txt:
	The content of Copying.html from the original sources converted to
	text is identical (apart from formatting) to
	http://www.fsf.org/licenses/gpl.txt.

2003-12-13 12:03 +0000  brunopostle  <brunopostle>  (2579f69a6928 <libpano>)

	* ptpicker.c:
	changed 'picker' to 'gpicker' (a namespace conflict?) (Kekus
	Digital)

2003-12-13 11:57 +0000  brunopostle  <brunopostle>  (e0301469df51 <libpano>)

	* PTDialogs.c:
	minor dialog text change (Kekus Digital)

2003-12-13 11:25 +0000  brunopostle  <brunopostle>  (666ae726a194 <libpano>)

	* filter.h, panorama.h:
	mac specific changes to build using carbon (Kekus Digital)

2003-12-13 10:58 +0000  brunopostle  <brunopostle>  (ad8dad90157b <libpano>)

	* PixMap.c, PixMap.h, filter.r, pict.c, sys_mac.c, sys_mac.h:
	Mac specific changes, mostly porting gui to carbon (Kekus Digital)

2003-12-12 17:32 +0000  brunopostle  <brunopostle>  (e190298d6bed <libpano>)

	* PixMap.c, PixMap.h, filter.r, makefile.mac, pict.c, shell_mac.c,
	sys_mac.c, sys_mac.h: new file.
	* PixMap.c, PixMap.h, filter.r, makefile.mac, pict.c, shell_mac.c,
	sys_mac.c, sys_mac.h:
	Extra files required for mac compilation as distributed by Helmut
	Dersch.

2003-12-12 17:27 +0000  brunopostle  <brunopostle>  (bc5b46e8715c <libpano>)

	* sys_X11.c, sys_X11.h: new file.
	* sys_X11.c, sys_X11.h:
	Found two files in the macintosh sources that appear to be gtk+
	dialog boxes for a linux front-end, the more the merrier.

2003-12-01 22:19 +0000  brunopostle  <brunopostle>  (24e77f6bf440 <libpano>)

	* Makefile:
	Makefile modifications to build with mingw2.0 (Max Lyons)

2003-12-01 22:05 +0000  brunopostle  <brunopostle>  (930da62f16e4 <libpano>)

	* filter.h:
	Reduce random luminance effect for photoshop plugin (Jim Watters)

2003-12-01 22:03 +0000  brunopostle  <brunopostle>  (1d9428fe02ee <libpano>)

	* file.c:
	Fix to export psd files in a better way (Jim Watters)

2003-12-01 22:01 +0000  brunopostle  <brunopostle>  (26e651dc2eca <libpano>)

	* adjust.c:
	Feature to allow linking of roll, pitch and yaw parameters when
	optimising (Jim Watters)

2003-12-01 21:58 +0000  brunopostle  <brunopostle>  (cd181cafb5f7 <libpano>)

	* morpher.c:
	Fix for morph-to-fit that was causing intermittent crashes (Max
	Lyons)

2003-12-01 21:56 +0000  brunopostle  <brunopostle>  (0b124bc7df49 <libpano>)

	* correct.c, filter.h, math.c:
	Feature to randomise brightness correction in photoshop plugin (Jim
	Watters). Anchor brightness correction to narrowest dimension of the
	source image rather than width for photoshop plugin (Jim Watters).

2003-12-01 21:50 +0000  brunopostle  <brunopostle>  (4507adb73ff9 <libpano>)

	* file.c, filter.h, panorama.h, png.c, pteditor.c, ptpicker.c:
	Fix for BIGENDIAN namespace confict when compiling on Windows (Max
	Lyons). Additional error messages when writing psd files (Max
	Lyons).

2003-12-01 21:46 +0000  brunopostle  <brunopostle>  (956995ca6a23 <libpano>)

	* sys_win.c:
	Feature to add 'are you sure' dialog on Windows when hitting cancel
	button (Max Lyons)

2003-12-01 21:43 +0000  brunopostle  <brunopostle>  (fdb2ec51e49a <libpano>)

	* pano12.rc, sys_win.c:
	Fix for memory problems on win95/98/me (Max Lyons). Feature to show
	memory usage in Windows dialog box (Max Lyons).

2003-12-01 21:40 +0000  brunopostle  <brunopostle>  (14c81ba7ada9 <libpano>)

	* bmp.c:
	Fix to bmp file output, bmp file dimensions need to be multiples of
	4 (Max Lyons)

2003-12-01 21:38 +0000  brunopostle  <brunopostle>  (7e38655c873f <libpano>)

	* adjust.c, filter.h, parser.c:
	Straight-line control points feature added (Helmut Dersch). g and t
	shear correction feature added (Helmut Dersch). 256 byte limit on
	script-file line length extended (Max Lyons).

2003-12-01 21:29 +0000  brunopostle  <brunopostle>  (1807acd399e0 <libpano>)

	* makefile.linux:
	Modified CFLAGS to suit real location of linux java header files

2003-12-01 21:18 +0000  brunopostle  <brunopostle>  (45ac50413ba9 <libpano>)

	* makefile.linux, sys_ansi.h: new file.
	* makefile.linux, sys_ansi.h:
	Added two files needed to build on linux. sys_ansi.h was originally
	missing from both the Windows and Linux sources, makefile.linux is
	the Makefile copied from the Linux source tarball.

2003-12-01 21:10 +0000  brunopostle  <brunopostle>  (2a97a8dc16fe <libpano>)

	* Makefile, PTDialogs.c, Triangulate.c, adjust.c, bmp.c, correct.c,
	f2c.h, fftn.c, fftn.h, file.c, filter.c, filter.h, fourier.c,
	jpeg.c, lmdif.c, math.c, morpher.c, multilayer.c, optimize.c, pan.c,
	pano12.def, pano12.rc, panorama.h, parser.c, perspect.c, png.c,
	ppm.c, pteditor.c, pteditor.h, ptpicker.c, ptutils.h, remap.c,
	resample.c, seamer.c, seamer_.c, sys_ansi.c, sys_win.c, sys_win.h,
	tiff.c, version.h: new file.
	* Makefile, PTDialogs.c, Triangulate.c, adjust.c, bmp.c, correct.c,
	f2c.h, fftn.c, fftn.h, file.c, filter.c, filter.h, fourier.c,
	jpeg.c, lmdif.c, math.c, morpher.c, multilayer.c, optimize.c, pan.c,
	pano12.def, pano12.rc, panorama.h, parser.c, perspect.c, png.c,
	ppm.c, pteditor.c, pteditor.h, ptpicker.c, ptutils.h, remap.c,
	resample.c, seamer.c, seamer_.c, sys_ansi.c, sys_win.c, sys_win.h,
	tiff.c, version.h:
	Initial revision

